(game-module "awls-rules"
  (title "A World Lost Slowly")
  (version "1.17")

#| BACKSTORY

There exists a window of opportunity for the unification of great, disparate areas.  When this window closes, when the conquerers, imperialists and politicians lose the desire or ability to continue such a course, there follows a period of calm, interrupted by the actions of ossified powers fighting to maintain their borders.  But this cannot last, and has not lasted ever in recorded history.  

Whether one thinks it for good or for ill, we have stood on the brink of world government for fifty years, with no real movement.  One of the most powerful nations the world has ever known has crumbled--its infrastructure laid waste, its people impoverished, its monuments thrown down into decay.  Across the Bering Strait, its old nemesis continues in the tradition of the Akkadians, the Egyptians, the Romans, the Ottomans, the British, the Soviets.  No longer desirous or able to dominate the world, the United States is doomed to see its infrastructure laid waste, its people impoverished, its monuments thrown down into decay.  

The Second Korean War and the Sino-Japanese Intervention
This is the ruleset for a series of games that follows such a hypothetical decline.  It starts with a war in Korea, the first module of the series.  Eventually won by the Chinese-backed Democratic People's Republic of Korea, the war leads to a destabilization in Asia and a militarization of Japan.  The loss of thousands of soldiers on the Korean penninsula sparks a new isolationist movement in the US, immediately at odds with supporters of globalization--especially multinational corporations.  

The rift grows so great that talk of a Second Continental Congress, before only a fashionable theory, grows serious.  A four year deadline is declared, during which the normal operation of the US government is modified so that off-year federal elections are delayed.  A political move, this provides the necessary support from the Congress and Senate, its members assured of job security, at least for one more cycle.  The most acclaimed statesmen and political theorists begin work on revising the over 200-year-old Constitution.

Plan Red
But the world doesn't take a holiday, and the East continues to march toward general war.  Trying to avoid a conflict between the two great Asian powers, the US president, during a regional conference in Calcutta, mentions the possibility of Chinese expansion into sparsely-occupied Eastern Russia.  Taking this to be American approval of such an act, the Chinese invade--the focus of the second AWLS module.  After early success, the theatre devolves into siege warfare, especially in Irkutsk, where the siege, called a "Second Stalingrad" by the unimaginative, eventually lasts for two years.

During the outbreak of hostility in Siberia, the US Vice President, unaware of any Sino-American dialogue, mobilizes troops and sends them to Alaska.  The troops cause a furor among Chinese leaders, who see the war as a trap.  To ameliorate the Chinese Premier, the President of the United States orders his Vice President to remove the forces from Alaska.  The conversation, however, is vague, and the Vice President, a Californian who considers the interests of the Pacific states to be ill-served by such a removal, declines.  The Secretary of Defense demands that the President's orders be followed; he is thrown in jail.  The President chooses to stay in Calcutta, hoping to convince the Chinese to end their war with Russia, but his efforts only exacerbate growing rifts within the United States.

The Battle of Las Vegas
When he finally returns, the Vice President has relocated to San Francisco, claiming a need to be, "Close to the developing situation on the Pacific Rim" and has set up a defacto administration.  The President demands his resignation, and is politely refused.  The order goes out to remove the troops in Alaska, and a growing confrontation is diverted when the Vice President agrees.  But when the units begin to land in Las Vegas, they are greeted by California and Colorado National Guard units, who insist that while the soldiers are free to leave, all arms and equipment remain.  The battle of Las Vegas breaks out--a chaotic mess--the focus of module three.

US citizens, stunned, universally decry the bloodshed.  Calm and regret reign and again a major crisis seems averted.  But war still rages in Eastern Russia and the Pacific Congress is called to express the security issues of twelve western states--Colorado, Montana, Oregon, washington, Alaska, Hawaii, New Mexico, Arizona, California, Nevada, Utah and Texas.  The defacto US position supporting Chinese interests over those of Japan are decried, as is the focus of the NATO alliance.  The governors of Texas and Arizona walk out, however, when the meeting turns radical and a Declaration of Pacific Security is offered for signature.  In an impassioned speech, Thomas Guerrero, governor of Texas, states, "We must realize that any piece of paper so titled with the word 'Declaration' holds a special signicance in American culture, and we should not be a party to it."  He is ignored, and the remaining governors affix their signature to the document.

La Consolidacin
Events multiply.  Suddenly, the disposition of arsenals and fleets leads to a walkout by Western Senators, claiming their interests at odds with, in the words of Senator Davidson of Montana, "A nation I no longer feel is my own."  Military recalls are sent to all western states, universally refused, and though Texas declined to align itself with the West, it withholds troops, declaring itself neutral in any discussion between the two factions.  Without warning, Texan marines occupy the Panama Canal, "in the interest of keeping this important work out of the hands of either belligerent."  Texan forces appear in support of Zapatista rebels, and more troops move south from Texas proper, annexing Mexico, the focus of the fourth module.

The Nuclear War
The fifth module is the short, bloody war between India and Pakistan.  Began by Indian nationalists, it results in a full-scale nuclear war, devastating the subcontinent.  Though an official treaty is never signed by any state, historians will later attribute the massive casualties--at least three hundred million--and the absolute destruction to be the reason why nuclear weapons are never deployed in the following years.

The Continental Conflict
The EU comes apart as Britain and Poland throw their support behind the United States against the newly christened Pacific States of America, contravening a European Union declaration of neutrality.  Germany, long supporting the Russians with materiel and volunteers against the Chinese, finds itself confronted with a new Polish policy forbidding the transport of military goods across its borders.  The sixth module is an offensive by German, French and Russian forces against Britain, Poland and supporting US units in Europe.

Operation Eniac: The Mile-High Siege
The seventh module is the long-awaited USA offensive against PSA positions along the Rocky Mountains.  Nevada is occupied, along with Utah and much of Colorado, but the war grinds to a standstill with the introduction of effective focused-energy weapons.  At first requiring enormous power supplies, they're deployed in fortresses throughout the Rockies and prove devastating to aircraft and missiles.  During this conflict, the PSA introduces the A-12 Intruder II, the first combat aircraft with a legitimate anti-missile FEW system.  Armed only with a 30mm chaingun and gravity bombs (guided missiles proving to have too little effect given their cost), it is deadly to US armored forces.

The Battle for the Pacific
The eighth module consists of the war between PSA naval forces, alongside allied Australian and Japanese units, against China and US forces throughout Southeast Asia.  With the implementation of naval FEW systems, a resurgance is seen in the effectiveness of the battleship.  The Japanese field a pair of Artillery Cruisers--heavy ships armed with spine-mounted cannons similar to the Nazi V3 and other extremely long-range 'caterpiller guns' but they prove more novel than effective. 

Operation Cray: The Battle for North America
The ninth and final module is the resolution of the war between the Pacific States of America and the United States of America, when the US declares war on Texas (Now, occupying all of former Mexico and Guatemala, and refering to itself as Hispana) and drives on California by cutting through Texas, New Mexico and Arizona.  A nuclear weapon is detonated at the Panama Canal by forces unknown and the offensive stalls around Los Angeles.

The United States is no Soviet facade, held together through equal parts terror and sheer momentum, to crumble at the first sign of weakness.  It is the oldest government on Earth; exerting economic, cultural and military dominance of a singular nature.  Its decline, though inexorable, will take place at a haphazard and unhurried pace.  When it is over, historians will look back at the extent and power of the United States and declare that, in its fall, it was a world lost slowly.

|#

;; From 1.1: 	Fixed protection tables, added basic supply system
;; From 1.12:  	Added experience, removed auto withdraw, due to bug.
;; From 1.13: 	Added political borders, fixed subs so they could sink shipping and carriers
;; From 1.14: 	Added tech advances in the form of three different levels of carriers.
;;		Added more materials, to represent manpower and electrical equipment and for tech
;;		Gave CAFs the ability to build ADNs, this seems to spur the AI to build Air Wings.
;;		Set different levels of starting materials to give the base sides a nuanced feel
;;		Changed place-type size-in-terrain, so that you could have industrial centers and
;;		aircraft facilities in the same hex as a city.		
;;		Changed the name, added the interminably long backstory.
;; From 1.15:   Wings now wreck two slots down if hit by land units.
;;              Removed milair, because they just don't work right.
;;		Changed it so that nuclear vessels consume no supply to move
;;		Fixed up protection to be a little more sensible.
;;		Improved SAM damage, reduced hit-chance to make up for it.
;;		ZOC works fine, and is no longer optional.

;; PLANNED IMPROVEMENTS:
;;
;; BETTER HELP
;; A lot of the information is placeholder...  This must change!!
;; NUKES
;;	Tactical, Strategic and City-Busting MIRV.  The wrecked-type if destroyed table would be set
;;	so that any hit by a nuke causes a double loss--Reinforced to Understrength, Base to Wrecked
;;	Understrength destroyed.  Tactical are just a one-shot against a single unit, while strategic
;;	are more damaging against cities and MIRV are against all units in a hex.  
;;
;; BETTER SUPPLY SYSTEM
;;  	This would tweak the current supply out-length/in-length and production, as well as introduce
;;	headquarter units that provide supply to groups of units, a la Strategic Command.
;;
;; MORE NAVAL UNITS
;;	Boomers.  
;;	Maybe a few levels for coastal subs and coastal surface, which only come into effect in battles
;;	between each other. 
;;
;; MORE SATELLITES
;;	Just to represent different levels of satellite tech.  I have a feeling the AI won't deal well
;;	with building them, though.
;;
;; MARINES
;;	Probably as a minor unit, a "Marine Division".  Decent hitting power, tough, easily transported.
;;
;; RESERVES
;;	A new material type, to simulate citizen-soldiers, reserves and people's armies.
;;
;; AND MAYBE, IF IT WORKS:
;; DISRUPTION
;; Disruption material (Called readiness) that lowers depending on combat, so that a disrupted unit is less able to perform certain tasks.
;;
;; DECLARATIONS OF WAR
;; Already exist as a unit, just need to have a framework for implementation.
;;
;; COLD WARFARE
;; Spies, diplomats.  First borders and peaceful interaction will need to work for the AI.
;;
;; CITY GROWTH
;; 480 Points will be the cost-to-grow for cities.
;; 480 Hitech will be the cost-to-grow for CAFs.
;; Lower base-production to 2 Points, implement terrain production, all terrain produces 3 Points
;; Probably need a manpower cost to grow cities, to promote CIC building/growth, which'll require
;; A change in the current manpower scale, probably just x2, since a size 4 city is considered something
;; like New York.
;;
;; OPERATIONS
;; This would be a supply bonus, built and placed by the player, invisible to the opponent, to represent
;; operational-level thinking.  No good if the AI won't use it, though.

  (blurb "Ruleset for strategic wargames.")
  (variants
     (sequential true)
     (world-seen true)
     (see-all false)
     (last-alliance-wins true)
     (world-size (70 70 360))


        ("All Land" mostly-land
	    "World has little water." true
	    (true
                (add sea alt-percentile-max 3)
	          (add shallows alt-percentile-min 2)
                (add shallows alt-percentile-max 5)
                (add (swamp desert forest land) alt-percentile-min 5)
;               (add lake alt-percentile-min 7)
                (add carrier start-with 0)
                (add surface start-with 0)
                (add miltran start-with 0)
		    (add army-types ai-tactical-range 12)
		    (add corps-types ai-tactical-range 12)
		    (add armor-types ai-tactical-range 12)
		    (add squadron start-with 1)
            )
        )



("Enable Supply" enable-supply
	    "Units must have minimum amounts of supplies to attack and and move, keeping them close to their cities." true
	    (true
	          	(table material-to-move
			   (u* supply 1)
			   (satellite-types supply 0)
	    	    	)
			
			(table material-to-attack
			   (u* supply 2)
			)

			(table material-to-fire
			   (u* supply 2)
			)

		)
        )

;; SUPPLY

("Modified AI" different-ai
	    "An attempt to make the AI deal better with these rules." true
	    (true

	          	(set ai-may-resign false)
	          	(set ai-advanced-unit-separation 0)
	          	(set ai-badtask-max-retries 4)
 	          	(set ai-badtask-remove-chance 50)
	          	(set ai-badtask-reserve-chance 50)

			(set side-can-research true)



		)
        )

;; AI

("Fortress America" teamgame
	    "Instead of all for one, this is three to five on one.  USA has high materials to start." false
	    (true

(set sides-min 3)
(set sides-max 6)

;;  ALL BUT SPECOPS (OLD GAME)
;;  (advances-done -2 -2 -2 -2 -2 -2 -2 0 0 0 -2 -2 -2 -2 -2 -2 -2 -2 -2 -2 -2)



(side 1 nk (name "North Korea") (adjective "North Korean")
  (treasury 300 7 30 250)
  (emblem-name "flag-north-korea")
  (advances-done -2 0 0 -2 -2 -2 0 -2 -2 -2 -2 -2 -2 -2 -2 -2 0 0 -2 -2 -2  )
;;  (current-advance 8)
)
(side 2 us (name "USA") (adjective "American")
  (treasury 1000 1500 150 6000)
  (emblem-name "flag-usa")
  (advances-done -2 0 0 -2 -2 -2 0 -2 -2 -2 -2 -2 -2 -2 -2 -2 0 0 -2 -2 -2  )
;;  (current-advance 8)
)
(side 3 sk (name "South Korea") (adjective "South Korean")
  (treasury 400 50 50 250)
  (emblem-name "flag-korea")
  (advances-done -2 0 0 -2 -2 -2 0 -2 -2 -2 -2 -2 -2 -2 -2 -2 0 0 -2 -2 -2  )
;;  (current-advance 8)
)

(side 4 ch (name "China") (noun "Chinese") (adjective "Chinese")
  (treasury 400 50 200 250)
  (emblem-name "flag-china")
  (advances-done -2 0 0 -2 -2 -2 0 -2 -2 -2 -2 -2 -2 -2 -2 -2 0 0 -2 -2 -2  )
;;  (current-advance 8)
)

(side 5 jp (name "Japan") (adjective "Japanese")
  (treasury 500 250 50 500)
  (emblem-name "flag-japan")
  (advances-done -2 0 0 -2 -2 -2 0 -2 -2 -2 -2 -2 -2 -2 -2 -2 0 0 -2 -2 -2  )
;;  (current-advance 8)
)

(side 6 ru (name "Russia") (adjective "Russian")
  (treasury 800 0 100 50)
  (emblem-name "flag-russia")
  (advances-done -2 0 0 -2 -2 -2 0 -2 -2 -2 -2 -2 -2 -2 -2 -2 0 0 -2 -2 -2  )
;;  (current-advance 8)
)

(side 1 (trusts (3 1) (4 1) (5 1) (6 1)))
(side 3 (trusts (1 1) (4 1) (5 1) (6 1)))
(side 4 (trusts (3 1) (1 1) (5 1) (6 1)))
(side 5 (trusts (3 1) (4 1) (1 1) (6 1)))
(side 6 (trusts (3 1) (4 1) (5 1) (1 1)))




		)
	(false

(set sides-min 2)
(set sides-max 6)

;;  ALL BUT SPECOPS (OLD GAME)
;;  (advances-done -2 -2 -2 -2 -2 -2 -2 0 0 0 -2 -2 -2 -2 -2 -2 -2 -2 -2 -2 -2)



(side 1 nk (name "North Korea") (adjective "North Korean")
  (treasury 300 7 30 250)
  (emblem-name "flag-north-korea")
  (advances-done -2 0 0 -2 -2 -2 0 -2 -2 -2 -2 -2 -2 -2 -2 -2 0 0 -2 -2 -2  )
;;  (current-advance 8)
)
(side 2 us (name "USA") (adjective "American")
  (treasury 500 100 40 250)
  (emblem-name "flag-usa")
  (advances-done -2 0 0 -2 -2 -2 0 -2 -2 -2 -2 -2 -2 -2 -2 -2 0 0 -2 -2 -2  )
;;  (current-advance 8)
)
(side 3 sk (name "South Korea") (adjective "South Korean")
  (treasury 400 50 50 250)
  (emblem-name "flag-korea")
  (advances-done -2 0 0 -2 -2 -2 0 -2 -2 -2 -2 -2 -2 -2 -2 -2 0 0 -2 -2 -2  )
;;  (current-advance 8)
)

(side 4 ch (name "China") (noun "Chinese") (adjective "Chinese")
  (treasury 400 50 100 250)
  (emblem-name "flag-china")
  (advances-done -2 0 0 -2 -2 -2 0 -2 -2 -2 -2 -2 -2 -2 -2 -2 0 0 -2 -2 -2  )
;;  (current-advance 8)
)

(side 5 jp (name "Japan") (adjective "Japanese")
  (treasury 500 250 15 500)
  (emblem-name "flag-japan")
  (advances-done -2 0 0 -2 -2 -2 0 -2 -2 -2 -2 -2 -2 -2 -2 -2 0 0 -2 -2 -2  )
;;  (current-advance 8)
)

(side 6 ru (name "Russia") (adjective "Russian")
  (treasury 800 0 80 50)
  (emblem-name "flag-russia")
  (advances-done -2 0 0 -2 -2 -2 0 -2 -2 -2 -2 -2 -2 -2 -2 -2 0 0 -2 -2 -2  )
;;  (current-advance 8)
)
)
        )

;; FORTRESS AMERICA

("Cheap Units" cheap-units
	    "All units cost 75% their normal price." false
	    (true

(table consumption-on-creation

   (reinforced-corps-types points 17)
   (base-corps-types points 10)
   (base-corps-types manpower 2)
   (damaged-corps-types  points 15)
   (damaged-corps-types  manpower 2)
   (reinforced-corps-types supply 15)
   (base-corps-types supply 15)
   (damaged-corps-types  supply 15)

   (reinforced-army-types points 25)
   (base-army-types points 15)
   (base-army-types manpower 3)
   (damaged-army-types points 23)
   (damaged-army-types manpower 3)
   (reinforced-army-types supply 15)
   (base-army-types supply 15)
   (damaged-army-types supply 15)

   (reinforced-armor-types points 33)
   (base-armor-types points 20)
   (damaged-armor-types points 30)
   (reinforced-armor-types supply 15)
   (base-armor-types supply 15)
   (damaged-armor-types supply 15)

   (reinforced-wing-types hitech 50)
   (base-wing-types hitech 30)
   (damaged-wing-types hitech 45)
   (reinforced-wing-types supply 15)
   (base-wing-types supply 15)
   (damaged-wing-types supply 15)

;; THESE HAVE TO BE LATER TO OVERRIDE BASE-TYPES ABOVE
;; I THINK I'LL LEAVE ALL UNITS REQUIRING 15 SUPPLY

   (corps points 25)
   (corps manpower 4)
   (army points 40)
   (army manpower 7)
   (marine points 15)
   (marine manpower 2)
   (armor points 100)
   (adneng points 50)
   (sam points 50)
   (brigade points 60)
   (wing hitech 200)
   (carrierwing hitech 200)
   (squadron hitech 100)
   (surface points 150)

   	(carrier points 200)
	(carrier-1 points 250)
	(carrier-2 points 300)

   (coastal points 50)
   (coastsub points 70)
   (sub points 175)
   (para points 20)
   (miltran points 20)
   (civtran points 10)
   (milair points 40)

   (reinforcedsurface points 50)
   (restoredsurface points 30)
   (damagedsurface points 45)
   (reinforcedsurface supply 15)
   (restoredsurface supply 15)
   (damagedsurface supply 15)

   (reinforcedcarrier points 66)
   (restoredcarrier points 40)
   (damagedcarrier points 60)
   (reinforcedcarrier supply 15)
   (restoredcarrier supply 15)
   (damagedcarrier supply 15)

   (reinforcedcarrier-1 points 75)
   (restoredcarrier-1 points 50)
   (damagedcarrier-1 points 70)
   (reinforcedcarrier-1 supply 15)
   (restoredcarrier-1 supply 15)
   (damagedcarrier-1 supply 15)

   (reinforcedcarrier-2 points 90)
   (restoredcarrier-2 points 52)
   (damagedcarrier-2 points 80)
   (reinforcedcarrier-2 supply 15)
   (restoredcarrier-2 supply 15)
   (damagedcarrier-2 supply 15)

   (reinforcedsam points 17)
   (restoredsam points 10)
   (damagedsam points 15)
   (reinforcedsam supply 15)
   (restoredsam supply 15)
   (damagedsam supply 15)

   (specops supply 15)
   (specheli supply 15)

	(wreckedcity points 600)
	(wreckedcity manpower 20)
	(cic points 600)
	(caf hitech 600)


)




		)
        )

;; CHEAPER UNITS


  )
)



;;; Types.


(set self-required true)


;;; CORPS


(unit-type corps (name "Corps (G)") (image-name "ko-corps")  (char "c") 
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 20) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
;;  (wrecked-type damagedcorps)
;;;  (possible-sides "None") (namer "None")
  (point-value 15)
  (ground true)
  (help "A green corps."))

;;; ARMY

(unit-type army (name "Army (G)") (image-name "ko-army")  (char "a") 
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (ground true)
  (help "A green army."))

;;; ARMOR


(unit-type armor (name "Armor Group (G)") (image-name "ko-armor")  (char "A") 
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A green armor group.  This unit cannot capture."))

;;; AIR


(unit-type wing (name "Air Wing (G)") (image-name "ko-wing") (char "w") 
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (ai-tactical-range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (ground true)
  (help "A large and varied collection of combat aircraft with no combat experience."))

(unit-type carrierwing (name "Carrier Air Wing (G)") (image-name "ko-wing") (char "W") 
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (ai-tactical-range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (ground true)
  (help "A group of aircraft designed to be launched from a carrier.  No combat experience, which makes them far less likely to intercept incoming aircraft than a more experienced unit."))

;;; AIR DEFENSE

(unit-type sam (name "Air Defense Network (G)") (image-name "ko-adn")  (char "d") 
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (ai-tactical-range 7)
;;;  (possible-sides "None") (namer "None")
  (point-value 15)
  (ground true)
  (help "A collection of active and passive air defense systems with no combat experience."))


;;; SURFACE NAVAL

(unit-type surface (name "Surface Fleet (G)") (image-name "ko-surface")  (char "S") 
  (vision-range 4) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 10) (hp-recovery 5.00)
;; (acp-to-fire 18) (range 3)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (naval true)
  (help "A green battle fleet."))


;;; CARRIER

(unit-type carrier (name "Carrier Group (G)") (image-name "ko-carrier")  (char "c") 
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (ai-tactical-range 20)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (naval true)
  (help "A carrier group with no combat experience."))

(unit-type carrier-1 (name "Improved Carrier Group (G)") (image-name "ko-carrier")  (char "C") 
  (vision-range 7) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 35) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (ai-tactical-range 25)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (naval true)
  (help "An improved carrier group with no combat experience."))

(unit-type carrier-2 (name "Advanced Carrier Group (G)") (image-name "ko-carrier")  (char "D") 
  (vision-range 8) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (ai-tactical-range 30)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (naval true)
  (help "An advanced carrier group with no combat experience."))

;;; TRANSPORT UNITS

(unit-type civtran (name "Civilian Transport Fleet") (image-name "ko-civtran")  (char "t") 
  (vision-range 0) (capacity 20) (see-always false) (acp-per-turn 4) 
  (hp-max 15) (cp 10) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (naval true)
  (help "A collection of civilian shipping.  Provides points when next to a port or can be requisitioned [Not implemented yet]."))

(unit-type miltran (name "Military Transport Fleet") (image-name "ko-miltran") (char "T") 
  (vision-range 0) (capacity 30) (see-always false) (acp-per-turn 5) 
  (hp-max 25) (cp 10) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (naval true)
  (point-value 10)
  (help "A collection of military transport vessels, cannot be captured and more resilient than civilian."))

;;; MINOR UNITS

(unit-type marine (name "Marine expeditionary Force") (image-name "ko-marines") (char "m") 
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 50) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (ground true)
  (help "Marine expeditionary Force.  Can be carried by Surface Fleets."))

(unit-type para (name "Paramilitary Band") (image-name "ko-wreckedcorps") (char "p") 
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 10) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (point-value 8)
  (ground true)
  (help "Paramilitary forces."))

(unit-type coastal (name "Coastal Surface Fleet") (image-name "ko-coastal") (char "s") 
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 25) (cp 10) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 8)
  (naval true)
  (help "A coastal surface fleet.  This unit doesn't have enough materials to be too far away from city and can only resupply if next to a city or port."))

(unit-type coastsub (name "Coastal Sub") (image-name "ko-csub") (char "u") 
  (vision-range 4) (capacity 1) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 10)
  (naval true)
  (help "A group of diesel-electric submarines.  This unit doesn't have enough materials to be too far away from city and can only resupply if next to a city or port."))

(unit-type sub (name "Sub") (image-name "ko-sub") (char "U") 
  (vision-range 5) (capacity 1) (see-always false) (acp-per-turn 6) 
  (hp-max 20) (cp 10) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (naval true)
  (help "Nuclear hunter-killer.  Hard to detect and very useful against naval assets.  Not a boomer."))

(unit-type squadron (name "Advanced Fighter Squadron") (image-name "ko-squadron")  (char "f") 
  (vision-range 7) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 7)
  (ai-tactical-range 7)
;;;  (possible-sides "None") (namer "None")
  (point-value 22)
  (ground true)
  (help "A small group of the most technically advanced aircraft available to this nation."))

(unit-type brigade (name "Advanced Armor Brigade") (image-name "ko-brigade")  (char "b") 
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 60) (cp 10) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 18)
  (ground true)
  (help "A small group of the most technically advanced armor and equipment available to this nation."))

;;; SATELLITES

(unit-type spysat (name "Spy Satellite") (image-name "icbm")
  (acp-per-turn 10) (hp-max 1) (vision-range 10)
  (help "Keeps a nation apprised of situations."))

(define satellite-types (spysat))

;;; Special Units

(unit-type mainland (name "The American Mainland") (image-name "trident-diplomat")
(acp-per-turn 0) (hp-max 1) (vision-range 0)
(can-be-self true) (self-resurrects true) (advanced true)
(help "Provides the industry necessary to support the war."))

(unit-type int-aid (name "Military Aid") (image-name "trident-diplomat")
(acp-per-turn 10) (hp-max 1) (vision-range 0) (advanced true)
(help "Provides the industry necessary to support the war."))

(unit-type war-dec (name "War") (image-name "trident-diplomat")
(acp-per-turn 1) (hp-max 1) (vision-range 0)
(acp-to-detonate 1) (hp-per-detonation 1) (detonate-on-death 100)
(help "Removes peace borders."))

(unit-type specops (name "spec ops") (image-name "ko-specops")
  (vision-range 5) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 10) (cp 10) (hp-recovery 5.00) 
;;;  (possible-sides "None") (namer "None")
  (point-value 18)
  (ground true)
  (help "Special operations forces, useful for causing havoc behind the lines."))

(unit-type specheli (name "Pave Low Heli") (image-name "ko-specheli")
  (vision-range 5) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 10) (cp 10) (hp-recovery 5.00) 
;;;  (possible-sides "None") (namer "None")
  (air true)
  (help "Special ops helicopter, tough to shoot down."))

(unit-type port (name "Major Shipyard and Port") (image-name "anchor")
  (vision-range 2) (capacity 0) (see-always true) (acp-per-turn 0) 
  (hp-max 15) (cp 10) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (help "Deep, Drydocks, Full Production, Fancified."))

(unit-type smallport (name "Minor Drydock and Port") (image-name "anchor")
  (vision-range 2) (capacity 0) (see-always true) (acp-per-turn 0) 
  (hp-max 15) (cp 10) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (help "Only good for producing transports and coastal ships"))


(unit-type civair (name "Civilian Air Fleet") (image-name "ko-civair")
  (vision-range 0) (capacity 10) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (air true)
  (help "A collection of civilian aircraft.  Provides points when next to a city or can be requisitioned [Not implemented yet]."))

(unit-type milair (name "Military Air Transport Fleet") (image-name "ko-milair")
  (vision-range 0) (capacity 12) (see-always false) (acp-per-turn 6) 
  (hp-max 12) (cp 10) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (air true)
  (help "A collection of military transport aircraft."))

(unit-type jettran (name "Skipjet Transport") (image-name "ko-squadron")
  (vision-range 0) (capacity 12) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (naval true)
  (help "The Caspian Sea Monster.  That cool Russian jet-boat that gets everyone sick."))

;;; CITIES

(unit-type ruins (name "Ruins") (image-name "ko-city-level")
  (vision-range 0) (capacity 1) (see-always true) (acp-per-turn 0) 
  (hp-max 1) (cp 10) (hp-recovery 1.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (help "A reminder of past glory."))

(unit-type wreckedcity (name "Levelled City") (image-name "ko-city-wreck")
  (vision-range 1) (capacity 1) (see-always true) (acp-per-turn 10) 
  (hp-max 50) (cp 10) (hp-recovery 1.00) (acp-to-fire 0) (range 0)
  (wrecked-type ruins) (can-be-self false) (self-resurrects true)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (help "A ravaged city."))

(unit-type damagedcity (name "Damaged City") (image-name "ko-city-damage")
  (vision-range 2) (capacity 1) (see-always true) (acp-per-turn 10) 
  (hp-max 50) (cp 10) (hp-recovery 1.00) (acp-to-fire 0) (range 0)
  (wrecked-type wreckedcity)
  (can-be-self true) (self-resurrects true)
;;;  (possible-sides "None") (namer "None")
  (point-value 80)
  (help "A damaged city."))

(unit-type city (name "City") (image-name "nt-city-gray-large")
  (vision-range 2) (capacity 1) (see-always true) (acp-per-turn 10) 
  (hp-max 50) (cp 10) (hp-recovery 1.00) (acp-to-fire 0) (range 0)
  (wrecked-type damagedcity)
  (can-be-self true) (self-resurrects true)
;;;  (possible-sides "None") (namer "None")
  (point-value 100)
  (help "A city important enough to be included in the game."))

;;; MAJOR CITIES

(unit-type wreckedmajorcity (name "Levelled Major City") (image-name "city20-wrecked")
  (vision-range 1) (capacity 1) (see-always true) (acp-per-turn 2) 
  (hp-max 50) (cp 100) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type ruins)
  (can-be-self true) (self-resurrects true)
;;;  (possible-sides "None") (namer "None")
  (help "A horrendously damaged major city."))

(unit-type heavydamagedmajorcity (name "Heavily Damaged Major City") (image-name "city20-burning")
  (vision-range 1) (capacity 1) (see-always true) (acp-per-turn 6) 
  (hp-max 50) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type wreckedmajorcity)
  (can-be-self true) (self-resurrects true)
;;;  (possible-sides "None") (namer "None")
  (help "A heavily damaged major city."))

(unit-type damagedmajorcity (name "Damaged Major City") (image-name "city20-burning")
  (vision-range 2) (capacity 1) (see-always true) (acp-per-turn 14) 
  (hp-max 50) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type heavydamagedmajorcity)
  (can-be-self true) (self-resurrects true)
;;;  (possible-sides "None") (namer "None")
  (help "A damaged major city."))

(unit-type majorcity (name "Major City") (image-name "city20-intact")
  (vision-range 2) (capacity 1) (see-always true) (acp-per-turn 20) 
  (hp-max 50) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type damagedmajorcity)
  (can-be-self true) (self-resurrects true)
;;;  (possible-sides "None") (namer "None")
  (help "A major city, like New York or Tokyo or Sacramento."))

;;; CIVILIAN AEROSPACE FACILITY

(unit-type wreckedcaf (name "Levelled Aerospace Facility") (image-name "nt-city-white-small")
  (vision-range 1) (capacity 1) (see-always true) (acp-per-turn 10) 
  (hp-max 30) (cp 100) (hp-recovery 1.00) (acp-to-fire 0) (range 0)
  (wrecked-type ruins)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (help "An aircraft plant rendered totally nonproductive through military means."))

(unit-type heavydamagedcaf (name "Heavily Damaged Aerospace Facility") (image-name "nt-city-white-small")
  (vision-range 1) (capacity 1) (see-always true) (acp-per-turn 10) 
  (hp-max 30) (cp 10) (hp-recovery 1.00) (acp-to-fire 0) (range 0)
  (wrecked-type wreckedcaf)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (help "An aircraft plant rendered virtually nonproductive through military means."))

(unit-type damagedcaf (name "Damaged Aerospace Facility") (image-name "nt-city-white-small")
  (vision-range 1) (capacity 1) (see-always true) (acp-per-turn 10) 
  (hp-max 30) (cp 10) (hp-recovery 1.00) (acp-to-fire 0) (range 0)
  (wrecked-type heavydamagedcaf)
;;;  (possible-sides "None") (namer "None")
  (point-value 50)
  (help "An aircraft plant rendered somewhat less productive through military means."))

(unit-type caf (name "Aerospace Facility") (image-name "nt-city-white-small")
  (vision-range 1) (capacity 1) (see-always true) (acp-per-turn 10) 
  (hp-max 30) (cp 10) (hp-recovery 1.00) (acp-to-fire 0) (range 0)
  (wrecked-type damagedcaf)
;;;  (possible-sides "None") (namer "None")
  (point-value 60)
  (help "An aircraft plant."))


;;; Civilian Industrial Center

(unit-type wreckedcic (name "Levelled Industrial Center") (image-name "refinery")
  (vision-range 1) (capacity 1) (see-always true) (acp-per-turn 0) 
  (hp-max 30) (cp 100) (hp-recovery 1.00) (acp-to-fire 0) (range 0)
  (wrecked-type ruins)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (help "An industrial center rendered totally nonproductive through military means."))

(unit-type heavydamagedcic (name "Heavily Damaged Industrial Center") (image-name "refinery")
  (vision-range 1) (capacity 1) (see-always true) (acp-per-turn 0) 
  (hp-max 30) (cp 10) (hp-recovery 1.00) (acp-to-fire 0) (range 0)
  (wrecked-type wreckedcic)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (help "An industrial center rendered virtually nonproductive through military means."))

(unit-type damagedcic (name "Damaged Industrial Center") (image-name "refinery")
  (vision-range 1) (capacity 1) (see-always true) (acp-per-turn 0) 
  (hp-max 30) (cp 10) (hp-recovery 1.00) (acp-to-fire 0) (range 0)
  (wrecked-type heavydamagedcic)
;;;  (possible-sides "None") (namer "None")
  (point-value 50)
  (help "An industrial center rendered somewhat less productive through military means."))

(unit-type cic (name "Industrial Center") (image-name "refinery")
  (vision-range 1) (capacity 1) (see-always true) (acp-per-turn 0)
  (hp-max 30) (cp 10) (hp-recovery 1.00) (acp-to-fire 0) (range 0)
  (wrecked-type damagedcic)
;;;  (possible-sides "None") (namer "None")
  (point-value 60)
  (help "An industrial center."))


;; NUKES

(unit-type tacnuke (name "Tactical Nuclear Missile") (image-name "ko-nuke1")
  (vision-range 1) (capacity 1) (see-always true) (acp-per-turn 15)
  (hp-max 1) (cp 10) (hp-recovery 0.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (point-value 0)
  (help "A tactical weapon, useful against a single military unit."))

(unit-type mrnuke (name "Medium Range Nuclear Missile") (image-name "ko-nuke2")
  (vision-range 1) (capacity 1) (see-always true) (acp-per-turn 30)
  (hp-max 1) (cp 10) (hp-recovery 0.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (point-value 0)
  (help "A strategic weapon, useful against a single military unit or location."))

(unit-type lrnuke (name "Intercontinental Nuclear Missile") (image-name "ko-nuke3")
  (vision-range 1) (capacity 1) (see-always true) (acp-per-turn 100)
  (hp-max 1) (cp 10) (hp-recovery 0.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (point-value 0)
  (help "A strategic weapon, useful against a single military unit or location."))

(unit-type lrmirv (name "Intercontinental Multi-Warhead Nuclear Missile") (image-name "ko-nuke4")
  (vision-range 1) (capacity 1) (see-always true) (acp-per-turn 100)
  (hp-max 1) (cp 10) (hp-recovery 0.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (point-value 0)
  (help "A strategic weapon, devastating against all units and locations in a single hex."))


;; EXPERIENCED CORPS

(unit-type wreckedcorps (name "Wrecked Corps (G)") (image-name "ko-wreckedcorps")
  (vision-range 1) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 20) (cp 100) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 5)
  (help "A corps reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type damagedcorps (name "Understrength Corps (G)") (image-name "ko-damagedcorps")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 20) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type wreckedcorps)
;;;  (possible-sides "None") (namer "None")
  (point-value 10)
  (ground true)
  (help "A corps at 70% capability."))

(unit-type reinforcedcorps (name "Reinforced Corps (G)") (image-name "ko-reinforcedcorps")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 24) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type corps)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (ground true)
  (help "A reinforced corps, about 20% more effective."))

(unit-type reg-wreckedcorps (name "Wrecked Corps (R)") (image-name "ko-wreckedcorps")
  (vision-range 1) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 25) (cp 100) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 10)
  (help "A corps reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type reg-damagedcorps (name "Understrength Corps (R)") (image-name "ko-damagedcorps")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 25) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type reg-wreckedcorps)
;;;  (possible-sides "None") (namer "None")
  (point-value 15)
  (ground true)
  (help "A corps at 70% capability."))

(unit-type restoredcorps (name "Corps (R)") (image-name "ko-corps")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 25) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type reg-damagedcorps)
;;;  (possible-sides "None") (namer "None")
  (point-value 15)
  (ground true)
  (help "A regular corps."))

(unit-type reg-reinforcedcorps (name "Reinforced Corps (R)") (image-name "ko-reinforcedcorps")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type restoredcorps)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A reinforced corps, about 20% more effective."))

(unit-type vet-wreckedcorps (name "Wrecked Corps (V)") (image-name "ko-wreckedcorps")
  (vision-range 1) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 100) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 5)
  (help "A corps reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type vet-damagedcorps (name "Understrength Corps (V)") (image-name "ko-damagedcorps")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type vet-wreckedcorps)
;;;  (possible-sides "None") (namer "None")
  (point-value 10)
  (ground true)
  (help "A corps at 70% capability."))

(unit-type vet-corps (name "Corps (V)") (image-name "ko-corps")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type vet-damagedcorps)
;;;  (possible-sides "None") (namer "None")
  (point-value 15)
  (ground true)
  (help "A green corps."))

(unit-type vet-reinforcedcorps (name "Reinforced Corps (V)") (image-name "ko-reinforcedcorps")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 35) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type vet-corps)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (ground true)
  (help "A reinforced corps, about 20% more effective."))

(unit-type crk-wreckedcorps (name "Wrecked Corps (C)") (image-name "ko-wreckedcorps")
  (vision-range 1) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 35) (cp 100) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (help "A corps reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type crk-damagedcorps (name "Understrength Corps (C)") (image-name "ko-damagedcorps")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 35) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type crk-wreckedcorps)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A corps at 70% capability."))

(unit-type crk-corps (name "Corps (C)") (image-name "ko-corps")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 35) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type crk-damagedcorps)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (ground true)
  (help "A green corps."))

(unit-type crk-reinforcedcorps (name "Reinforced Corps (C)") (image-name "ko-reinforcedcorps")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type crk-corps)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (ground true)
  (help "A reinforced corps, about 20% more effective."))

(unit-type eli-wreckedcorps (name "Wrecked Corps (E)") (image-name "ko-wreckedcorps")
  (vision-range 1) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 100) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (help "A corps reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type eli-damagedcorps (name "Understrength Corps (E)") (image-name "ko-damagedcorps")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type eli-wreckedcorps)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (ground true)
  (help "A corps at 70% capability."))

(unit-type eli-corps (name "Corps (E)") (image-name "ko-corps")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type eli-damagedcorps)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (ground true)
  (help "A green corps."))

(unit-type eli-reinforcedcorps (name "Reinforced Corps (E)") (image-name "ko-reinforcedcorps")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 45) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type eli-corps)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (ground true)
  (help "A reinforced corps, about 20% more effective."))


;; EXPERIENCED ARMIES

(unit-type wreckedarmy (name "Wrecked Army") (image-name "ko-wreckedarmy")
  (vision-range 1) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 100) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (point-value 10)
  (colonizer true)
  (ground true)
  (help "A smashed army.  This unit cannot capture and stands a good chance of retreating when attacked."))

(unit-type damagedarmy (name "Understrength Army") (image-name "ko-damagedarmy")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type wreckedarmy)
;;;  (possible-sides "None") (namer "None")
  (point-value 15)
  (ground true)
  (help "A hurting army."))

(unit-type reinforcedarmy (name "Reinforced Army") (image-name "ko-reinforcedarmy")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 36) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type army)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A reinforced army, about 19.6% more effective."))

(unit-type reg-wreckedarmy (name "Wrecked Army (R)") (image-name "ko-wreckedarmy")
  (vision-range 1) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 35) (cp 100) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 10)
  (help "A army reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type reg-damagedarmy (name "Understrength Army (R)") (image-name "ko-damagedarmy")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 35) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type reg-wreckedarmy)
;;;  (possible-sides "None") (namer "None")
  (point-value 15)
  (ground true)
  (help "A army at 70% capability."))

(unit-type restoredarmy (name "Army (R)") (image-name "ko-army")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 35) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type reg-damagedarmy)
;;;  (possible-sides "None") (namer "None")
  (point-value 15)
  (ground true)
  (help "A regular army."))

(unit-type reg-reinforcedarmy (name "Reinforced Army (R)") (image-name "ko-reinforcedarmy")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type restoredarmy)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A reinforced army, about 20% more effective."))

(unit-type vet-wreckedarmy (name "Wrecked Army (V)") (image-name "ko-wreckedarmy")
  (vision-range 1) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 100) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 5)
  (help "A army reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type vet-damagedarmy (name "Understrength Army (V)") (image-name "ko-damagedarmy")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type vet-wreckedarmy)
;;;  (possible-sides "None") (namer "None")
  (point-value 10)
  (ground true)
  (help "A army at 70% capability."))

(unit-type vet-army (name "Army (V)") (image-name "ko-army")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type vet-damagedarmy)
;;;  (possible-sides "None") (namer "None")
  (point-value 15)
  (ground true)
  (help "A green army."))

(unit-type vet-reinforcedarmy (name "Reinforced Army (V)") (image-name "ko-reinforcedarmy")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 50) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type vet-army)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (ground true)
  (help "A reinforced army, about 20% more effective."))

(unit-type crk-wreckedarmy (name "Wrecked Army (C)") (image-name "ko-wreckedarmy")
  (vision-range 1) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 45) (cp 100) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (help "A army reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type crk-damagedarmy (name "Understrength Army (C)") (image-name "ko-damagedarmy")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 45) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type crk-wreckedarmy)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A army at 70% capability."))

(unit-type crk-army (name "Army (C)") (image-name "ko-army")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 45) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type crk-damagedarmy)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (ground true)
  (help "A green army."))

(unit-type crk-reinforcedarmy (name "Reinforced Army (C)") (image-name "ko-reinforcedarmy")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 50) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type crk-army)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (ground true)
  (help "A reinforced army, about 20% more effective."))

(unit-type eli-wreckedarmy (name "Wrecked Army (E)") (image-name "ko-wreckedarmy")
  (vision-range 1) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 50) (cp 100) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (help "A army reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type eli-damagedarmy (name "Understrength Army (E)") (image-name "ko-damagedarmy")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 50) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type eli-wreckedarmy)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (ground true)
  (help "A army at 70% capability."))

(unit-type eli-army (name "Army (E)") (image-name "ko-army")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 50) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type eli-damagedarmy)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (ground true)
  (help "A green army."))

(unit-type eli-reinforcedarmy (name "Reinforced Army (E)") (image-name "ko-reinforcedarmy")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 55) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type eli-army)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (ground true)
  (help "A reinforced army, about 20% more effective."))


;; EXPERIENCED ARMOR

(unit-type wreckedarmor (name "Wrecked Armor Group") (image-name "ko-wreckedarmor")
  (vision-range 1) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 100) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (point-value 15)
  (colonizer true)
  (ground true)
  (help "A smashed armor group.  This unit cannot capture and has severely limited awareness."))

(unit-type damagedarmor (name "Understrength Armor Group") (image-name "ko-damagedarmor")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type wreckedarmor)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (ground true)
  (help "A depleted armor group.  This unit cannot capture."))

(unit-type reinforcedarmor (name "Reinforced Armor Group") (image-name "ko-reinforcedarmor")
  (vision-range 4) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 48) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type armor)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (ground true)
  (help "A reinforced armor group, about 20.3% more effective.  This unit cannot capture."))

(unit-type reg-wreckedarmor (name "Wrecked Armor Group (R)") (image-name "ko-wreckedarmor")
  (vision-range 1) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 45) (cp 100) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 10)
  (help "A armor reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type reg-damagedarmor (name "Understrength Armor Group (R)") (image-name "ko-damagedarmor")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 45) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type reg-wreckedarmor)
;;;  (possible-sides "None") (namer "None")
  (point-value 15)
  (ground true)
  (help "A armor at 70% capability."))

(unit-type restoredarmor (name "Armor Group (R)") (image-name "ko-armor")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 45) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type reg-damagedarmor)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A regular armor group.  This unit cannot capture."))

(unit-type reg-reinforcedarmor (name "Reinforced Armor Group (R)") (image-name "ko-reinforcedarmor")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 50) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type restoredarmor)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A reinforced armor, about 20% more effective."))

(unit-type vet-wreckedarmor (name "Wrecked Armor Group (V)") (image-name "ko-wreckedarmor")
  (vision-range 1) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 50) (cp 100) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 5)
  (help "A armor reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type vet-damagedarmor (name "Understrength Armor Group (V)") (image-name "ko-damagedarmor")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 50) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type vet-wreckedarmor)
;;;  (possible-sides "None") (namer "None")
  (point-value 10)
  (ground true)
  (help "A armor at 70% capability."))

(unit-type vet-armor (name "Armor Group (V)") (image-name "ko-armor")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 50) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type vet-damagedarmor)
;;;  (possible-sides "None") (namer "None")
  (point-value 15)
  (ground true)
  (help "A green armor."))

(unit-type vet-reinforcedarmor (name "Reinforced Armor Group (V)") (image-name "ko-reinforcedarmor")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 55) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type vet-armor)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (ground true)
  (help "A reinforced armor, about 20% more effective."))

(unit-type crk-wreckedarmor (name "Wrecked Armor Group (C)") (image-name "ko-wreckedarmor")
  (vision-range 1) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 55) (cp 100) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (help "A armor reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type crk-damagedarmor (name "Understrength Armor Group (C)") (image-name "ko-damagedarmor")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 55) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type crk-wreckedarmor)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A armor at 70% capability."))

(unit-type crk-armor (name "Armor Group (C)") (image-name "ko-armor")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 55) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type crk-damagedarmor)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (ground true)
  (help "A green armor."))

(unit-type crk-reinforcedarmor (name "Reinforced Armor Group (C)") (image-name "ko-reinforcedarmor")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 60) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type crk-armor)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (ground true)
  (help "A reinforced armor, about 20% more effective."))

(unit-type eli-wreckedarmor (name "Wrecked Armor Group (E)") (image-name "ko-wreckedarmor")
  (vision-range 1) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 60) (cp 100) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (help "A armor reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type eli-damagedarmor (name "Understrength Armor Group (E)") (image-name "ko-damagedarmor")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 60) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type eli-wreckedarmor)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (ground true)
  (help "A armor at 70% capability."))

(unit-type eli-armor (name "Armor Group (E)") (image-name "ko-armor")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 60) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type eli-damagedarmor)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (ground true)
  (help "A green armor."))

(unit-type eli-reinforcedarmor (name "Reinforced Armor Group (E)") (image-name "ko-reinforcedarmor")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 70) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
  (wrecked-type eli-armor)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (ground true)
  (help "A reinforced armor, about 20% more effective."))

;; EXPERIENCED AIR

(unit-type wreckedwing (name "Wrecked Air Wing (G)") (image-name "ko-wreckedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (ai-tactical-range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (colonizer true)
  (ground true)
  (help "A nearly destroyed Air Wing."))

(unit-type damagedwing (name "Understrength Air Wing (G)") (image-name "ko-damagedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type wreckedwing)
  (ai-tactical-range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A depleted Air Wing."))

(unit-type reinforcedwing (name "Reinforced Air Wing (G)") (image-name "ko-reinforcedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 25) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type wing)
  (ai-tactical-range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (ground true)
  (help "A reinforced wing, about 20% more effective."))

(unit-type reg-wreckedwing (name "Wrecked Air Wing (R)") (image-name "ko-wreckedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (help "A wing reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type reg-damagedwing (name "Understrength Air Wing (R)") (image-name "ko-damagedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type reg-wreckedwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A wing at 70% capability."))

(unit-type restoredwing (name "Air Wing (R)") (image-name "ko-wing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type damagedwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (help "A large and varied collection of combat aircraft with combat experience."))

(unit-type reg-reinforcedwing (name "Reinforced Air Wing (R)") (image-name "ko-reinforcedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 20) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type restoredwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (help "A reinforced wing, about 20% more effective."))

(unit-type vet-wreckedwing (name "Wrecked Air Wing (V)") (image-name "ko-wreckedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (help "A wing reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type vet-damagedwing (name "Understrength Air Wing (V)") (image-name "ko-damagedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type vet-wreckedwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (help "A wing at 70% capability."))

(unit-type vet-wing (name "Air Wing (V)") (image-name "ko-wing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type vet-damagedwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (help "A green wing."))

(unit-type vet-reinforcedwing (name "Reinforced Air Wing (V)") (image-name "ko-reinforcedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 20) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type vet-wing)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (help "A reinforced wing, about 20% more effective."))

(unit-type crk-wreckedwing (name "Wrecked Air Wing (C)") (image-name "ko-wreckedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (help "A wing reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type crk-damagedwing (name "Understrength Air Wing (C)") (image-name "ko-damagedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
  (wrecked-type crk-wreckedwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (help "A wing at 70% capability."))

(unit-type crk-wing (name "Air Wing (C)") (image-name "ko-wing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
  (wrecked-type crk-damagedwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (help "A green wing."))

(unit-type crk-reinforcedwing (name "Reinforced Air Wing (C)") (image-name "ko-reinforcedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 20) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
  (wrecked-type crk-wing)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (help "A reinforced wing, about 20% more effective."))

(unit-type eli-wreckedwing (name "Wrecked Air Wing (E)") (image-name "ko-wreckedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (help "A wing reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type eli-damagedwing (name "Understrength Air Wing (E)") (image-name "ko-damagedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
  (wrecked-type eli-wreckedwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (help "A wing at 70% capability."))

(unit-type eli-wing (name "Air Wing (E)") (image-name "ko-wing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
  (wrecked-type eli-damagedwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (help "A green wing."))

(unit-type eli-reinforcedwing (name "Reinforced Air Wing (E)") (image-name "ko-reinforcedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 20) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
  (wrecked-type eli-wing)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (help "A reinforced wing, about 20% more effective."))

;; EXPERIENCED CARRIER AIR

(unit-type wreckedcarrierwing (name "Wrecked Carrier Air Wing (G)") (image-name "ko-wreckedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (ai-tactical-range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (colonizer true)
  (ground true)
  (help "A nearly destroyed Carrier Air Wing."))

(unit-type damagedcarrierwing (name "Understrength Carrier Air Wing (G)") (image-name "ko-damagedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type wreckedcarrierwing)
  (ai-tactical-range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A depleted Carrier Air Wing."))

(unit-type reinforcedcarrierwing (name "Reinforced Carrier Air Wing (G)") (image-name "ko-reinforcedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 25) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type carrierwing)
  (ai-tactical-range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (ground true)
  (help "A reinforced wing, about 20% more effective."))

(unit-type reg-wreckedcarrierwing (name "Wrecked Carrier Air Wing (R)") (image-name "ko-wreckedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (help "A wing reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type reg-damagedcarrierwing (name "Understrength Carrier Air Wing (R)") (image-name "ko-damagedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type reg-wreckedcarrierwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A wing at 70% capability."))

(unit-type restoredcarrierwing (name "Carrier Air Wing (R)") (image-name "ko-wing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type damagedcarrierwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (help "A large and varied collection of combat aircraft with combat experience."))

(unit-type reg-reinforcedcarrierwing (name "Reinforced Carrier Air Wing (R)") (image-name "ko-reinforcedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 20) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type restoredcarrierwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (help "A reinforced wing, about 20% more effective."))

(unit-type vet-wreckedcarrierwing (name "Wrecked Carrier Air Wing (V)") (image-name "ko-wreckedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (help "A wing reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type vet-damagedcarrierwing (name "Understrength Carrier Air Wing (V)") (image-name "ko-damagedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type vet-wreckedcarrierwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (help "A wing at 70% capability."))

(unit-type vet-carrierwing (name "Carrier Air Wing (V)") (image-name "ko-wing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type vet-damagedcarrierwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (help "A green wing."))

(unit-type vet-reinforcedcarrierwing (name "Reinforced Carrier Air Wing (V)") (image-name "ko-reinforcedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 20) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type vet-carrierwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (help "A reinforced wing, about 20% more effective."))

(unit-type crk-wreckedcarrierwing (name "Wrecked Carrier Air Wing (C)") (image-name "ko-wreckedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (help "A wing reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type crk-damagedcarrierwing (name "Understrength Carrier Air Wing (C)") (image-name "ko-damagedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
  (wrecked-type crk-wreckedcarrierwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (help "A wing at 70% capability."))

(unit-type crk-carrierwing (name "Carrier Air Wing (C)") (image-name "ko-wing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
  (wrecked-type crk-damagedcarrierwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (help "A green wing."))

(unit-type crk-reinforcedcarrierwing (name "Reinforced Carrier Air Wing (C)") (image-name "ko-reinforcedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 20) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
  (wrecked-type crk-carrierwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (help "A reinforced wing, about 20% more effective."))

(unit-type eli-wreckedcarrierwing (name "Wrecked Carrier Air Wing (E)") (image-name "ko-wreckedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (help "A wing reduced to 30% capability.  These units cannot capture and stand a good chance of retreating in the face of attack."))

(unit-type eli-damagedcarrierwing (name "Understrength Carrier Air Wing (E)") (image-name "ko-damagedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
  (wrecked-type eli-wreckedcarrierwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (help "A wing at 70% capability."))

(unit-type eli-carrierwing (name "Carrier Air Wing (E)") (image-name "ko-wing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
  (wrecked-type eli-damagedcarrierwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 35)
  (help "A green wing."))

(unit-type eli-reinforcedcarrierwing (name "Reinforced Carrier Air Wing (E)") (image-name "ko-reinforcedwing")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 20) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 6)
  (wrecked-type eli-carrierwing)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (help "A reinforced wing, about 20% more effective."))

;; EXPERIENCED SURFACE FLEETS

;; I'M NOT GOING TO FIDDLE WITH EXPERIENCE AND SURFACE FLEETS OR CARRIERS JUST YET
;; I THINK THEY'D BE A BETTER CANDIDATE FOR THE INTRODUCTION OF TECH

(unit-type wreckedsurface (name "Wrecked Surface Fleet") (image-name "ko-wreckedsurface")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 100) (hp-recovery 5.00)
;; (acp-to-fire 18) (range 3)
;;;  (possible-sides "None") (namer "None")
  (point-value 10)
  (colonizer true)
  (help "A battle fleet where most ships are destroyed or severely damaged."))

(unit-type damagedsurface (name "Understrength Surface Fleet") (image-name "ko-damagedsurface")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 10) (hp-recovery 5.00)
;; (acp-to-fire 18) (range 3)
  (wrecked-type wreckedsurface)
;;;  (possible-sides "None") (namer "None")
  (point-value 15)
  (naval true)
  (help "A battle fleet where most ships are damaged."))


(unit-type reinforcedsurface (name "Reinforced Surface Fleet") (image-name "ko-reinforcedsurface")
  (vision-range 5) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 10) (hp-recovery 5.00)
;; (acp-to-fire 18) (range 3)
  (wrecked-type surface)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (naval true)
  (help "A battle fleet with additional cruisers and destroyers, making its cruise missile
     attack and defense higher, but not changing its bombardment."))

(unit-type restoredsurface (name "Surface Fleet (R)") (image-name "ko-surface")
  (vision-range 4) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 35) (cp 10) (hp-recovery 5.00)
;; (acp-to-fire 18) (range 3)
  (wrecked-type damagedsurface)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (naval true)
  (help "A regular battle fleet."))

;; EXPERIENCED SAM

(unit-type wreckedsam (name "Heavily Damaged Air Defense Network") (image-name "ko-wreckedadn")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 100) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (ai-tactical-range 7)
;;;  (possible-sides "None") (namer "None")
  (point-value 5)
  (colonizer true)
  (help "A nearly destroyed air defense network."))

(unit-type damagedsam (name "Damaged Air Defense Network") (image-name "ko-damagedadn")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type wreckedsam)
  (ai-tactical-range 7)
;;;  (possible-sides "None") (namer "None")
  (point-value 10)
  (ground true)
  (help "A damaged air defense network."))

(unit-type restoredsam (name "Air Defense Network (R)") (image-name "ko-adn")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type damagedsam)
  (ai-tactical-range 7)
;;;  (possible-sides "None") (namer "None")
  (point-value 15)
  (ground true)
  (help "A collection of active and passive air defense systems with combat experience."))

(unit-type reinforcedsam (name "Concentrated Defense Network") (image-name "ko-reinforcedadn")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 25) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 6)
  (wrecked-type sam)
  (ai-tactical-range 7)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (ground true)
  (help "Specially hardened ADN, no more effective but more resilient."))

(unit-type adneng (name "ADN Engineers") (image-name "ko-engineer")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 10) (cp 10) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 10)
  (colonizer true)
  (help "Builds ADNs."))


;; EXPERIENCED CARRIER

(unit-type wreckedcarrier (name "Wrecked Carrier Group") (image-name "ko-wreckedcarrier")
  (vision-range 5) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 100) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (ai-tactical-range 20)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (colonizer true)
  (help "A carrier group with few support ships and a heavily damaged flattop."))

(unit-type damagedcarrier (name "Understrength Carrier Group") (image-name "ko-damagedcarrier")
  (vision-range 5) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (wrecked-type wreckedcarrier)
  (ai-tactical-range 20)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (naval true)
  (help "A carrier group with lost aircraft and/or fleet damage."))

(unit-type restoredcarrier (name "Carrier Group (R)") (image-name "ko-carrier")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (wrecked-type damagedcarrier)
  (ai-tactical-range 20)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (naval true)
  (help "A carrier group with combat experience."))

(unit-type reinforcedcarrier (name "Reinforced Carrier Group") (image-name "ko-reinforcedcarrier")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (wrecked-type carrier)
  (ai-tactical-range 20)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (naval true)
  (help "A carrier group with additional support vessels."))



;; EXPERIENCED MINOR UNITS

(unit-type vet-marine (name "Marine expeditionary Force (V)") (image-name "ko-marines") (char "m") 
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 60) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (point-value 23)
  (ground true)
  (help "Veteran Marine expeditionary Force.  Can be carried by Surface Fleets."))

(unit-type vet-para (name "Grizzled Partisans") (image-name "ko-wreckedcorps")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 20) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (point-value 10)
  (ground true)
  (help "Paramilitary forces with a great deal of experience.  Almost a true military unit."))

(unit-type vet-squadron (name "Advanced Fighter Squadron (V)") (image-name "ko-squadron")
  (vision-range 8) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 7)
  (ai-tactical-range 7)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A small group of the most technically advanced aircraft available to this nation."))

(unit-type vet-brigade (name "Advanced Armor Brigade (V)") (image-name "ko-brigade")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 70) (cp 10) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 22)
  (ground true)
  (help "A small group of the most technically advanced armor and equipment available to this nation."))

(unit-type crk-marine (name "Marine expeditionary Force (C)") (image-name "ko-marines") (char "m") 
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 75) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (point-value 26)
  (ground true)
  (help "Crack Marine expeditionary Force.  Can be carried by Surface Fleets."))

(unit-type crk-para (name "Irregular Corps") (image-name "ko-wreckedcorps")
  (vision-range 3) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 30) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (point-value 12)
  (ground true)
  (help "Paramilitary forces with a great deal of experience.  Almost a true military unit."))

(unit-type crk-squadron (name "Advanced Fighter Squadron (C)") (image-name "ko-squadron")
  (vision-range 8) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 7)
  (ai-tactical-range 7)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A small group of the most technically advanced aircraft available to this nation."))

(unit-type crk-brigade (name "Advanced Armor Brigade (C)") (image-name "ko-brigade")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 70) (cp 10) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 22)
  (ground true)
  (help "A small group of the most technically advanced armor and equipment available to this nation."))

(unit-type eli-marine (name "Marine expeditionary Force (E)") (image-name "ko-marines") (char "m") 
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 100) (cp 10) (hp-recovery 5.00) (acp-to-fire 0) (range 0)
;;;  (possible-sides "None") (namer "None")
  (point-value 29)
  (ground true)
  (help "Marine expeditionary Force.  Can be carried by Surface Fleets."))

(unit-type eli-squadron (name "Advanced Fighter Squadron (E)") (image-name "ko-squadron")
  (vision-range 8) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 15) (cp 10) (hp-recovery 5.00) (acp-to-fire 2) (range 7)
  (ai-tactical-range 7)
;;;  (possible-sides "None") (namer "None")
  (point-value 25)
  (ground true)
  (help "A small group of the most technically advanced aircraft available to this nation."))

(unit-type eli-brigade (name "Advanced Armor Brigade (E)") (image-name "ko-brigade")
  (vision-range 2) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 70) (cp 10) (hp-recovery 5.00)
;;;  (possible-sides "None") (namer "None")
  (point-value 22)
  (ground true)
  (help "A small group of the most technically advanced armor and equipment available to this nation."))

(define squadron-types (squadron vet-squadron crk-squadron eli-squadron))
(define para-types (para vet-para crk-para))
(define brigade-types (brigade vet-brigade crk-brigade eli-brigade))


;;; TECH IMPROVED UNITS

;;; IMPROVED CARRIERS

(unit-type wreckedcarrier-1 (name "Wrecked Improved Carrier Group") (image-name "ko-wreckedcarrier")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 35) (cp 100) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (ai-tactical-range 25)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (colonizer true)
  (help "An improved carrier group with few support ships and a heavily damaged flattop."))

(unit-type damagedcarrier-1 (name "Understrength Improved Carrier Group") (image-name "ko-damagedcarrier")
  (vision-range 6) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 35) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (wrecked-type wreckedcarrier-1)
  (ai-tactical-range 25)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (naval true)
  (help "An improved carrier group with lost aircraft and/or fleet damage."))

(unit-type restoredcarrier-1 (name "Improved Carrier Group (R)") (image-name "ko-carrier")
  (vision-range 7) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 35) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (wrecked-type damagedcarrier-1)
  (ai-tactical-range 25)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (naval true)
  (help "An improved carrier group with no combat experience."))

(unit-type reinforcedcarrier-1 (name "Reinforced Improved Carrier Group") (image-name "ko-reinforcedcarrier")
  (vision-range 8) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 35) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (wrecked-type carrier-1)
  (ai-tactical-range 25)
;;;  (possible-sides "None") (namer "None")
  (point-value 50)
  (naval true)
  (help "An improved carrier group with additional support ships, improving defense."))

(unit-type wreckedcarrier-2 (name "Wrecked Advanced Carrier Group") (image-name "ko-wreckedcarrier")
  (vision-range 7) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 100) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (ai-tactical-range 30)
;;;  (possible-sides "None") (namer "None")
  (point-value 20)
  (colonizer true)
  (help "An advanced carrier group with few support ships and a heavily damaged flattop."))

(unit-type damagedcarrier-2 (name "Understrength Advanced Carrier Group") (image-name "ko-damagedcarrier")
  (vision-range 7) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (wrecked-type wreckedcarrier-2)
  (ai-tactical-range 30)
;;;  (possible-sides "None") (namer "None")
  (point-value 30)
  (naval true)
  (help "An advanced carrier group with lost aircraft and/or fleet damage."))

(unit-type restoredcarrier-2 (name "Advanced Carrier Group (R)") (image-name "ko-carrier")
  (vision-range 8) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (wrecked-type damagedcarrier-2)
  (ai-tactical-range 30)
;;;  (possible-sides "None") (namer "None")
  (point-value 40)
  (naval true)
  (help "An advanced carrier group with no combat experience."))

(unit-type reinforcedcarrier-2 (name "Reinforced Advanced Carrier Group") (image-name "ko-reinforcedcarrier")
  (vision-range 9) (capacity 0) (see-always false) (acp-per-turn 6) 
  (hp-max 40) (cp 10) (hp-recovery 5.00) (acp-to-fire 3) (range 5)
  (wrecked-type carrier-2)
  (ai-tactical-range 30)
;;;  (possible-sides "None") (namer "None")
  (point-value 50)
  (naval true)
  (help "An advanced carrier group with additional support ships, improving defense."))

(define tech1-carrier-types (wreckedcarrier-1 damagedcarrier-1 carrier-1 restoredcarrier-1 reinforcedcarrier-1))
(define tech2-carrier-types (wreckedcarrier-2 damagedcarrier-2 carrier-2 restoredcarrier-2 reinforcedcarrier-2))

(define tech0-carrier-types (carrier restoredcarrier reinforcedcarrier damagedcarrier wreckedcarrier))

(define carrier-types (append tech0-carrier-types tech1-carrier-types tech2-carrier-types))

;;; CORPS LISTS


(define green-corps-types (corps reinforcedcorps damagedcorps wreckedcorps))

(define reg-corps-types (reg-wreckedcorps reg-damagedcorps restoredcorps reg-reinforcedcorps para))

(define vet-corps-types (vet-wreckedcorps vet-damagedcorps vet-corps vet-reinforcedcorps vet-para))

(define crk-corps-types (crk-wreckedcorps crk-damagedcorps crk-corps crk-reinforcedcorps crk-para))

(define eli-corps-types (eli-wreckedcorps eli-damagedcorps eli-corps eli-reinforcedcorps))

(define base-corps-types (corps restoredcorps vet-corps crk-corps eli-corps))

(define wrecked-corps-types (wreckedcorps reg-wreckedcorps vet-wreckedcorps crk-wreckedcorps eli-wreckedcorps
	para vet-para crk-para))

(define damaged-corps-types (damagedcorps reg-damagedcorps vet-damagedcorps crk-damagedcorps eli-damagedcorps))

(define reinforced-corps-types (reinforcedcorps reg-reinforcedcorps vet-reinforcedcorps crk-reinforcedcorps
	eli-reinforcedcorps))

(define corps-types (append green-corps-types reg-corps-types vet-corps-types crk-corps-types eli-corps-types))


;;; ARMY LISTS

(define green-army-types (army reinforcedarmy damagedarmy wreckedarmy))

(define reg-army-types (reg-wreckedarmy reg-damagedarmy restoredarmy reg-reinforcedarmy marine))

(define vet-army-types (vet-wreckedarmy vet-damagedarmy vet-army vet-reinforcedarmy vet-marine))

(define crk-army-types (crk-wreckedarmy crk-damagedarmy crk-army crk-reinforcedarmy crk-marine))

(define eli-army-types (eli-wreckedarmy eli-damagedarmy eli-army eli-reinforcedarmy eli-marine))

(define base-army-types (army restoredarmy vet-army crk-army eli-army))

(define wrecked-army-types (wreckedarmy reg-wreckedarmy vet-wreckedarmy crk-wreckedarmy eli-wreckedarmy))

(define damaged-army-types (damagedarmy reg-damagedarmy vet-damagedarmy crk-damagedarmy eli-damagedarmy))

(define reinforced-army-types (reinforcedarmy reg-reinforcedarmy vet-reinforcedarmy crk-reinforcedarmy
	eli-reinforcedarmy))

(define army-types (append green-army-types reg-army-types vet-army-types crk-army-types eli-army-types))

(define marine-types (marine vet-marine crk-marine eli-marine))

;;; ARMOR LISTS

(define green-armor-types (armor reinforcedarmor damagedarmor wreckedarmor))

(define reg-armor-types (reg-wreckedarmor reg-damagedarmor restoredarmor reg-reinforcedarmor brigade))

(define vet-armor-types (vet-wreckedarmor vet-damagedarmor vet-armor vet-reinforcedarmor vet-brigade))

(define crk-armor-types (crk-wreckedarmor crk-damagedarmor crk-armor crk-reinforcedarmor crk-brigade))

(define eli-armor-types (eli-wreckedarmor eli-damagedarmor eli-armor eli-reinforcedarmor eli-brigade))

(define base-armor-types (armor restoredarmor vet-armor crk-armor eli-armor))

(define wrecked-armor-types (wreckedarmor reg-wreckedarmor vet-wreckedarmor crk-wreckedarmor eli-wreckedarmor))

(define damaged-armor-types (damagedarmor reg-damagedarmor vet-damagedarmor crk-damagedarmor eli-damagedarmor))

(define reinforced-armor-types (reinforcedarmor reg-reinforcedarmor vet-reinforcedarmor crk-reinforcedarmor
	eli-reinforcedarmor))

(define armor-types (append green-armor-types reg-armor-types vet-armor-types crk-armor-types eli-armor-types))

;;; FIGHTER LISTS

(define green-wing-types (wing reinforcedwing damagedwing wreckedwing))

(define reg-wing-types (reg-wreckedwing reg-damagedwing restoredwing reg-reinforcedwing squadron))

(define vet-wing-types (vet-wreckedwing vet-damagedwing vet-wing vet-reinforcedwing vet-squadron))

(define crk-wing-types (crk-wreckedwing crk-damagedwing crk-wing crk-reinforcedwing crk-squadron))

(define eli-wing-types (eli-wreckedwing eli-damagedwing eli-wing eli-reinforcedwing eli-squadron))

(define base-wing-types (wing restoredwing vet-wing crk-wing eli-wing))

(define wrecked-wing-types (wreckedwing reg-wreckedwing vet-wreckedwing crk-wreckedwing eli-wreckedwing))

(define damaged-wing-types (damagedwing reg-damagedwing vet-damagedwing crk-damagedwing eli-damagedwing))

(define reinforced-wing-types (reinforcedwing reg-reinforcedwing vet-reinforcedwing crk-reinforcedwing
	eli-reinforcedwing))

(define fighter-types (append green-wing-types reg-wing-types vet-wing-types crk-wing-types eli-wing-types))

;;; CARRIER FIGHTER LISTS

(define green-carrier-wing-types (carrierwing reinforcedcarrierwing damagedcarrierwing wreckedcarrierwing))

(define reg-carrier-wing-types (reg-wreckedcarrierwing reg-damagedcarrierwing restoredcarrierwing reg-reinforcedcarrierwing))

(define vet-carrier-wing-types (vet-wreckedcarrierwing vet-damagedcarrierwing vet-carrierwing vet-reinforcedcarrierwing))

(define crk-carrier-wing-types (crk-wreckedcarrierwing crk-damagedcarrierwing crk-carrierwing crk-reinforcedcarrierwing))

(define eli-carrier-wing-types (eli-wreckedcarrierwing eli-damagedcarrierwing eli-carrierwing eli-reinforcedcarrierwing))

(define base-carrier-wing-types (carrierwing restoredcarrierwing vet-carrierwing crk-carrierwing eli-carrierwing))

(define wrecked-carrier-wing-types (wreckedcarrierwing reg-wreckedcarrierwing vet-wreckedcarrierwing crk-wreckedcarrierwing eli-wreckedcarrierwing))

(define damaged-carrier-wing-types (damagedcarrierwing reg-damagedcarrierwing vet-damagedcarrierwing crk-damagedcarrierwing eli-damagedcarrierwing))

(define reinforced-carrier-wing-types (reinforcedcarrierwing reg-reinforcedcarrierwing vet-reinforcedcarrierwing crk-reinforcedcarrierwing eli-reinforcedcarrierwing))

(define carrier-fighter-types (append green-carrier-wing-types reg-carrier-wing-types vet-carrier-wing-types crk-carrier-wing-types eli-carrier-wing-types))




(define surface-types (surface restoredsurface reinforcedsurface damagedsurface wreckedsurface
   coastal))

(define sub-types (sub coastsub))

(define adn-types (wreckedsam damagedsam sam restoredsam reinforcedsam))

(define air-types (specheli civair milair))

(define old-ship-types (civtran miltran jettran coastal coastsub sub))

(define ship-types (append old-ship-types carrier-types surface-types))

(add ship-types ai-tactical-range 25)

(define place-types (ruins city wreckedcity damagedcity
   majorcity wreckedmajorcity heavydamagedmajorcity damagedmajorcity
   caf wreckedcaf heavydamagedcaf damagedcaf
   cic wreckedcic heavydamagedcic damagedcic   
))

(define old-ground-types (sam restoredsam reinforcedsam damagedsam wreckedsam
  para specops brigade adneng))

(define ground-types (append old-ground-types corps-types army-types armor-types fighter-types carrier-fighter-types))

(define old-wrecked-types (wreckedsurface wreckedcarrier wreckedsam))

(define wrecked-types (append old-wrecked-types wrecked-corps-types wrecked-army-types wrecked-armor-types wrecked-wing-types wrecked-carrier-wing-types))

(define old-base-types (surface restoredsurface carrier restoredcarrier sam restoredsam))

(define base-types (append old-base-types base-corps-types base-army-types base-armor-types
   base-wing-types base-carrier-wing-types))

(define old-damaged-types (damagedsurface damagedcarrier damagedsam))

(define damaged-types (append old-damaged-types damaged-corps-types damaged-army-types damaged-armor-types damaged-wing-types damaged-carrier-wing-types))

(define old-reinforced-types (reinforcedsurface reinforcedcarrier reinforcedsam))

(define reinforced-types (append old-reinforced-types reinforced-corps-types reinforced-army-types
   reinforced-armor-types reinforced-wing-types reinforced-carrier-wing-types))


(add ground-types ai-tactical-range 20)

(add fighter-types ai-tactical-range 6)

(add carrier-fighter-types ai-tactical-range 6)

(define miscsea-targets (sub coastal coastsub civtran miltran port smallport))

(define miscground-targets (specops adneng))

(define transport-types (civtran miltran civair milair jettran))

(define ground-targets (append armor-types army-types corps-types fighter-types place-types air-types adn-types port smallport transport-types miscground-targets carrier-fighter-types))

(define sea-targets (append surface-types carrier-types miscsea-targets))


(add place-types advanced true)

(terrain-type sea (char ".")
  (help "deep water"))
(terrain-type shallows (char ",")
  (help "shallow coastal water and lakes"))
(terrain-type swamp (char "="))
(terrain-type desert (char "~")
  (help "dry open terrain"))
(terrain-type land (image-name "plains") (char "+")
  (help "open flat or rolling country"))
(terrain-type forest (char "%"))
(terrain-type mountains (char "^"))
(terrain-type ice (char "_"))
(terrain-type neutral (image-name "gray") (char "-"))
(terrain-type river (char "<")
  (subtype border) (subtype-x river-x))
(terrain-type beach (char "|")
  (subtype border))
(terrain-type road (char ">")
  (subtype connection) (subtype-x road-x))
(terrain-type peace1-political-border (image-name "yellow")
	(subtype border))
(terrain-type peace2-political-border (image-name "yellow")
	(subtype border))
(terrain-type peace3-political-border (image-name "yellow")
	(subtype border))
(terrain-type war-political-border (image-name "green")
	(subtype border))



;; (terrain-type snow (image-name "ice")
;;  (subtype coating))

(add (sea shallows) liquid true)

(define sea-t* (sea shallows))

(define land-t* (desert land forest mountains))

(define political-t* (war-political-border peace1-political-border peace2-political-border peace3-political-border))

;;; Static relationships.

(table vanishes-on
  (ground-types sea-t* true)
  (ground-types ice true)
  (ship-types land-t* true)
  (ship-types ice true)
  (place-types sea-t* true)
  (place-types ice true)
  (u* neutral true)
  (port land-t* true)
  (smallport land-t* true)
  (port ice true)
  (smallport ice true)
)

(add carrier-types capacity 1)
(add surface-types capacity 1)

;;; Unit-unit capacities.

(table unit-size-as-occupant
  ;; Disable occupancy by default
  (u* u* 99)
  (base-corps-types transport-types 10)
  (reinforced-corps-types transport-types 12)
  (damaged-corps-types transport-types 8)
  (wrecked-corps-types transport-types 4)

  (base-army-types transport-types 20)
  (reinforced-army-types transport-types 25)
  (damaged-army-types transport-types 16)
  (wrecked-army-types transport-types 8)

  (base-armor-types transport-types 30)
  (reinforced-armor-types transport-types 30)
  (damaged-armor-types transport-types 21)
  (wrecked-armor-types transport-types 12)

  (fighter-types transport-types 10)
  (carrier-fighter-types transport-types 10)
  (squadron-types transport-types 5)

  (specops sub 1)
  (specops coastsub 1)
  (para-types transport-types 4)
  (brigade-types transport-types 12)

  (ground-types place-types 1)
  (adn-types place-types 5)
  (air-types place-types 1)
  (ship-types place-types 99)
  (ship-types port 1)
  (ship-types city 1)
  (coastal damagedcity 1)
  (ground-types place-types 1)
  (air-types place-types 1)

  (carrier-fighter-types carrier-types 1)

  (marine-types surface-types 1)

  (marine-types transport-types 8)


  )

;;; Unit-terrain capacities.

(table unit-size-in-terrain
  (u* t* 50)
;;  (ground-types t* 100)
;;  (place-types t* 100)

  (place-types t* 15)

  (satellite-types t* 0)
	(mainland t* 0)
	(int-aid t* 0)

  (ground-types sea-t* 125)
  (ship-types land-t* 125)
)

(add t* capacity 100)


;; (add place-types advanced true)
;; (add place-types use-own-cell true)


(define wrecked-places (wreckedcaf wreckedcic wreckedcity wreckedmajorcity))

;;; Material ZOINK

(material-type points (name "Industry")
  (help "Generic points to represent manpower and resources."))

(material-type hitech (name "Electronics"))

(material-type manpower (name "Manpower"))

(material-type tech (name "Tech"))

(material-type timer (name "X")
  (help "For evaporating units."))

(material-type supply (name "Materiel")
  (help "Represents everything necessary to keep a unit operating."))

(add points treasury true)

(add hitech treasury true)

(add manpower treasury true)

(add tech treasury true)

;;; Advances
(advance-type carrier1 (name "Modern Carrier") (rp 2000))
(advance-type carrier2 (name "Improved Carrier") (rp 3000))
(advance-type carrier3 (name "Advanced Carrier") (rp 4000))
(advance-type surface1 (name "Modern Surface Ships") (rp 2000))
(advance-type surface2 (name "Improved Surface Ships") (rp 3000))
(advance-type surface3 (name "Advanced Surface Ships") (rp 4000))
(advance-type t-sub (name "Nuclear Submarine") (rp 5000))
(advance-type specops1 (name "Basic SO Tactics") (rp 9999))
(advance-type specops2 (name "Improved SO Tactics") (rp 9999))
(advance-type specops3 (name "Advanced SO Tactics") (rp 9999))
(advance-type armor1 (name "Modern Tanks") (rp 2000))
(advance-type armor2 (name "Improved Tanks") (rp 3000))
(advance-type armor3 (name "Advanced Tanks") (rp 4000))
(advance-type infantry1 (name "Modern Infantry Training and Equipment") (rp 2000))
(advance-type infantry2 (name "Improved Infantry Training and Equipment") (rp 3000))
(advance-type infantry3 (name "Advanced Infantry Training and Equipment") (rp 4000))
(advance-type t-squadron (name "Experimental Fighters") (rp 2000))
(advance-type t-brigade (name "Experimental Armor") (rp 2000))
(advance-type air1 (name "Modern Aircraft") (rp 2000))
(advance-type air2 (name "Improved Aircraft") (rp 3000))
(advance-type air3 (name "Advanced Aircraft") (rp 4000))
(advance-type marine1 (name "Modern Marine Tactics") (rp 2000))

(table advance-consumption-per-rp
  (a* tech 1)
)

(table advance-needed-to-research
	(a* a* false)
	(carrier2 carrier1 true)
	(carrier3 carrier2 true)
	(surface2 surface1 true)
	(surface3 surface2 true)
	(t-sub surface3 true)
	(specops2 specops1 true)
	(specops3 specops2 true)
	(armor2 armor1 true)
	(t-brigade armor2 true)
	(armor3 t-brigade true)
	(infantry2 infantry1 true)
	(infantry3 infantry2 true)
	(air2 air1 true)
	(t-squadron air2 true)
	(air3 t-squadron true)

)


(table advance-needed-to-build
  (u* a* false)
  ;; units
  (tech0-carrier-types carrier1 true)
  (tech1-carrier-types carrier2 true)
  (tech2-carrier-types carrier3 true)
  (surface surface1 true)
  (sub t-sub true)
  (specheli specops1 true)
  (squadron t-squadron true)  
  (brigade t-brigade true)
  (marine marine1 true)

)

;;; EXPERIMENTAL ADVANCE STYLE

;; THIS DOESN'T SEEM TO WORK

(add tech0-carrier-types can-research true)
(add tech1-carrier-types can-research true)
(add place-types can-research true)

;; EXPERIENCE

(add corps-types cxp-max 300)
(add army-types cxp-max 300)
(add armor-types cxp-max 300)
(add fighter-types cxp-max 300)
(add carrier-fighter-types cxp-max 300)
(add surface-types cxp-max 300)
(add carrier-types cxp-max 300)
(add adn-types cxp-max 300)
(add marine-types cxp-max 300)


;; CORPS

(add corps auto-upgrade-to restoredcorps)
(add wreckedcorps auto-upgrade-to reg-wreckedcorps)
(add damagedcorps auto-upgrade-to reg-damagedcorps)
(add reinforcedcorps auto-upgrade-to reg-reinforcedcorps)
(add reg-wreckedcorps auto-upgrade-to vet-wreckedcorps)
(add reg-damagedcorps auto-upgrade-to vet-damagedcorps)
(add restoredcorps auto-upgrade-to vet-corps)
(add reg-reinforcedcorps auto-upgrade-to vet-reinforcedcorps)
(add vet-wreckedcorps auto-upgrade-to crk-wreckedcorps)
(add vet-damagedcorps auto-upgrade-to crk-damagedcorps)
(add vet-corps auto-upgrade-to crk-corps)
(add vet-reinforcedcorps auto-upgrade-to crk-reinforcedcorps)
(add crk-wreckedcorps auto-upgrade-to eli-wreckedcorps)
(add crk-damagedcorps auto-upgrade-to eli-damagedcorps)
(add crk-corps auto-upgrade-to eli-corps)
(add crk-reinforcedcorps auto-upgrade-to eli-reinforcedcorps)

;; ARMY
(add army auto-upgrade-to restoredarmy)
(add wreckedarmy auto-upgrade-to reg-wreckedarmy)
(add damagedarmy auto-upgrade-to reg-damagedarmy)
(add reinforcedarmy auto-upgrade-to reg-reinforcedarmy)
(add reg-wreckedarmy auto-upgrade-to vet-wreckedarmy)
(add reg-damagedarmy auto-upgrade-to vet-damagedarmy)
(add restoredarmy auto-upgrade-to vet-army)
(add reg-reinforcedarmy auto-upgrade-to vet-reinforcedarmy)
(add vet-wreckedarmy auto-upgrade-to crk-wreckedarmy)
(add vet-damagedarmy auto-upgrade-to crk-damagedarmy)
(add vet-army auto-upgrade-to crk-army)
(add vet-reinforcedarmy auto-upgrade-to crk-reinforcedarmy)
(add crk-wreckedarmy auto-upgrade-to eli-wreckedarmy)
(add crk-damagedarmy auto-upgrade-to eli-damagedarmy)
(add crk-army auto-upgrade-to eli-army)
(add crk-reinforcedarmy auto-upgrade-to eli-reinforcedarmy)

;; ARMOR
(add armor auto-upgrade-to restoredarmor)
(add wreckedarmor auto-upgrade-to reg-wreckedarmor)
(add damagedarmor auto-upgrade-to reg-damagedarmor)
(add reinforcedarmor auto-upgrade-to reg-reinforcedarmor)
(add reg-wreckedarmor auto-upgrade-to vet-wreckedarmor)
(add reg-damagedarmor auto-upgrade-to vet-damagedarmor)
(add restoredarmor auto-upgrade-to vet-armor)
(add reg-reinforcedarmor auto-upgrade-to vet-reinforcedarmor)
(add vet-wreckedarmor auto-upgrade-to crk-wreckedarmor)
(add vet-damagedarmor auto-upgrade-to crk-damagedarmor)
(add vet-armor auto-upgrade-to crk-armor)
(add vet-reinforcedarmor auto-upgrade-to crk-reinforcedarmor)
(add crk-wreckedarmor auto-upgrade-to eli-wreckedarmor)
(add crk-damagedarmor auto-upgrade-to eli-damagedarmor)
(add crk-armor auto-upgrade-to eli-armor)
(add crk-reinforcedarmor auto-upgrade-to eli-reinforcedarmor)


;; WING
(add wing auto-upgrade-to restoredwing)
(add wreckedwing auto-upgrade-to reg-wreckedwing)
(add damagedwing auto-upgrade-to reg-damagedwing)
(add reinforcedwing auto-upgrade-to reg-reinforcedwing)
(add reg-wreckedwing auto-upgrade-to vet-wreckedwing)
(add reg-damagedwing auto-upgrade-to vet-damagedwing)
(add restoredwing auto-upgrade-to vet-wing)
(add reg-reinforcedwing auto-upgrade-to vet-reinforcedwing)
(add vet-wreckedwing auto-upgrade-to crk-wreckedwing)
(add vet-damagedwing auto-upgrade-to crk-damagedwing)
(add vet-wing auto-upgrade-to crk-wing)
(add vet-reinforcedwing auto-upgrade-to crk-reinforcedwing)
(add crk-wreckedwing auto-upgrade-to eli-wreckedwing)
(add crk-damagedwing auto-upgrade-to eli-damagedwing)
(add crk-wing auto-upgrade-to eli-wing)
(add crk-reinforcedwing auto-upgrade-to eli-reinforcedwing)

;; CARRIER WING
(add carrierwing auto-upgrade-to restoredcarrierwing)
(add wreckedcarrierwing auto-upgrade-to reg-wreckedcarrierwing)
(add damagedcarrierwing auto-upgrade-to reg-damagedcarrierwing)
(add reinforcedcarrierwing auto-upgrade-to reg-reinforcedcarrierwing)
(add reg-wreckedcarrierwing auto-upgrade-to vet-wreckedcarrierwing)
(add reg-damagedcarrierwing auto-upgrade-to vet-damagedcarrierwing)
(add restoredcarrierwing auto-upgrade-to vet-carrierwing)
(add reg-reinforcedcarrierwing auto-upgrade-to vet-reinforcedcarrierwing)
(add vet-wreckedcarrierwing auto-upgrade-to crk-wreckedcarrierwing)
(add vet-damagedcarrierwing auto-upgrade-to crk-damagedcarrierwing)
(add vet-carrierwing auto-upgrade-to crk-carrierwing)
(add vet-reinforcedcarrierwing auto-upgrade-to crk-reinforcedcarrierwing)
(add crk-wreckedcarrierwing auto-upgrade-to eli-wreckedcarrierwing)
(add crk-damagedcarrierwing auto-upgrade-to eli-damagedcarrierwing)
(add crk-carrierwing auto-upgrade-to eli-carrierwing)
(add crk-reinforcedcarrierwing auto-upgrade-to eli-reinforcedcarrierwing)


(add surface auto-upgrade-to restoredsurface)
(add carrier auto-upgrade-to restoredcarrier)
(add sam auto-upgrade-to restoredsam)

;; MINOR

(add squadron auto-upgrade-to vet-squadron)
(add vet-squadron auto-upgrade-to crk-squadron)
(add crk-squadron auto-upgrade-to eli-squadron)

(add brigade auto-upgrade-to vet-brigade)
(add vet-brigade auto-upgrade-to crk-brigade)
(add crk-brigade auto-upgrade-to eli-brigade)

(add para auto-upgrade-to vet-para)
(add vet-para auto-upgrade-to crk-para)
(add crk-para auto-upgrade-to vet-corps)

(add marine auto-upgrade-to vet-marine)
(add vet-marine auto-upgrade-to crk-marine)
(add crk-marine auto-upgrade-to eli-marine)

(define old-green-types (corps army armor surface carrier sam))

(define green-types (append green-corps-types green-army-types green-armor-types old-green-types
	green-wing-types green-carrier-wing-types))

(define old-regular-types (restoredsurface restoredcarrier restoredsam))

(define regular-types (append old-regular-types reg-corps-types reg-army-types reg-armor-types reg-wing-types reg-carrier-wing-types))

(define veteran-types (append vet-corps-types vet-army-types vet-armor-types vet-wing-types vet-carrier-wing-types))

(define crack-types (append crk-corps-types crk-army-types crk-armor-types crk-wing-types crk-carrier-wing-types))

(define elite-types (append eli-corps-types eli-army-types eli-armor-types eli-wing-types eli-carrier-wing-types))


(table cxp-per-combat
	(u* u* 7)
	(u* surface-types 2)
	(u* fighter-types 2)
	(u* carrier-types 2)
	(u* adn-types 2)
	(u* coastal 2)
	(u* coastsub 2)
	(u* sub 2)
	(u* specops 2)
	(u* transport-types 2)
	(fighter-types u* 5)
	(carrier-fighter-types u* 5)
)

(table cxp-to-change-type
	(green-types regular-types 30)
	(regular-types veteran-types 80)
	(veteran-types crack-types 180)
	(crack-types elite-types 300)
	(crk-para vet-corps 200)
)

(table unit-storage-x
  ;; This requires the units to stay close to supply centers.
  (wrecked-places timer 24)
  (place-types points 300)
  (place-types hitech 300)
  (place-types manpower 300)

  (u* supply 15)
  (marine-types supply 30)
  (place-types supply 300)
  (sea-targets supply 50)
  (surface-types supply 200)
  (carrier-types supply 200)
  (sub supply 200)

;; They're coastal, dammit.
  (coastsub supply 20)
  (coastal supply 20)

  (spysat supply 0)
	(mainland points 100)
	(int-aid points 50)
	(int-aid hitech 300)

	(tech0-carrier-types tech 100)
	(army-types tech 30)
	(armor-types tech 60)
	(brigade-types tech 90)
	(fighter-types tech 120)
	(carrier-fighter-types tech 120)
	(squadron-types tech 150)
	(tech0-carrier-types tech 90)
	(tech1-carrier-types tech 120)
	(tech2-carrier-types tech 150)

	(place-types tech 10)
)

(table gives-to-treasury
	(u* points true)
	(u* manpower true)
	(u* hitech true)
	(u* tech true)
)


;; (define point-producers (city majorcity))

;; Eventually you can have National Points...


;;; Unit-material capacities.


;;; Vision.

(set terrain-seen true)

(table see-chance

;; You never see everything you're supposed to

  (u* u* 80)

;; And satellite imagery is far from perfect (Though maybe later techs will be closer)

  (satellite-types u* 70)

;; And paramilitary forces (If they ever show up...) are practically invisible.

  (u* para-types 5)

  (u* sub 0)
  (u* coastsub 0)
  (u* specops 0)
  (u* specheli 0)
  (u* satellite-types 0)
  	(u* mainland 0)
	(u* int-aid 0)

;; ASW
	(satellite-types sub 5)
	(satellite-types coastsub 20)
	(surface-types sub 5)
	(surface-types coastsub 25)

	(carrier-types sub 5)
	(carrier-types coastsub 15)

	(fighter-types sub 5)
	(fighter-types coastsub 10)

	(carrier-fighter-types sub 10)
	(carrier-fighter-types coastsub 30)

)


(table see-chance-adjacent
  (u* coastsub 30)
  (u* sub 10)
  (u* specops 20)
  (u* specheli 20)
  (specops specops 100)
  (specops specheli 100)
  (specheli specops 100)
  (sub coastsub 75)
  (coastsub sub 25)
  (sub sub 50)
  (u* satellite-types 0)
	(u* mainland 0)
	(u* int-aid 0)

	(surface-types sub 20)
	(surface-types coastsub 35)

	(carrier-types sub 5)
	(carrier-types coastsub 15)

	(carrier-fighter-types sub 15)
	(carrier-fighter-types coastsub 35)

	(coastal coastsub 40)

  )

(table see-chance-at
	(u* satellite-types 0)
	(u* mainland 0)
	(u* int-aid 0)

  )

;;; Counterattacking

(table counterattack
	(u* sub-types 0)
	(u* specops 0)
	(specops u* 0)
	(sub-types u* 0)

)

;;; Movement.

(add place-types speed 0)
(add port speed 0)
(add smallport speed 0)
(add mainland speed 0)
(add int-aid speed 0)
(add adn-types speed 0)


(table mp-to-enter-terrain
  (ground-types sea-t* 99)
  (ground-types beach -99)
  (adn-types land-t* 6)
  (air-types t* 1)
  (specops t* 1)
  (adneng t* 2)
;;  (ground-types snow 10)
  (armor-types swamp 3)
  (armor-types desert 1)
  (armor-types land 1)
  (armor-types forest 3)
  (armor-types mountains 4)
  (armor-types river 2)
  (corps-types swamp 2)
  (corps-types desert 2)
  (corps-types land 1)
  (corps-types forest 2)
  (corps-types mountains 2)
  (corps-types river 1)
  (army-types swamp 3)
  (army-types desert 2)
  (army-types land 2)
  (army-types forest 2)
  (army-types mountains 3)
  (army-types river 2)

  (marine-types swamp 1)
  (marine-types desert 2)
  (marine-types land 1)
  (marine-types forest 2)
  (marine-types mountains 2)
  (marine-types river 1)

  (ship-types land-t* 99)
  (ship-types sea-t* 1)
  ((surface carrier) shallows 2)
  (fighter-types land-t* 1)
  (carrier-fighter-types land-t* 1)
  (u* ice 99)
  (air-types ice 1)
  (u* neutral 99)
  (adneng sea-t* 99)
  (specops sea-t* 99)
  (satellite-types t* 1)
  (surface-types swamp 99)
  (surface-types river 99)
  (surface-types beach 99)
  (surface-types road 99)
  (carrier-types swamp 99)
  (carrier-types river 99)
  (carrier-types beach 99)
  (carrier-types road 99)
	(u* war-political-border 0)
	(u* peace1-political-border 99)
	(u* peace2-political-border 99)
	(u* peace3-political-border 99)

)


(table mp-to-leave-terrain
  (ground-types sea-t* 99)
)

;;; Transports will get you to the edge of the cell, but the
;;; passengers have to cross any borders on their own.

(table ferry-on-entry
	(transport-types u* over-own)
	(coastsub specops over-own)
	(carrier-types carrier-fighter-types over-own)
)

(table ferry-on-departure
	(transport-types u* over-own)
	(coastsub specops over-own)
;; No leaving carriers, dammit
;;	(carrier-types carrier-fighter-types over-own)
)

(table mp-to-leave-unit
	(carrier-fighter-types carrier-types 99)
)


;;  (table control-range
;;  (ground-types t* 0)
;;  (place-types t* 0)
;;  )

;;; Construction.

(define buildable-units (army corps armor carrier carrier-1 carrier-2 surface sub coastal coastsub brigade marine miltran civtran caf cic))

(table can-create

;; UNIT BUILDING

  (city buildable-units 10)
  (damagedcity buildable-units 10)
  (wreckedcity para 10)

  (caf (wing carrierwing squadron) 10)
  (damagedcaf (wing carrierwing) 10)
  (heavydamagedcaf (wing carrierwing) 10)
  (wreckedcaf (wing carrierwing) 10)

	(caf sam 10)

  (port miltran 10)
  (smallport miltran 10)

	(int-aid (wing sam) 10)
)

(table acp-to-create

;; UNIT BUILDING

  (city buildable-units 10)
  (damagedcity buildable-units 10)
  (wreckedcity para 10)

  (caf (wing carrierwing squadron) 10)
  (damagedcaf (wing carrierwing) 10)
  (heavydamagedcaf (wing carrierwing) 10)
  (wreckedcaf (wing carrierwing) 10)

	(caf sam 10)

  (port miltran 10)
  (smallport miltran 10)

	(int-aid (wing sam) 10)
)


(table cp-on-creation

;; UNIT BUILDING

  (city buildable-units 10)
  (damagedcity buildable-units 10)
  (wreckedcity para 10)

  (caf (wing carrierwing squadron) 10)
  (damagedcaf (wing carrierwing) 10)
  (heavydamagedcaf (wing carrierwing) 10)
  (wreckedcaf (wing carrierwing) 10)

	(caf sam 10)

  (port miltran 10)
  (smallport miltran 10)

	(int-aid (wing sam) 10)
)

(table can-build

;; UNIT BUILDING

  (city buildable-units 10)
  (damagedcity buildable-units 10)
  (wreckedcity para 10)

  (caf (wing carrierwing squadron) 10)
  (damagedcaf (wing carrierwing) 10)
  (heavydamagedcaf (wing carrierwing) 10)
  (wreckedcaf (wing carrierwing) 10)

	(caf sam 10)

  (port miltran 10)
  (smallport miltran 10)


	(int-aid (wing sam) 10)
)

(table acp-to-build

;; UNIT BUILDING

  (city buildable-units 10)
  (damagedcity buildable-units 10)
  (wreckedcity para 10)

  (caf (wing carrierwing squadron) 10)
  (damagedcaf (wing carrierwing) 10)
  (heavydamagedcaf (wing carrierwing) 10)
  (wreckedcaf (wing carrierwing) 10)

	(caf sam 10)

  (port miltran 10)
  (smallport miltran 10)


	(int-aid (wing sam) 10)
)

(table cp-per-build
;; UNIT BUILDING

  (city buildable-units 10)
  (damagedcity buildable-units 10)
  (wreckedcity para 10)

  (caf (wing carrierwing squadron) 10)
  (damagedcaf (wing carrierwing) 10)
  (heavydamagedcaf (wing carrierwing) 10)
  (wreckedcaf (wing carrierwing) 10)

	(caf sam 10)

  (port miltran 10)
  (smallport miltran 10)


	(int-aid (wing sam) 10)
)

(table consumption-on-creation

   (reinforced-corps-types points 17)
   (base-corps-types points 10)
   (base-corps-types manpower 2)
   (damaged-corps-types  points 15)
   (damaged-corps-types  manpower 2)
   (reinforced-corps-types supply 15)
   (base-corps-types supply 15)
   (damaged-corps-types  supply 15)

   (reinforced-army-types points 25)
   (base-army-types points 15)
   (base-army-types manpower 3)
   (damaged-army-types points 23)
   (damaged-army-types manpower 3)
   (reinforced-army-types supply 15)
   (base-army-types supply 15)
   (damaged-army-types supply 15)

   (reinforced-armor-types points 33)
   (base-armor-types points 20)
   (damaged-armor-types points 30)
   (reinforced-armor-types supply 15)
   (base-armor-types supply 15)
   (damaged-armor-types supply 15)

   (reinforced-wing-types hitech 50)
   (base-wing-types hitech 30)
   (damaged-wing-types hitech 45)
   (reinforced-wing-types supply 15)
   (base-wing-types supply 15)
   (damaged-wing-types supply 15)

;; THESE HAVE TO BE LATER TO OVERRIDE BASE-TYPES ABOVE
;; I THINK I'LL LEAVE ALL UNITS REQUIRING 15 SUPPLY

   (corps points 40)
   (corps manpower 4)
   (marine points 30)
   (marine manpower 2)
   (army points 65)
   (army manpower 7)
   (armor points 160)
   (adneng points 80)
   (sam points 80)
   (brigade points 95)
   (wing hitech 200)
   (carrierwing hitech 200)
   (squadron hitech 100)
   (surface points 150)

   	(carrier points 200)
	(carrier-1 points 250)
	(carrier-2 points 300)

   (coastal points 60)
   (coastsub points 70)
   (sub points 175)
   (para points 20)
   (miltran points 20)
   (civtran points 10)
   (milair points 40)

   (reinforcedsurface points 50)
   (restoredsurface points 30)
   (damagedsurface points 45)
   (reinforcedsurface supply 15)
   (restoredsurface supply 15)
   (damagedsurface supply 15)

   (reinforcedcarrier points 66)
   (restoredcarrier points 40)
   (damagedcarrier points 60)
   (reinforcedcarrier supply 15)
   (restoredcarrier supply 15)
   (damagedcarrier supply 15)

   (reinforcedcarrier-1 points 75)
   (restoredcarrier-1 points 50)
   (damagedcarrier-1 points 70)
   (reinforcedcarrier-1 supply 15)
   (restoredcarrier-1 supply 15)
   (damagedcarrier-1 supply 15)

   (reinforcedcarrier-2 points 90)
   (restoredcarrier-2 points 52)
   (damagedcarrier-2 points 80)
   (reinforcedcarrier-2 supply 15)
   (restoredcarrier-2 supply 15)
   (damagedcarrier-2 supply 15)

   (reinforcedsam points 17)
   (restoredsam points 10)
   (damagedsam points 15)
   (reinforcedsam supply 15)
   (restoredsam supply 15)
   (damagedsam supply 15)

   (specops supply 15)
   (specheli supply 15)

	(wreckedcity points 600)
	(wreckedcity manpower 20)
	(cic points 600)
	(caf hitech 600)


)

;; REBUILDING

(table can-change-type-to
   (corps reinforcedcorps true)
   (damagedcorps restoredcorps true)
   (wreckedcorps damagedcorps true)

   (restoredcorps reg-reinforcedcorps true)
   (reg-damagedcorps restoredcorps true)
   (reg-wreckedcorps reg-damagedcorps true)

   (vet-corps vet-reinforcedcorps true)
   (vet-damagedcorps vet-corps true)
   (vet-wreckedcorps reg-damagedcorps true)

   (crk-corps crk-reinforcedcorps true)
   (crk-damagedcorps vet-corps true)
   (crk-wreckedcorps vet-damagedcorps true)

   (eli-corps eli-reinforcedcorps true)
   (eli-damagedcorps crk-corps true)
   (eli-wreckedcorps vet-damagedcorps true)

   (army reinforcedarmy true)
   (damagedarmy restoredarmy true)
   (wreckedarmy damagedarmy true)

   (restoredarmy reg-reinforcedarmy true)
   (reg-damagedarmy restoredarmy true)
   (reg-wreckedarmy reg-damagedarmy true)

   (vet-army vet-reinforcedarmy true)
   (vet-damagedarmy vet-army true)
   (vet-wreckedarmy reg-damagedarmy true)

   (crk-army crk-reinforcedarmy true)
   (crk-damagedarmy vet-army true)
   (crk-wreckedarmy vet-damagedarmy true)

   (eli-army eli-reinforcedarmy true)
   (eli-damagedarmy crk-army true)
   (eli-wreckedarmy vet-damagedarmy true)

   (armor reinforcedarmor true)
   (damagedarmor restoredarmor true)
   (wreckedarmor damagedarmor true)

   (restoredarmor reg-reinforcedarmor true)
   (reg-damagedarmor restoredarmor true)
   (reg-wreckedarmor reg-damagedarmor true)

   (vet-armor vet-reinforcedarmor true)
   (vet-damagedarmor vet-armor true)
   (vet-wreckedarmor reg-damagedarmor true)

   (crk-armor crk-reinforcedarmor true)
   (crk-damagedarmor vet-armor true)
   (crk-wreckedarmor vet-damagedarmor true)

   (eli-armor eli-reinforcedarmor true)
   (eli-damagedarmor crk-armor true)
   (eli-wreckedarmor vet-damagedarmor true)

   (wing reinforcedwing true)
   (damagedwing restoredwing true)
   (wreckedwing damagedwing true)

   (restoredwing reg-reinforcedwing true)
   (reg-damagedwing restoredwing true)
   (reg-wreckedwing reg-damagedwing true)

   (vet-wing vet-reinforcedwing true)
   (vet-damagedwing vet-wing true)
   (vet-wreckedwing reg-damagedwing true)

   (crk-wing crk-reinforcedwing true)
   (crk-damagedwing vet-wing true)
   (crk-wreckedwing vet-damagedwing true)

   (eli-wing eli-reinforcedwing true)
   (eli-damagedwing crk-wing true)
   (eli-wreckedwing vet-damagedwing true)

   (carrierwing reinforcedcarrierwing true)
   (damagedcarrierwing restoredcarrierwing true)
   (wreckedcarrierwing damagedcarrierwing true)

   (restoredcarrierwing reg-reinforcedcarrierwing true)
   (reg-damagedcarrierwing restoredcarrierwing true)
   (reg-wreckedcarrierwing reg-damagedcarrierwing true)

   (vet-carrierwing vet-reinforcedcarrierwing true)
   (vet-damagedcarrierwing vet-carrierwing true)
   (vet-wreckedcarrierwing reg-damagedcarrierwing true)

   (crk-carrierwing crk-reinforcedcarrierwing true)
   (crk-damagedcarrierwing vet-carrierwing true)
   (crk-wreckedcarrierwing vet-damagedcarrierwing true)

   (eli-carrierwing eli-reinforcedcarrierwing true)
   (eli-damagedcarrierwing crk-carrierwing true)
   (eli-wreckedcarrierwing vet-damagedcarrierwing true)

   (surface reinforcedsurface true)
   (restoredsurface reinforcedsurface true)
   (damagedsurface restoredsurface true)
   (wreckedsurface damagedsurface true)

   (carrier reinforcedcarrier true)
   (restoredcarrier reinforcedcarrier true)
   (damagedcarrier restoredcarrier true)
   (wreckedcarrier damagedcarrier true)

   (carrier-1 reinforcedcarrier-1 true)
   (restoredcarrier-1 reinforcedcarrier-1 true)
   (damagedcarrier-1 restoredcarrier-1 true)
   (wreckedcarrier-1 damagedcarrier-1 true)

   (carrier-2 reinforcedcarrier-2 true)
   (restoredcarrier-2 reinforcedcarrier-2 true)
   (damagedcarrier-2 restoredcarrier-2 true)
   (wreckedcarrier-2 damagedcarrier-2 true)

   (sam reinforcedsam true)
   (restoredsam reinforcedsam true)
   (damagedsam restoredsam true)
   (wreckedsam damagedsam true)

;; SPECIAL

   (specops specheli true)
   (specheli specops true)

)

(table acp-to-change-type
   (corps reinforcedcorps 6)
   (damagedcorps restoredcorps 6)
   (wreckedcorps damagedcorps 6)

   (restoredcorps reg-reinforcedcorps 6)
   (reg-damagedcorps restoredcorps 6)
   (reg-wreckedcorps reg-damagedcorps 6)

   (vet-corps vet-reinforcedcorps 6)
   (vet-damagedcorps vet-corps 6)
   (vet-wreckedcorps reg-damagedcorps 6)

   (crk-corps crk-reinforcedcorps 6)
   (crk-damagedcorps vet-corps 6)
   (crk-wreckedcorps vet-damagedcorps 6)

   (eli-corps eli-reinforcedcorps 6)
   (eli-damagedcorps crk-corps 6)
   (eli-wreckedcorps vet-damagedcorps 6)

   (army reinforcedarmy 6)
   (damagedarmy restoredarmy 6)
   (wreckedarmy damagedarmy 6)

   (restoredarmy reg-reinforcedarmy 6)
   (reg-damagedarmy restoredarmy 6)
   (reg-wreckedarmy reg-damagedarmy 6)

   (vet-army vet-reinforcedarmy 6)
   (vet-damagedarmy vet-army 6)
   (vet-wreckedarmy reg-damagedarmy 6)

   (crk-army crk-reinforcedarmy 6)
   (crk-damagedarmy vet-army 6)
   (crk-wreckedarmy vet-damagedarmy 6)

   (eli-army eli-reinforcedarmy 6)
   (eli-damagedarmy crk-army 6)
   (eli-wreckedarmy vet-damagedarmy 6)

   (armor reinforcedarmor 6)
   (damagedarmor restoredarmor 6)
   (wreckedarmor damagedarmor 6)

   (restoredarmor reg-reinforcedarmor 6)
   (reg-damagedarmor restoredarmor 6)
   (reg-wreckedarmor reg-damagedarmor 6)

   (vet-armor vet-reinforcedarmor 6)
   (vet-damagedarmor vet-armor 6)
   (vet-wreckedarmor reg-damagedarmor 6)

   (crk-armor crk-reinforcedarmor 6)
   (crk-damagedarmor vet-armor 6)
   (crk-wreckedarmor vet-damagedarmor 6)

   (eli-armor eli-reinforcedarmor 6)
   (eli-damagedarmor crk-armor 6)
   (eli-wreckedarmor vet-damagedarmor 6)

   (wing reinforcedwing 6)
   (damagedwing restoredwing 6)
   (wreckedwing damagedwing 6)

   (restoredwing reg-reinforcedwing 6)
   (reg-damagedwing restoredwing 6)
   (reg-wreckedwing reg-damagedwing 6)

   (vet-wing vet-reinforcedwing 6)
   (vet-damagedwing vet-wing 6)
   (vet-wreckedwing reg-damagedwing 6)

   (crk-wing crk-reinforcedwing 6)
   (crk-damagedwing vet-wing 6)
   (crk-wreckedwing vet-damagedwing 6)

   (eli-wing eli-reinforcedwing 6)
   (eli-damagedwing crk-wing 6)
   (eli-wreckedwing vet-damagedwing 6)

   (carrierwing reinforcedcarrierwing 6)
   (damagedcarrierwing restoredcarrierwing 6)
   (wreckedcarrierwing damagedcarrierwing 6)

   (restoredcarrierwing reg-reinforcedcarrierwing 6)
   (reg-damagedcarrierwing restoredcarrierwing 6)
   (reg-wreckedcarrierwing reg-damagedcarrierwing 6)

   (vet-carrierwing vet-reinforcedcarrierwing 6)
   (vet-damagedcarrierwing vet-carrierwing 6)
   (vet-wreckedcarrierwing reg-damagedcarrierwing 6)

   (crk-carrierwing crk-reinforcedcarrierwing 6)
   (crk-damagedcarrierwing vet-carrierwing 6)
   (crk-wreckedcarrierwing vet-damagedcarrierwing 6)

   (eli-carrierwing eli-reinforcedcarrierwing 6)
   (eli-damagedcarrierwing crk-carrierwing 6)
   (eli-wreckedcarrierwing vet-damagedcarrierwing 6)

   (surface reinforcedsurface 6)
   (restoredsurface reinforcedsurface 6)
   (damagedsurface restoredsurface 6)
   (wreckedsurface damagedsurface 6)

   (carrier reinforcedcarrier 6)
   (restoredcarrier reinforcedcarrier 6)
   (damagedcarrier restoredcarrier 6)
   (wreckedcarrier damagedcarrier 6)

   (carrier-1 reinforcedcarrier-1 6)
   (restoredcarrier-1 reinforcedcarrier-1 6)
   (damagedcarrier-1 restoredcarrier-1 6)
   (wreckedcarrier-1 damagedcarrier-1 6)

   (carrier-2 reinforcedcarrier-2 6)
   (restoredcarrier-2 reinforcedcarrier-2 6)
   (damagedcarrier-2 restoredcarrier-2 6)
   (wreckedcarrier-2 damagedcarrier-2 6)

   (sam reinforcedsam 6)
   (restoredsam reinforcedsam 6)
   (damagedsam restoredsam 6)
   (wreckedsam damagedsam 6)

;; SPECIAL

   (specops specheli 6)
   (specheli specops 6)

)



(table hp-to-garrison

	(u* u* 99)

	(u* place-types 0)
	(u* transport-types 0)
	(place-types u* 0)
	(int-aid u* 0)

	(specops specheli 99)
	(specheli specops 99)

	(adneng sam 99)


)

(table supply-on-creation
  (wrecked-places timer 24)
  (u* supply 9999)
  (place-types supply 75)
)

(table create-range
   	(u* u* 0)
   	(city miltran 1)
   	(city coastal 1)
   	(city coastsub 1)
)

(table build-range
   	(u* u* 0)
   	(city miltran 1)
   	(city coastal 1)
   	(city coastsub 1)
)


;;; Repair.

(table auto-repair
;;  (place-types ground-types 1.00)
  )

(table auto-repair-range
  ;; Replacements can easily get to nearby units.
;;  (u* ground-types 1)
  )

;;; Production.

(table base-production
  (u* supply 2)

  (city points 2)
  (city hitech 1)
  (city manpower 1)
  (damagedcity points 1)
  (damagedcity hitech 1)
  (damagedcity manpower 1)
  (wreckedcity points 1)

  (city supply 150)
  (damagedcity supply 100)
  (wreckedcity supply 50)

  (cic points 10)
  (damagedcic points 5)
  (heavydamagedcic points 3)

  (caf hitech 10)
  (damagedcaf hitech 5)
  (heavydamagedcaf hitech 3)

  (port points 4)
  (smallport points 1)

  (specops supply 5)
  (specheli supply 5)

	(mainland points 30)
	(mainland hitech 30)
	(mainland manpower 3)

	(int-aid points 25)
	(int-aid hitech 50)
	(int-aid manpower 3)

	(place-types tech 1)
	(army-types tech 1)
	(armor-types tech 2)
	(brigade-types tech 3)
	(fighter-types tech 4)
	(carrier-fighter-types tech 4)
	(squadron-types tech 5)
	(tech0-carrier-types tech 3)
	(tech1-carrier-types tech 4)
	(tech2-carrier-types tech 5)
)

(table terrain-production
  (t* points 3)
)


(table base-consumption
  (wrecked-places timer 1)
  (armor-types points 1)
  (army-types points 1)
  (corps-types points 1)
  (fighter-types points 1)
  (fighter-types hitech 1)
  (carrier-fighter-types points 1)
  (carrier-fighter-types hitech 1)
  (adn-types points 1)
  (transport-types points 1)
  )

;;(table hp-per-starve
;;  (wrecked-places timer 100.00)
;;  )

;; ZOC

(table zoc-range
		(u* u* 1)
		(specheli u* 0)
		(specops u* 0)
		(sub u* 0)
		(coastsub u* 0)
		(transport-types u* 0)
		(u* milair 0)
		(u* civair 0)
		(u* miltran 0)
		(u* civtran 0)
		(u* specheli 0)
		(u* specops 0)
		(u* sub 0)
		(u* coastsub 0)
		(place-types u* 0)
		(ship-types u* 0)
		(adn-types u* 0)
		(fighter-types u* 0)
		(satellite-types u* -1)
		(u* satellite-types -1)
		(mainland u* 0)
		(int-aid u* 0)
		(war-dec u* 0)
		)

(table mp-to-traverse-zoc
	(ground-targets ground-targets -1)
)

(table mp-to-enter-zoc
	(ground-targets ground-targets 0)
)

(table mp-to-leave-zoc
	(ground-targets ground-targets 0)
)
	





;;; Combat.

(table acp-to-attack
  (u* u* 0)

  (armor-types armor-types 3)
  (armor-types army-types 3)
  (armor-types corps-types 3)
  (armor-types fighter-types 3)
  (armor-types carrier-fighter-types 3)
  (armor-types place-types 3)
  (armor-types air-types 3)
  (armor-types adn-types 3)
  (armor-types port 3)
  (armor-types miscground-targets 4)
  (armor-types wrecked-types 1)
  (armor-types surface-types 0)
  (armor-types carrier-types 0)


  (army-types armor-types 3)
  (army-types army-types 3)
  (army-types corps-types 3)
  (army-types fighter-types 3)
  (army-types carrier-fighter-types 3)
  (army-types place-types 3)
  (army-types air-types 3)
  (army-types adn-types 3)
  (army-types port 3)
  (army-types miscground-targets 4)
  (army-types wrecked-types 2)
  (army-types surface-types 0)
  (army-types carrier-types 0)

  (corps-types armor-types 3)
  (corps-types army-types 3)
  (corps-types corps-types 3)
  (corps-types fighter-types 3)
  (corps-types carrier-fighter-types 3)
  (corps-types place-types 3)
  (corps-types air-types 3)
  (corps-types adn-types 3)
  (corps-types port 3)
  (corps-types miscground-targets 4)
  (corps-types wrecked-types 2)
  (corps-types surface-types 0)
  (corps-types carrier-types 0)

  (brigade armor-types 2)
  (brigade army-types 2)
  (brigade corps-types 2)
  (brigade carrier-fighter-types 2)
  (brigade place-types 2)
  (brigade air-types 2)
  (brigade adn-types 2)
  (brigade port 2)
  (brigade miscground-targets 4)

  (surface-types armor-types 3)
  (surface-types army-types 3)
  (surface-types corps-types 3)
  (surface-types fighter-types 3)
  (surface-types carrier-fighter-types 3)
  (surface-types place-types 3)
  (surface-types air-types 3)
  (surface-types adn-types 3)
  (surface-types surface-types 3)
  (surface-types carrier-types 3)
  (surface-types port 3)
  (surface-types transport-types 3)
  (surface-types coastal 2)

  (sub-types (milair civair specheli) 99)
  (sub-types adn-types 3)
  (sub-types surface-types 3)
  (sub-types (miltran civtran) 2)
  (sub-types carrier-types 3)
  (sub-types sub-types 3)

  (specops surface-types 2)
  (specops place-types 2)
  (specops fighter-types 2)
  (specops carrier-fighter-types 2)
  (specops air-types 2)
  (specops adn-types 2)
  (specops sub-types 5)
  (specops port 2)
  (specops miscground-targets 2)

)


#| Whoops, mistake
(table acp-to-capture
  (u* u* 0)
  (base-corps-types place-types 3)
  (reinforced-corps-types place-types 3)
  (damaged-corps-types place-types 3)

  (base-army-types place-types 3)
  (reinforced-army-types place-types 3)
  (damaged-army-types place-types 3)

  (surface civtran 3)
  (restoredsurface civtran 3)
  (reinforcedsurface civtran 3)
  (damagedsurface civtran 3)
  (coastal civtran 3)

  (base-corps-types civair 3)
  (restoredcorps civair 3)
  (reinforced-corps-types civair 3)
  (damaged-corps-types civair 3)

  (base-army-types civair 3)
  (reinforced-army-types civair 3)
  (damaged-army-types civair 3)

  (base-corps-types port 4)
  (reinforced-corps-types port 4)
  (damaged-corps-types port 4)

  (base-army-types port 4)
  (reinforced-army-types port 4)
  (damaged-army-types port 4)

  (base-corps-types smallport 4)
  (reinforced-corps-types smallport 4)
  (damaged-corps-types smallport 4)

  (base-army-types smallport 4)
  (reinforced-army-types smallport 4)
  (damaged-army-types smallport 4)

  (coastal smallport 3)
  (surface smallport 3)
  (restoredsurface smallport 3)
  (reinforcedsurface smallport 3)
  (damagedsurface smallport 3)

  (surface port 3)
  (restoredsurface port 3)
  (reinforcedsurface port 3)
  (damagedsurface port 3)

)
|#



(define wrecked-units (append wrecked-corps-types wrecked-army-types wrecked-armor-types))

;; AUTO-RETREAT CAUSES A HANG, SO IT'S OUT

(table withdraw-chance-per-attack

;; All units stand some chance of retreating


	(corps-types green-corps-types 15)
	(corps-types reg-corps-types 8)
	(corps-types vet-corps-types 4)
	(corps-types crk-corps-types 2)

	(corps-types green-army-types 9)
	(corps-types reg-army-types 5)
	(corps-types vet-army-types 3)
	(corps-types crk-army-types 1)

	(corps-types green-armor-types 6)
	(corps-types reg-armor-types 3)
	(corps-types vet-armor-types 2)

	(army-types green-corps-types 20)
	(army-types reg-corps-types 10)
	(army-types vet-corps-types 5)
	(army-types crk-corps-types 3)

	(army-types green-army-types 15)
	(army-types reg-army-types 8)
	(army-types vet-army-types 4)
	(army-types crk-army-types 2)

	(army-types green-armor-types 10)
	(army-types reg-armor-types 5)

	(armor-types green-corps-types 20)
	(armor-types reg-corps-types 10)
	(armor-types vet-corps-types 5)
	(armor-types crk-corps-types 3)

	(armor-types green-army-types 15)
	(armor-types reg-army-types 7)
	(armor-types vet-army-types 4)
	(armor-types crk-army-types 2)

	(armor-types green-armor-types 10)
	(armor-types reg-armor-types 5)
	(armor-types vet-armor-types 3)
	(armor-types crk-armor-types 1)

;; But wrecked units are even worse

	(corps-types wrecked-units 50)
	(army-types wrecked-units 50)
	(armor-types wrecked-units 50)

  	(corps-types elite-types 0)
  	(army-types elite-types 1)
  	(armor-types elite-types 2)

  	(u* sub 50)
  	(u* coastsub 25)
  	(u* specops 50)
  	(specops specops 0)
  	(u* para 25)

)


;;(table acp-for-retreat
  ;; Retreating is rough
;;  (wrecked-units corps-types 2)
;;  (wrecked-units army-types 2)
;;  (wrecked-units armor-types 3)

  ;; Except for units that are trained to do so
;;  (para u* 1)
;;  (specops u* 1)
;;  (sub u* 1)
;;  (coastsub u* 1)

;;  )

(table hit-chance
  (u* u* 0)
  (green-corps-types u* 50)
  (reg-corps-types u* 60)
  (vet-corps-types u* 65)
  (crk-corps-types u* 75)
  (eli-corps-types u* 85)

  (green-army-types u* 55)
  (reg-army-types u* 65)
  (vet-army-types u* 70)
  (crk-army-types u* 80)
  (eli-army-types u* 90)

  (green-armor-types u* 60)
  (reg-armor-types u* 70)
  (vet-armor-types u* 80)
  (crk-armor-types u* 90)
  (eli-armor-types u* 95)

  (surface u* 80)
  (restoredsurface u* 83)
  (reinforcedsurface u* 85)
  (damagedsurface u* 65)
  (wreckedsurface u* 45)

  (brigade u* 90)
  (sub u* 90)
  (coastal u* 70)
  (coastsub u* 70)

  (coastal sub 10)
  (coastal coastsub 25)

  (surface-types sub 25)
  (surface-types coastsub 35)
  
  (u* specops 20)
  (specops u* 80)

  )

(table fire-hit-chance
  (u* u* 0)

  (tech0-carrier-types u* 100)
  (tech1-carrier-types u* 100)
  (tech2-carrier-types u* 100)

  (green-wing-types u* 70)
  (reg-wing-types u* 80)
  (vet-wing-types u* 85)
  (crk-wing-types u* 85)
  (eli-wing-types u* 95)

  (green-carrier-wing-types u* 70)
  (reg-carrier-wing-types u* 80)
  (vet-carrier-wing-types u* 85)
  (crk-carrier-wing-types u* 85)
  (eli-carrier-wing-types u* 95)

  (sam fighter-types 40)
  (restoredsam fighter-types 43)
  (reinforcedsam fighter-types 45)
  (damagedsam fighter-types 35)
  (wreckedsam fighter-types 25)

  (sam carrier-fighter-types 40)
  (restoredsam carrier-fighter-types 43)
  (reinforcedsam carrier-fighter-types 45)
  (damagedsam carrier-fighter-types 35)
  (wreckedsam carrier-fighter-types 25)

  (sam milair 80)
  (restoredsam milair 83)
  (reinforcedsam milair 85)
  (damagedsam milair 65)
  (wreckedsam milair 45)

  (sam civair 90)
  (restoredsam civair 93)
  (reinforcedsam civair 95)
  (damagedsam civair 75)
  (wreckedsam civair 55)

  (sam squadron 15)
  (restoredsam squadron 18)
  (reinforcedsam squadron 19)
  (damagedsam squadron 7)
  (wreckedsam squadron 3)

;;  (squadron u* 90)

)

(table fire-damage
  (tech0-carrier-types u* 2)
  (tech1-carrier-types u* 2)
  (tech2-carrier-types u* 2)

  (base-wing-types ground-targets 3d10+5)
  (reinforced-wing-types ground-targets 4d10+5)
  (damaged-wing-types ground-targets 3d8+5)
  (wrecked-wing-types ground-targets 3d6+5)

  (base-wing-types sea-targets 4d10)
  (reinforced-wing-types sea-targets 5d10)
  (damaged-wing-types sea-targets 4d8)
  (wrecked-wing-types sea-targets 4d6)

  (base-carrier-wing-types ground-targets 3d10+2)
  (reinforced-carrier-wing-types ground-targets 4d10+2)
  (damaged-carrier-wing-types ground-targets 3d8+2)
  (wrecked-carrier-wing-types ground-targets 3d6+2)

  (base-carrier-wing-types sea-targets 4d10+5)
  (reinforced-carrier-wing-types sea-targets 5d10+5)
  (damaged-carrier-wing-types sea-targets 4d8+5)
  (wrecked-carrier-wing-types sea-targets 4d6+5)

  (sam fighter-types 2d6)
  (restoredsam fighter-types 2d6)
  (reinforcedsam fighter-types 2d6)
  (damagedsam fighter-types 1d6)
  (wreckedsam fighter-types 1d5)

  (sam carrier-fighter-types 2d6)
  (restoredsam carrier-fighter-types 2d6)
  (reinforcedsam carrier-fighter-types 2d6)
  (damagedsam carrier-fighter-types 1d6)
  (wreckedsam carrier-fighter-types 1d5)

  (sam milair 2d10)
  (restoredsam milair 2d10+2)
  (reinforcedsam milair 3d10)
  (damagedsam milair 2d8)
  (wreckedsam milair 2d6)

  (sam civair 2d10)
  (restoredsam civair 2d10+2)
  (reinforcedsam civair 3d10)
  (damagedsam civair 2d8)
  (wreckedsam civair 2d6)

	(adn-types squadron 1d6)

  (squadron-types ground-targets 3d6+2)
  (squadron-types sea-targets 3d6+2)

  (u* civair 2d10)
  (u* milair 2d8)
)

(table damage
  (base-corps-types ground-targets 2d10+2)
  (reinforced-corps-types ground-targets 3d10+2)
  (damaged-corps-types ground-targets 2d8+2)
  (wrecked-corps-types ground-targets 2d6+2)

  (base-army-types ground-targets 3d10+2)
  (reinforced-army-types ground-targets 4d10+2)
  (damaged-army-types ground-targets 3d8+2)
  (wrecked-army-types ground-targets 3d6+2)

  (base-armor-types ground-targets 4d10+2)
  (reinforced-armor-types ground-targets 5d10+2)
  (damaged-armor-types ground-targets 4d8+2)
  (wrecked-armor-types ground-targets 4d6+2)

  (surface ground-targets 1d10+5)
  (restoredsurface ground-targets 2d10+5)
  (reinforcedsurface ground-targets 1d10+7)
  (damagedsurface ground-targets 1d10)
  (wreckedsurface ground-targets 1d8)

  (surface sea-targets 3d10)
  (restoredsurface sea-targets 3d10+3)
  (reinforcedsurface sea-targets 4d10)
  (damagedsurface sea-targets 3d8)
  (wreckedsurface sea-targets 3d6)

  (brigade-types ground-targets 3d8+3)
  (marine-types ground-targets 3d8)

  (specops ground-targets 2d8+7)
  (specops sea-targets 2d8+7)

;; I think place-type damage bleeds over on capture attempts, so this is changed to represent
;; both sabotage acts upon installations and cities, but also harassment of forces within cities,
;; which seems like a good specops mission.

  (specops place-types 1d6+5)

  (sub sea-targets 5d10)
  (coastal sea-targets 2d10)
  (coastal ground-targets 1d6)
  (coastsub sea-targets 3d10)

  (u* civair 2d10)
  (u* milair 2d8)

	(sub-types milair 0)
	(sub-types civair 0)

)


(table occupant-combat
	(u* u* 0)
	(specops u* 100)
	(u* place-types 100)
	(carrier-fighter-types carrier-types 100)
)


(table consumption-per-attack
	(u* supply 2)
	(ship-types supply 1)
)


(table consumption-per-fire
	(u* supply 1)
	(ship-types supply 1)
)

(table hit-by
	(u* supply 1)
	(ship-types supply 1)
)


(table consumption-per-move
	(u* supply 1)

;; Nuclear	
	(tech1-carrier-types supply 0)
	(tech2-carrier-types supply 0)
	(sub supply 0)
	(satellite-types supply 0)
)


(table hp-min
  ;; Places can never be entirely destroyed.
  (u* wrecked-places 1)
  (u* ruins 1)
  (u* port 1)
  (u* smallport 1)
	(u* mainland 1)
	(u* int-aid 1)

;; Carriers can't use their attack to wipe out a unit, it's just for the AI
	(tech0-carrier-types u* 1)
	(tech1-carrier-types u* 1)
	(tech2-carrier-types u* 1)

  )

;; ZOINK!

(table wrecked-type-if-killed
	(corps u* damagedcorps)
	(army u* damagedarmy)
	(armor u* damagedarmor)
	(wing u* damagedwing)
	(carrierwing u* damagedcarrierwing)
	(surface u* damagedsurface)
	(carrier u* damagedcarrier)
	(carrier-1 u* damagedcarrier-1)
	(carrier-2 u* damagedcarrier-2) 
	(sam u* damagedsam)

	(wing armor-types wreckedwing)
	(reinforcedwing armor-types damagedwing)
	(restoredwing armor-types reg-wreckedwing)
	(reg-reinforcedwing armor-types reg-damagedwing)
	(vet-wing armor-types vet-wreckedwing)
	(vet-reinforcedwing armor-types vet-damagedwing)
	(crk-wing armor-types crk-wreckedwing)
	(crk-reinforcedwing armor-types crk-damagedwing)
	(eli-wing armor-types eli-wreckedwing)
	(eli-reinforcedwing armor-types eli-damagedwing)

	(wing army-types wreckedwing)
	(reinforcedwing army-types damagedwing)
	(restoredwing army-types reg-wreckedwing)
	(reg-reinforcedwing army-types reg-damagedwing)
	(vet-wing army-types vet-wreckedwing)
	(vet-reinforcedwing army-types vet-damagedwing)
	(crk-wing army-types crk-wreckedwing)
	(crk-reinforcedwing army-types crk-damagedwing)
	(eli-wing army-types eli-wreckedwing)
	(eli-reinforcedwing army-types eli-damagedwing)

	(wing corps-types wreckedwing)
	(reinforcedwing corps-types damagedwing)
	(restoredwing corps-types reg-wreckedwing)
	(reg-reinforcedwing corps-types reg-damagedwing)
	(vet-wing corps-types vet-wreckedwing)
	(vet-reinforcedwing corps-types vet-damagedwing)
	(crk-wing corps-types crk-wreckedwing)
	(crk-reinforcedwing corps-types crk-damagedwing)
	(eli-wing corps-types eli-wreckedwing)
	(eli-reinforcedwing corps-types eli-damagedwing)

	(reinforcedsam corps-types damagedsam)
	(sam corps-types wreckedsam)
	(restoredsam corps-types wreckedsam)
	(reinforcedsam army-types damagedsam)
	(sam army-types wreckedsam)
	(restoredsam army-types wreckedsam)
	(reinforcedsam armor-types damagedsam)
	(sam armor-types wreckedsam)
	(restoredsam armor-types wreckedsam)

	
)


(table capture-chance
  (base-corps-types place-types 40)
  (reinforced-corps-types place-types 50)
  (damaged-corps-types place-types 30)

  (base-army-types place-types 50)
  (reinforced-army-types place-types 60)
  (damaged-army-types place-types 40)

  (marine-types place-types 50)

  (base-corps-types port 100)
  (restoredcorps port 100)
  (reinforced-corps-types port 100)
  (damaged-corps-types port 100)

  (base-army-types port 100)
  (reinforced-army-types port 100)
  (damaged-army-types port 100)

  (base-corps-types smallport 100)
  (reinforced-corps-types smallport 100)
  (damaged-corps-types smallport 100)

  (base-army-types smallport 100)
  (reinforced-army-types smallport 100)
  (damaged-army-types smallport 100)

;;  (coastal smallport 100)

;;  (surface smallport 100)
;;  (restoredsurface smallport 100)
;;  (reinforcedsurface smallport 100)
;;  (damagedsurface smallport 100)

;;  (surface port 100)
;;  (restoredsurface port 100)
;;  (reinforcedsurface port 100)
;;  (damagedsurface port 100)

  (surface civtran 80)
  (restoredsurface civtran 80)
  (reinforcedsurface civtran 80)
  (damagedsurface civtran 70)
  (coastal civtran 70)

  (base-corps-types civair 80)
  (reinforced-corps-types civair 80)
  (damaged-corps-types civair 60)

  (base-army-types civair 80)
  (reinforced-army-types civair 80)
  (damaged-army-types civair 60)


  )


;;(table acp-to-be-fired-on
;;	(squadron adn-types 6)
;;	(carrier-types adn-types 6)
;;	(fighter-types adn-types 6)
;;)

;; EXPLOSION CHANGES ZOINK

(table detonation-unit-range
	(war-dec u* 5)
)

(table detonation-damage-at
	(war-dec u* 0)
	(war-dec war-dec 100)
)

(table detonation-damage-adjacent
	(war-dec u* 0)
	(war-dec war-dec 100)
)

(table detonation-terrain-range
	(war-dec (peace1-political-border) 5)
	(war-dec (peace2-political-border) 5)
	(war-dec (peace3-political-border) 5)
)


(table detonation-terrain-damage-chance
	(war-dec (peace1-political-border) 100)
	(war-dec (peace2-political-border) 100)
	(war-dec (peace3-political-border) 100)
)

(table terrain-damaged-type
	(peace1-political-border war-political-border 100)
	(peace2-political-border war-political-border 100)
	(peace3-political-border war-political-border 100)
)

(table detonation-accident-chance
	(war-dec t* 50)
)


(table protection
  ;; Ground units protect cities from capture.
   	(ground-targets place-types 100)
	(place-types ground-targets 0)

  ;; But not transports

	(ground-targets transport-types 100)
	(transport-types ground-targets 0)

  ;; No defending your city with a transport or adn

	(transport-types place-types 100)
	(place-types transport-types 0)

	(adn-types place-types 100)
	(place-types adn-types 0)


  ;; Sea units are just sitting ducks, though

	(sea-targets place-types 100)
	(place-types sea-targets 0)

	(place-types place-types 0)

	(army-types army-types 50)
	(corps-types corps-types 50)
	(corps-types army-types 50)
	(army-types fighter-types 50)
	(corps-types fighter-types 50)

	(carrier-fighter-types carrier-types 75)
	(carrier-types carrier-fighter-types 25)

;; ZOINK


  )

(table occupant-escape-chance
   (u* u* 100)
;;   (sea-targets place-types 25)

;; If they're right next to land, I suppose fighters may flee a knocked out carrier.

;;	(carrier-fighter-types carrier-types 100)

)

(table unit-consumption-to-grow
	(u* points 9999)
	(city points 480)
	(city manpower 20)
	(cic points 500)
	(caf hitech 480)
)


;;; Backdrop.

(table out-length
  (u* points 1)
  (place-types supply 3)
	(u* tech 3)

)

(table in-length
  (u* points 1)
  (u* supply 3)
	(place-types tech 3)

;; Ships must return to port for resupply.
	(sea-targets points 1)

)

;; SIDE LOSS RESULTS

;; Some units are lost, some are captured
(add u* lost-vanish-chance 2000)

;; Cities must be captured, but cafs, cics and ports don't go anywhere
(add place-types lost-vanish-chance 0)

;; Special things, however, always disappear
(add mainland lost-vanish-chance 10000)
(add int-aid lost-vanish-chance 10000)
(add spysat lost-vanish-chance 10000)


;;; The world.

(world 360 (year-length 12))

;;; Sides.

(set calendar '(usual month))

(set season-names
  ;; 0 is January, 3 is April, 6 is July, 9 is October
  ((0 2 "winter") (3 5 "spring") (6 8 "summer") (9 11 "autumn")))

;;; SUPPLY

 (table unit-initial-supply
  (u* supply 9999)
	(int-aid points 100)
	(int-aid hitech 150)
  )

(scorekeeper (do last-side-wins))



(set action-notices '(
    ((destroy u* city) (actor " damages " actee "!"))
    ((destroy u* damagedcity) (actor " levels " actee "even further!"))

    ((destroy u* cic) (actor " damages " actee "!"))
    ((destroy u* damagedcic) (actor " damages " actee "even further!"))
    ((destroy u* heavydamagedcic) (actor " levels " actee "!"))

    ((destroy u* caf) (actor " damages " actee "!"))
    ((destroy u* damagedcaf) (actor " damages " actee "even further!"))
    ((destroy u* heavydamagedcaf) (actor " levels " actee "!"))

    ((destroy u* reinforced-corps-types) (actor " hits " actee "."))
    ((destroy u* base-corps-types) (actor " disrupts " actee "."))
    ((destroy u* damaged-corps-types) (actor " wrecks " actee "."))
    ((destroy u* wrecked-corps-types) (actor " annihilates " actee "!"))

    ((destroy u* reinforced-army-types) (actor " hits " actee "."))
    ((destroy u* base-army-types) (actor " disrupts " actee "."))
    ((destroy u* damaged-army-types) (actor " wrecks " actee "."))
    ((destroy u* wrecked-army-types) (actor " wipes out " actee "!"))

    ((destroy u* reinforced-armor-types) (actor " hits " actee "."))
    ((destroy u* base-armor-types) (actor " disrupts " actee "."))
    ((destroy u* damaged-armor-types) (actor " wrecks " actee "."))
    ((destroy u* wrecked-armor-types) (actor " finishes off " actee "!"))

    ((destroy u* adn-types) (actor " damages " actee "!"))
    ((destroy u* wreckedsam) (actor " destroys " actee "!"))

    ((destroy u* reinforced-carrier-types) (actor " hits " actee "."))
    ((destroy u* base-carrier-types) (actor " disrupts " actee "."))
    ((destroy u* damaged-carrier-types) (actor " wrecks " actee "."))
    ((destroy u* wrecked-carrier-types) (actor " sends " actee "to the bottom!"))

    ((destroy u* reinforcedsurface) (actor " hits " actee "."))
    ((destroy u* restoredsurface) (actor " disrupts " actee "."))
    ((destroy u* surface) (actor " disrupts " actee "."))
    ((destroy u* damagedsurface) (actor " wrecks " actee "."))
    ((destroy u* wreckedsurface) (actor " sinks " actee "!"))


    ((destroy u* sub-types) (actor " sinks " actee "!"))

    ((hit specops u*) (actor " sabotages " actee "."))
    ((destroy specops u*) (actor " blows up " actee "!"))

    ((hit fighter-types u*) (actor " strikes " actee "."))
    ((hit carrier-fighter-types u*) (actor " strikes " actee "."))
    ((capture u* place-types) (actor " takes " actee "."))

;;    ((disband mine-u* self done) (actor " is totally cleared."))
;;    ((liberate paratroops facility-u*) (actor " storms and liberates " actee "!"))
))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;Random set-up

(set country-radius-max 30)
(set country-separation-min 20)
(set edge-terrain ice)

(add u* start-with 0)
(add sam start-with 2)
(add vet-armor start-with 1)
(add vet-army start-with 1)
(add vet-corps start-with 2)
(add vet-wing start-with 1)
(add city start-with 2)
(add caf start-with 2)
(add cic start-with 2)
(add carrier start-with 1)
(add vet-carrierwing start-with 1)
(add surface start-with 2)
(add miltran start-with 2)
(add spysat start-with 1)

(table independent-density
  (city (land desert forest mountains) (300 200 200 150))
  (civtran (sea) (100))
)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

                (add corps-types image-name "ko-corps-2")
                (add army-types image-name "trident-alpine-troops")
                (add armor-types image-name "trident-armor")
                (add fighter-types image-name "ba-jet-sing")
                (add tech2-carrier-types image-name "trident-carrier")
                (add tech1-carrier-types image-name "ko-carrier2")
                (add tech0-carrier-types image-name "ko-carrier1")
                (add surface-types image-name "trident-battleship")
                (add squadron-types image-name "ko-advanced-fighter")
                (add coastal image-name "trident-aegis-cruiser")
                (add coastsub image-name "trident-submarine")
                (add specops image-name "trident-paratroopers")
                (add specheli image-name "trident-helicopter")
                (add milair image-name "trident-bomber")
                (add civair image-name "trident-bomber")
                (add spysat image-name "ko-sat")
                (add miltran image-name "trident-transport")
                (add civtran image-name "trident-transport")
                (add para-types image-name "trident-partisans")
                (add adneng image-name "trident-engineers")
                (add adn-types image-name "ba-big-sam")
                (add sub image-name "trident-submarine")
	    	(add brigade-types image-name "ko-advanced-tank")
	    	(add coastsub image-name "ko-coastsub")
		(add carrier-fighter-types image-name "ba-jet-frog")
		(add marine-types image-name "ko-marines")


(define cell-t* (sea shallows swamp desert forest land mountains ice))

;                               		sea 	lak	swa 	des 	pla 	for 	mou 	ice
; ---------------------------------------------------------------------

(add cell-t* alt-percentile-min 	(  	0  	89 	20  	21  	35	20  	90  	99	))
(add cell-t* alt-percentile-max 	( 	55  	90  	23  	90  	90	89  	99 	100	))
(add cell-t* wet-percentile-min 	(  	0   	0  	20   	0  	20	70   	0   	0	))
(add cell-t* wet-percentile-max 	(	100 	100 	100	20  	70	100 	100 	100	))

;;;	Some defns for the fractal percentile generator.

(set alt-blob-density 10000)
(set alt-blob-height 500)
(set alt-blob-size 100)
(set alt-smoothing 4)
(set wet-blob-density 2000)
(set wet-blob-size 100)


(table favored-terrain
  (u* t* 0)		; Do NOT just lay them out at random!
  (sea-targets sea 100)	; Plains are preferred above all else!
  (ground-targets land-t* 100)
  (satellite-types t* 100)
)



(game-module (design-notes
  "Units are modern, strategic level."
  ))

(imf "nt-city-gray-large"  ((32 32) (file "neo-trident.gif" std 0 0)))
(imf "nt-town-gray-medium"  ((32 32) (file "neo-trident.gif" std 0 1)))
(imf "nt-city-white-small"  ((32 32) (file "neo-trident.gif" std 0 2)))

(imf "ko-city-damage"  ((32 32) (file "korea.gif" std 3 5)))
(imf "ko-city-wreck"  ((32 32) (file "korea.gif" std 3 6)))
(imf "ko-city-level"  ((32 32) (file "korea.gif" std 3 7)))
(imf "ko-marines"  ((32 32) (file "korea.gif" std 3 8)))


(imf "ko-reinforcedcorps" ((32 32) (file "korea.gif" std 0 0)))
(imf "ko-corps" ((32 32) (file "korea.gif" std 0 1)))
(imf "ko-damagedcorps" ((32 32) (file "korea.gif" std 0 2)))
(imf "ko-wreckedcorps" ((32 32) (file "korea.gif" std 0 3)))

(imf "ko-reinforcedarmy"  ((32 32) (file "korea.gif" std 1 0)))
(imf "ko-army"  ((32 32) (file "korea.gif" std 1 1)))
(imf "ko-damagedarmy"  ((32 32) (file "korea.gif" std 1 2)))
(imf "ko-wreckedarmy"  ((32 32) (file "korea.gif" std 1 3)))
(imf "ko-nuke1"  ((32 32) (file "korea.gif" std 1 5)))
(imf "ko-nuke2"  ((32 32) (file "korea.gif" std 1 6)))
(imf "ko-nuke3"  ((32 32) (file "korea.gif" std 1 7)))
(imf "ko-nuke4"  ((32 32) (file "korea.gif" std 1 8)))

(imf "ko-reinforcedarmor"  ((32 32) (file "korea.gif" std 2 0)))
(imf "ko-armor"  ((32 32) (file "korea.gif" std 2 1)))
(imf "ko-damagedarmor"  ((32 32) (file "korea.gif" std 2 2)))
(imf "ko-wreckedarmor"  ((32 32) (file "korea.gif" std 2 3)))
(imf "ko-redmissile"  ((32 32) (file "korea.gif" std 2 5)))
(imf "ko-bluemissile"  ((32 32) (file "korea.gif" std 2 6)))
(imf "ko-greenmissile"  ((32 32) (file "korea.gif" std 2 7)))
(imf "ko-blackmissile"  ((32 32) (file "korea.gif" std 2 8)))
(imf "ko-corps-2"  ((32 32) (file "korea.gif" std 2 9)))

(imf "ko-reinforcedwing"  ((32 32) (file "korea.gif" std 3 0)))
(imf "ko-wing"  ((32 32) (file "korea.gif" std 3 1)))
(imf "ko-damagedwing"  ((32 32) (file "korea.gif" std 3 2)))
(imf "ko-wreckedwing"  ((32 32) (file "korea.gif" std 3 3)))

(imf "ko-reinforcedsurface" ((32 32) (file "korea.gif" std 4 0)))
(imf "ko-surface" ((32 32) (file "korea.gif" std 4 1)))
(imf "ko-damagedsurface" ((32 32) (file "korea.gif" std 4 2)))
(imf "ko-wreckedsurface" ((32 32) (file "korea.gif" std 4 3)))

(imf "ko-reinforcedcarrier" ((32 32) (file "korea.gif" std 5 0)))
(imf "ko-carrier" ((32 32) (file "korea.gif" std 5 1)))
(imf "ko-damagedcarrier" ((32 32) (file "korea.gif" std 5 2)))
(imf "ko-wreckedcarrier" ((32 32) (file "korea.gif" std 5 3)))

(imf "ko-reinforcedadn" ((32 32) (file "korea.gif" std 6 0)))
(imf "ko-adn" ((32 32) (file "korea.gif" std 6 1)))
(imf "ko-damagedadn" ((32 32) (file "korea.gif" std 6 2)))
(imf "ko-wreckedadn" ((32 32) (file "korea.gif" std 6 3)))

(imf "ko-carrier-wing"  ((32 32) (file "korea.gif" std 8 0)))
(imf "ko-coastsub"  ((32 32) (file "korea.gif" std 8 1)))
(imf "ko-carrier2"  ((32 32) (file "korea.gif" std 8 2)))
(imf "ko-carrier1"  ((32 32) (file "korea.gif" std 8 3)))
(imf "ko-advanced-fighter"  ((32 32) (file "korea.gif" std 8 4)))
(imf "ko-advanced-tank"  ((32 32) (file "korea.gif" std 8 5)))
(imf "ko-sat"  ((32 32) (file "korea.gif" std 8 6)))
(imf "ko-sam"  ((32 32) (file "korea.gif" std 8 7)))
(imf "ko-milair"  ((32 32) (file "korea.gif" std 8 8)))
(imf "ko-civair"  ((32 32) (file "korea.gif" std 8 9)))

(imf "ko-coastal"  ((32 32) (file "korea.gif" std 9 0)))
(imf "ko-squadron"  ((32 32) (file "korea.gif" std 9 1)))
(imf "ko-brigade"  ((32 32) (file "korea.gif" std 9 2)))
(imf "ko-engineer"  ((32 32) (file "korea.gif" std 9 3)))
(imf "ko-specops"  ((32 32) (file "korea.gif" std 9 4)))
(imf "ko-specheli"  ((32 32) (file "korea.gif" std 9 5)))
(imf "ko-sub"  ((32 32) (file "korea.gif" std 9 6)))
(imf "ko-csub"  ((32 32) (file "korea.gif" std 9 7)))
(imf "ko-miltran"  ((32 32) (file "korea.gif" std 9 8)))
(imf "ko-civtran"  ((32 32) (file "korea.gif" std 9 9)))

(imf "ba-big-sam" ((32 32) (file "battles1.gif" std 9 9)))
(imf "ba-jet-sing" ((32 32) (file "battles1.gif" std 8 7)))
(imf "ba-jet-frog" ((32 32) (file "battles1.gif" std 8 8)))
(imf "ba-sat-dish" ((32 32) (file "battles1.gif" std 8 9)))



