(game-module "cil-rules"
  (title "Cast Iron Life, Units and Rules")
  (version ".551")
  (blurb "base module for CIL, hodge-podged from ww2-adv.g and 3rd-age.g")
  )



;;; What's missing:
;;; Materials have been defined (Food, fuel, gear, machine parts, ammo) but haven't been integrated into mechanics
;;; Factories have been added as units but there are no mechanics to handle them.
;;; Same with farmland and coal mines
;;; No cities and towns have been placed on the map.
;;; Should probably split cities into Small City, City and Large City, or some kind of delineation.
;;; Too many units or too little automation, it'll be a hassle to individually order every new division to grab a gun.
;;; There's still a lot of mess from the rules I've cribbed this from (References to The One Ring and Wolfpacks)
;;; Heavy Artillery doesn't work - This is due to Combat Model 1, which doesn't support fire orders.
;;; Who knows whether the attributes are accurate
;;; No experience system in place
;;; Attrition rules untouched
;;; Spain doesn't exist, not sure if it should or not, maybe just make it in Central America independant powers
;;; Still using stock graphics for cities, towns and capitals.
;;; Naming convention issue: Some unit names are capitalized, others aren't
;;; Naming convention issue: Sometimes there's a full stop at the end of a comment, sometimes there isn't.

;;; Probably more, please note revisions here, until we can standardize the process.


;;; IN PROGRESS:
;;; I've scrapped the equipment concept, it can be reintroduced at a point when xconq can handle it, until then the units will be delineated by armament
;;; I've started fiddling with terrain, so we now have farmland and coal mines.
;;; I'd like to integrate oil and food into the feature/state/county as originally conceived for CIL, until that's possible, food and fuel will be generated by terrain.
;;; My treasury still won't work, the factories hold goods and the cities don't transfer anything, even with control painted on the necessary terrain.
;;; Units can produce materials, but only through explicit action, which sounds tedious.  I'll define factories as able to produce materials in the hopes that some sort of standing orders can be used to automate this act.  It seems that the command is continuous, which would be great if it holds up in the actual game.
;;; There are now transports, which are seperate from wooden frigates.
;;; I'm getting rid of production points for now, just to see if I can achieve functionality without them.
;;; Maybe set up different TPs for different advances



;;; Types.
;;; Infantry and Cavalry

(unit-type militia-div0 (name "Irregular Militia Division") (image-name "cil-militia")
  (acp-per-turn 3) (hp-max 10) (cp 2)
  (help "Weaker than a regular infantry division and slower"))

(unit-type cav-div0 (name "Irregular Cavalry Division") (image-name "cil-cavalry")
  (acp-per-turn 5) (hp-max 10) (cp 4)
  (help "Increases spotting and ACP of an Army."))

(unit-type ri-div1 (name "Smoothbore Musket Regular Infantry Division") (image-name "cil-infantry")
  (acp-per-turn 4) (hp-max 10) (cp 4)
  (help "The standard infantry division equipped with smoothbore muskets"))

(unit-type militia-div1 (name "Smoothbore Musket Militia Division") (image-name "cil-militia")
  (acp-per-turn 3) (hp-max 10) (cp 4)
  (help "Weaker than a regular infantry division and slower"))

(unit-type cav-div1 (name "Smoothbore Musket Cavalry Division") (image-name "cil-cavalry")
  (acp-per-turn 5) (hp-max 10) (cp 4)
  (help "Increases spotting and ACP of an Army."))

(unit-type marine-div1 (name "Smoothbore Musket Marine Division") (image-name "cil-marine")
  (acp-per-turn 4) (hp-max 10) (cp 4)
  (help "Same hitting power as a regular infantry division, but more easily transported"))

(unit-type ri-div2 (name "Rifled Musket Regular Infantry Division") (image-name "cil-infantry")
  (acp-per-turn 4) (hp-max 10) (cp 4)
  (help "The standard infantry division equipped with rifled muskets"))

(unit-type militia-div2 (name "Rifled Musket Militia Division") (image-name "cil-militia")
  (acp-per-turn 3) (hp-max 10) (cp 4)
  (help "Weaker than a regular infantry division and slower"))

(unit-type cav-div2 (name "Rifled Musket Cavalry Division") (image-name "cil-cavalry")
  (acp-per-turn 5) (hp-max 10) (cp 4)
  (help "Increases spotting and ACP of an Army."))

(unit-type marine-div2 (name "Rifled Musket Marine Division") (image-name "cil-marine")
  (acp-per-turn 4) (hp-max 10) (cp 4)
  (help "Same hitting power as a regular infantry division, but more easily transported"))

(unit-type ri-div3 (name "Repeating Rifle Infantry Division") (image-name "cil-infantry")
  (acp-per-turn 4) (hp-max 10) (cp 4)
  (help "The standard infantry division equipped with repeating rifles"))

(unit-type militia-div3 (name "Repeating Rifle Militia Division") (image-name "cil-militia")
  (acp-per-turn 3) (hp-max 10) (cp 4)
  (help "Weaker than a regular infantry division and slower"))

(unit-type cav-div3 (name "Repeating Rifle Cavalry Division") (image-name "cil-cavalry")
  (acp-per-turn 5) (hp-max 10) (cp 4)
  (help "Increases spotting and ACP of an Army."))

(unit-type marine-div3 (name "Repeating Rifle Marine Division") (image-name "cil-marine")
  (acp-per-turn 4) (hp-max 10) (cp 4)
  (help "Same hitting power as a regular infantry division, but more easily transported"))

(unit-type ri-div4 (name "Bolt-Action Rifle Infantry Division") (image-name "cil-infantry")
  (acp-per-turn 4) (hp-max 10) (cp 4) 
  (help "The standard infantry division equipped with repeating rifles"))


(unit-type militia-div4 (name "Bolt-Action Rifle Militia Division") (image-name "cil-militia")
  (acp-per-turn 3) (hp-max 10) (cp 4)
  (help "Weaker than a regular infantry division and slower"))

(unit-type cav-div4 (name "Bolt-Action Rifle Cavalry Division") (image-name "cil-cavalry")
  (acp-per-turn 5) (hp-max 10) (cp 4)
  (help "Increases spotting and ACP of an Army."))

(unit-type marine-div4 (name "Bolt-Action Rifle Marine Division") (image-name "cil-marine")
  (acp-per-turn 4) (hp-max 10) (cp 4)
  (help "Same hitting power as a regular infantry division, but more easily transported"))

(define irregular-types (militia-div0 cav-div0))
(define smooth-types (ri-div1 militia-div1 cav-div1 marine-div1))
(define rifled-types (ri-div2 militia-div2 cav-div2 marine-div2))
(define repeater-types (ri-div3 militia-div3 cav-div3 marine-div3))
(define boltaction-types (ri-div4 militia-div4 cav-div4 marine-div4))


(define infantry-types (append irregular-types smooth-types rifled-types repeater-types boltaction-types))


;;; Artillery
;;; Light
(unit-type light1 (name "Early Light Artillery") (image-name "cil-arty-light1")
  (acp-per-turn 4) (hp-max 2) (cp 2)
  (help "Smoothbore light artillery"))
(unit-type light2 (name "Improved Light Artillery") (image-name "cil-arty-light2")
  (acp-per-turn 4) (hp-max 2) (cp 2)
  (help "Rifled light artillery"))
(unit-type light3 (name "Late Light Artillery") (image-name "cil-arty-light3")
  (acp-per-turn 4) (hp-max 2) (cp 2)
  (help "Breach-loaded light artillery"))

;;; Medium
(unit-type medium1 (name "Early Medium Artillery") (image-name "cil-arty-medium1")
  (acp-per-turn 4) (hp-max 2) (cp 4)
  (help "Smoothbore medium artillery"))
(unit-type medium2 (name "Improved Medium Artillery") (image-name "cil-arty-medium2")
  (acp-per-turn 4) (hp-max 2) (cp 4)
  (help "Rifled medium artillery"))
(unit-type medium3 (name "Late Medium Artillery") (image-name "cil-arty-medium3")
  (acp-per-turn 4) (hp-max 2) (cp 4)
  (help "Breach-loaded medium artillery"))

;;; Heavy
(unit-type heavy1 (name "Early Heavy Artillery") (image-name "cil-arty-heavy1")
  (acp-per-turn 3) (hp-max 2) (cp 4)
  (acp-to-fire 1)  (range 2)
  (help "Smoothbore heavy artillery"))
(unit-type heavy2 (name "Improved Heavy Artillery") (image-name "cil-arty-heavy2")
  (acp-per-turn 3) (hp-max 2) (cp 4)
  (acp-to-fire 1)  (range 2)
  (help "Rifled heavy artillery"))
(unit-type heavy3 (name "Late Heavy Artillery") (image-name "cil-arty-heavy3")
  (acp-per-turn 3) (hp-max 2) (cp 4)
  (acp-to-fire 1)  (range 2)
  (help "Breach-loaded heavy artillery"))



(define light-types (light1 light2 light3))

(define medium-types (medium1 medium2 medium3))

(define heavy-types (heavy1 heavy2 heavy3))

(define artillery-types (append light-types medium-types heavy-types))

;;; Containers
(unit-type Army (image-name "cil-army")
(acp-per-turn 3) (hp-max 1) (cp 1) (type-per-side-max 4)
  (help "An Army"))
(unit-type Fleet (image-name "cil-fleet")
(acp-per-turn 6) (hp-max 1) (cp 1) (type-per-side-max 6)
  (help "A Fleet"))


(define container-types (Army Fleet))

;;; Naval Units
(unit-type transport (name "Transport Vessel") (image-name "cil-transport")
(acp-per-turn 5) (hp-max 5) (cp 4) (type-per-side-max 8)
  (help "A steam-powered ship to carry troops and supplies"))

(unit-type Wooden (name "Wooden Frigate") (image-name "cil-wooden")
(acp-per-turn 5) (hp-max 8) (cp 4) (type-per-side-max 8)
  (help "An old steam-powered ship of the line"))

(unit-type Iron1 (name "Early Ironclad Ram") (image-name "cil-iron1")
  (acp-per-turn 5) (hp-max 12) (cp 4) (type-per-side-max 4)
  (help "A wooden frigate clad with iron"))

(unit-type Iron2 (name "Early Monitor") (image-name "cil-iron2")
  (acp-per-turn 5) (hp-max 15) (cp 4) (type-per-side-max 4)
  (help "A low-keel, coastal vessel"))

(unit-type Iron3 (name "Late Ironclad Ram") (image-name "cil-iron3")
  (acp-per-turn 5) (hp-max 15) (cp 4) (type-per-side-max 4)
  (help "An ironclad by design."))

(unit-type Iron4 (name "Multi-Turret Monitor") (image-name "cil-iron4")
  (acp-per-turn 5) (hp-max 20) (cp 4) (type-per-side-max 4)
  (help "An improved turreted ironclad"))

(unit-type Iron5 (name "Mastless Ironclad") (image-name "cil-iron5")
  (acp-per-turn 5) (hp-max 30) (cp 4) (type-per-side-max 4)
  (help "Precursor to modern naval vessels"))

(unit-type AC1 (name "Early Armored Cruiser") (image-name "cil-armored-cruiser1")
  (acp-per-turn 5) (hp-max 50) (cp 4) (type-per-side-max 4)
  (help "Big, heavy and powerful"))

(unit-type AC2 (name "Late Armored Cruiser") (image-name "cil-armored-cruiser2")
  (acp-per-turn 5) (hp-max 70) (cp 4) (type-per-side-max 4)
  (help "Bigger, heavier and more powerful"))

(unit-type Hulk (image-name "cil-transport")
  (acp-per-turn 0) (hp-max 20) (cp 4) (type-per-side-max 4)
  (help "Used to test out the effectiveness of weapons"))

(define ship-types (transport Wooden Iron1 Iron2 Iron3 Iron4 Iron5 AC1 AC2 Hulk))


;;; Air Units
(unit-type balloon (name "Observation Balloon") (image-name "cil-balloon")
  (help "Just for looks, and to keep air units available"))

(define air-types (balloon))

;;; Population Centers
(unit-type depot (name "Supply Depot") (image-name "airbase") (char "/")
  (help ""))
(unit-type town (image-name "town20") (reach 1)
  (acp-per-turn 2)  (help "Any minor city"))
(unit-type city (image-name "city19") (reach 2)
  (acp-per-turn 4)  (help "Any major city"))
(unit-type capital (image-name "city20") (reach 2)
  (acp-per-turn 4)  (help "The capital of a country or region"))

(define place-types (depot town city capital))

(add place-types advanced true)
(add place-types use-own-cell true)

(define builders (city capital))






;;; Factories
(unit-type factorymp (name "Machine Parts Factory") (image-name "cil-factory-mp")
  (hp-max 10) (cp 5) 
  (help "Produces 10 MP per turn"))
(unit-type factoryg (name "Gear Factory") (image-name "cil-factory-g")
  (hp-max 10) (cp 5) 
  (help "Produces 10 Gear per turn"))
(unit-type factorya (name "Ammunition Factory")  (image-name "cil-factory-a")
  (hp-max 10) (cp 5) 
  (help "Produces 10 Ammo per turn"))

(define factory-types (factorymp factoryg factorya))








;;; Materials
(material-type PP (name "Industry") (treasury true)
  (help "Production Points, generic manpower"))
(material-type TP (name "Tech") (treasury true) (image-name "arrows")
  (help "Tech Points, for technology"))
(material-type fuel (name "Fuel") (treasury true) (image-name "shield")
  (help "Any energy source, like coal, diesel or avgas"))
(material-type food  (name "Food") (treasury true) (image-name "sheaf")
  (help "Food"))
(material-type parts (name "Machinery") (treasury true) (image-name "arrows")
  (help "Machine Parts"))
(material-type gear (name "Gear") (treasury true) (image-name "shield")
  (help "Shoes, uniforms, canteens, parkas, etc."))
(material-type ammo (name "Ammo") (treasury true) (image-name "arrows")
  (help "Bullets"))
(material-type MP (name "Manpower") (treasury true) (image-name "arrows")
  (help "Manpower (250 Men)"))







;;; Advances
(advance-type sa-musket (name "Smoothbore Musket") (rp 1000))
(advance-type sa-rmusket (name "Rifled Musket") (rp 1000))
(advance-type sa-repeater (name "Repeating Rifle") (rp 1000))
(advance-type sa-barifle (name "Bolt-Action Rifle") (rp 1000))
;; (advance-type sa-sarifle (name "Semiautomatic Rifle") (rp 1500))
;; (advance-type sa-earlysmg (name "Early Submachinegun") (rp 2000))
;; (advance-type sa-latesmg (name "Late Submachinegun") (rp 1000))
;; (advance-type sa-earlyar (name "Early Assault Rifle") (rp 3000))
;; (advance-type sa-latear (name "Late Assault Rifle") (rp 1500))
(advance-type na-wooden (name "Steam Frigate") (rp 1000))
(advance-type na-iron1 (name "Early Ironclad Ram") (rp 1000))
(advance-type na-iron2 (name "Early Monitor") (rp 1500))
(advance-type na-iron3 (name "Improved Ironclad Ram") (rp 1000))
(advance-type na-iron4 (name "Improved Monitor") (rp 1500))
(advance-type na-iron5 (name "Late Ironclad") (rp 2000))
(advance-type na-ac1 (name "Early Armored Cruiser") (rp 1500))
(advance-type na-ac2 (name "Late Armored Cruiser") (rp 1500))
(advance-type arty-l1 (name "Early Light Artillery") (rp 1000))
(advance-type arty-l2 (name "Improved Light Artillery") (rp 1500))
(advance-type arty-l3 (name "Late Light Artillery") (rp 2000))
(advance-type arty-m1 (name "Early Medium Artillery") (rp 1000))
(advance-type arty-m2 (name "Improved Medium Artillery") (rp 1500))
(advance-type arty-m3 (name "Late Medium Artillery") (rp 2000))
(advance-type arty-h1 (name "Early Heavy Artillery") (rp 1000))
(advance-type arty-h2 (name "Improved Heavy Artillery") (rp 1500))
(advance-type arty-h3 (name "Late Heavy Artillery") (rp 2000))


(table advance-needed-to-build
  (u* a* false)
  ;; units
  (smooth-types sa-musket true)
  (rifled-types sa-rmusket true)
  (repeater-types sa-repeater true)
  (boltaction-types  sa-barifle true)
  ((Wooden transport Hulk) na-wooden true)
  (Iron1 na-iron1 true)
  (Iron2 na-iron2 true)
  (Iron3 na-iron3 true)
  (Iron4 na-iron4 true)
  (Iron5 na-iron5 true)
  (AC1 na-ac1 true)
  (AC2 na-ac2 true)  
  (light1 arty-l1 true)
  (light2 arty-l2 true)
  (light3 arty-l3 true)
  (medium1 arty-m1 true)
  (medium2 arty-m2 true)
  (medium3 arty-m3 true)
  (heavy1 arty-h1 true)
  (heavy2 arty-h2 true)
  (heavy3 arty-h3 true)
)

(add irregular-types obsolete sa-musket)
(add smooth-types obsolete sa-barifle)
;; (add repeater-types obsolete sa-sarifle)
;; (add earlysmg-types obsolete sa-latesmg)
;; (add earlyar-types obsolete sa-latear)
(add Wooden obsolete na-iron5)
(add Iron1 obsolete na-iron5)
(add Iron2 obsolete na-iron5)
(add Iron3 obsolete na-iron5)
(add Iron4 obsolete na-iron5)
(add Iron5 obsolete na-ac2)

(set side-can-research true)

(table advance-consumption-per-rp
  (a* m* 0)
  (a* TP 1)
  )

(table advance-needed-to-research
  (a* a* false)
  (sa-rmusket (sa-musket) true)
  (sa-repeater (sa-rmusket) true)
  (sa-barifle (sa-repeater) true)
;;  (sa-sarifle (sa-barifle) true)
;;  (sa-earlysmg (sa-sarifle) true)
;;  (sa-latesmg (sa-earlysmg) true)
;;  (sa-earlyar (sa-latesmg) true)
;;  (sa-latear (sa-earlyar) true)
  (na-iron1 (na-wooden) true)
  (na-iron2 (na-wooden) true)
  (na-iron3 (na-iron1) true)
  (na-iron4 (na-iron2) true)
  (na-iron5 (na-iron4) true)
  (na-ac1 (na-iron5) true)
  (na-ac2 (na-ac1) true)
  (arty-l2 (arty-l1) true)
  (arty-m2 (arty-m1) true)
  (arty-h2 (arty-h1) true)
  (arty-l3 (arty-l2) true)
  (arty-m3 (arty-m2) true)
  (arty-h3 (arty-h2) true)
)

(terrain-type sea (char ".")
  (help "deep water"))
(terrain-type shallows (char ",")
  (help "shallow coastal water and lakes"))
(terrain-type swamp (char "="))
(terrain-type desert (image-name "adv-desert") (char "~")
  (help "dry open terrain"))
(terrain-type land (image-name "adv-plain") (char "+")
  (help "open flat or rolling country"))
(terrain-type forest (image-name "adv-forest") (char "%"))
(terrain-type mountains (image-name "adv-mountains") (char "^"))
(terrain-type ice  (image-name "adv-ice") (char "_"))
(terrain-type neutral (image-name "gray") (char "-"))
(terrain-type coal (image-name "civ-coal"))
(terrain-type farmland (image-name "bocage"))
(terrain-type river (char "<")
  (subtype border) (subtype-x river-x))
(terrain-type beach (char "|")
  (subtype border))
(terrain-type road (char ">")
  (subtype connection) (subtype-x road-x))
(terrain-type mud (image-name "brown")
  (subtype coating))
(terrain-type snow (image-name "ice")
  (subtype coating))


(add (sea shallows) liquid true)

(define sea-t* (sea shallows))

(define land-t* (desert land forest mountains))

;;; Static relationships.

(table vanishes-on
  (infantry-types sea-t* true)
  (artillery-types sea-t* true) 
  (Army sea-t* true)
  (infantry-types ice true)
  (Army ice true)
  (ship-types land-t* true)
  (Fleet land-t* true)
  (ship-types ice true)
  (Fleet ice true)
  (place-types sea-t* true)
  (place-types ice true)
  (u* neutral true)
  )

;;; Unit-unit capacities.

(table unit-size-as-occupant
  ;; Disable occupancy by default.
  (u* u* 99)
  (infantry-types (Army) 3)
  (infantry-types (transport) 3)
  ((marine-div1 marine-div2 marine-div3 marine-div4) (transport) 2)
  (infantry-types place-types 5)
  (air-types (Army) 1)
  (air-types place-types 1)
  (ship-types place-types 99)
  (ship-types (Fleet) 1)
  (light-types (Army) 1)
  (medium-types (Army) 1)
  (heavy-types (Army) 2)
  (light-types place-types 1)
  (medium-types place-types 1)
  (heavy-types place-types 1)
  (factory-types place-types 1)
  )

(add (Army Fleet) capacity (14 8))

(add place-types capacity 24)

(add transport capacity 6)

;;; Unit-terrain capacities.

(table unit-size-in-terrain
  (u* t* 1)
  (infantry-types t* 50)
  (ship-types t* 15)
  (place-types t* 100)
  (Fleet t* 100)
  (Army t* 100)
  )

(add t* capacity 100)

;;; Unit-material capacities.


(table production-from-terrain
  (t* m* 0)
  (t* PP 5)
  (t* MP 1)
  (coal fuel 10)
  (farmland food 25)
  (land food 20)
  (forest fuel 3)
)

(table acp-to-produce
	(u* m* 0)
	(builders TP 3)
)

(table material-per-production
	(u* m* 0)
	(place-types TP 10)
)

(table base-production
	(u* m* 0)
	(factoryg gear 5)
	(factorya ammo 5)
	(factorymp parts 5)
	(builders TP 3)
)

(table gives-to-treasury
	(factoryg gear true)
	(factorya ammo true)
	(factorymp parts true)
        (place-types fuel true)
	(place-types food true)
	(place-types PP true)
 	(u* TP true)
)


(table unit-storage-x
  ;; This requires the units to stay close to supply centers.
  (u* m* 0)
;; General
  (factory-types m* 100)
  (place-types m* 100)
  (infantry-types gear 10)
  (infantry-types food 10)
  (artillery-types gear 10)
  (ship-types gear 20)
;; Equipment
  (smooth-types ammo 10)
  (rifled-types ammo 10)
  (repeater-types ammo 15)
  (boltaction-types ammo 15)
  (boltaction-types parts 5)
;;  (semiauto-types ammo 20)
;;  (semiauto-types parts 5)
;;  (earlysmg-types ammo 25)
;;  (earlysmg-types parts 15)
;;  (latesmg-types ammo 25)
;;  (latesmg-types parts 10)
;;  (earlyar-types ammo 30)
;;  (earlyar-types parts 15)
;;  (latear-types ammo 30)
;;  (latear-types parts 10)
;; Artillery
  (light1 ammo 15)
  (light2 ammo 15)
  (light3 ammo 20)
  (medium1 ammo 30)
  (medium2 ammo 30)
  (medium3 ammo 40)
  (heavy1 ammo 30)
  (heavy2 ammo 40)
  (heavy3 ammo 40)
  (heavy3 parts 10)
;; Naval
  (Wooden ammo 40)
  (Wooden parts 10)
  (Iron1 ammo 40)
  (Iron1 parts 20)
  (Iron2 ammo 40)
  (Iron2 parts 40)
  (Iron3 ammo 50)
  (Iron3 parts 30)
  (Iron4 ammo 0)
  (Iron4 parts 50)
  (Iron5 ammo 0)
  (Iron5 parts 70)
  (AC1 ammo 100)
  (AC1 parts 100)
  (AC2 ammo 120)
  (AC2 parts 120)
  )


;;; Vision.

(set terrain-seen true)

;;; Reporters and civilians are always reporting on activities
;;; at fixed places.

(add place-types see-always true)

(add (cav-div0 cav-div1 cav-div2 cav-div3 cav-div4) vision-range 2)

;; Balloons are only around as a placeholder, so don't expect them to do anything.

;;; Movement.

(add place-types speed 0)
(add factory-types speed 0)

;; Individual divisions cannot move more than one hex per turn
(add infantry-types speed 1)
(add ship-types speed 1)
(add artillery-types speed 1)

(table mp-to-enter-terrain
  (infantry-types sea-t* 99)
  (artillery-types sea-t* 99)
  (infantry-types beach -99)
  (infantry-types t* 3)
  (artillery-types t* 3)
  (Army mud 1)
  (Army snow 2)
  (ship-types land-t* 99)
  (Fleet land-t* 99)
  (Fleet shallows 2)
  (u* ice 99)
  (air-types ice 1)
  (u* neutral 99)
)

(table mp-to-leave-terrain
  (infantry-types sea-t* 99)
  )


;; (table material-to-move
;; (infantry-types food 1)
;;  )

;; (table consumption-per-move
;;  (infantry-types fuel 1)
;;  )



;;; Construction.

(table can-create
  (builders container-types 1)
  (builders infantry-types 1)
  (builders artillery-types 1)
;;  (builders air-types 1)
  (builders ship-types 4)
  (infantry-types depot 1)
  (town irregular-types 1)
  )

(table acp-to-create
  (builders container-types 1)
  (builders infantry-types 1)
  (builders artillery-types 1)
;;  (builders air-types 1)
  (builders ship-types 4)
  (infantry-types depot 1)
  (town irregular-types 1)
  )

(table cp-on-creation
  (builders container-types 1)
  (builders infantry-types 1)
  (builders artillery-types 1)
;;  (builders air-types 1)
  (builders ship-types 4)
  (infantry-types depot 1)
  (town irregular-types 1)

  )

(table can-build
  (builders container-types 1)
  (builders infantry-types 1)
  (builders artillery-types 1)
  (builders air-types 1)
  (builders ship-types 1)
  (town irregular-types 1)
  )

(table acp-to-build
  (builders container-types 1)
  (builders infantry-types 1)
  (builders artillery-types 1)
  (builders air-types 1)
  (builders ship-types 1)
  (town irregular-types 1)
  )

;; (table cp-per-build
;;  (builders infantry-types 1)
;;  (builders artillery-types 1)
;;  (builders air-types 1)
;;  (builders ship-types 1)
;;  )

( table create-range
    (builders Army 1)
    (builders Fleet 2)
    (builders ship-types 1)
    )


;;; **************************DO THIS NEXT************************

;; (table unit-consumption-per-cp
;;  (container-types PP 1)
;;  )




(table consumption-on-creation
  (smooth-types PP 30)
  (rifled-types PP 40)
  (repeater-types PP 50)
  (boltaction-types  PP 60)
  ((Wooden transport Hulk) PP 40)
  (Iron1 PP 50)
  (Iron2 PP 60)
  (Iron3 PP 70)
  (Iron4 PP 80)
  (Iron5 PP 90)
  (AC1 PP 100)
  (AC2 PP 110)  
  (light1 PP 20)
  (light2 PP 30)
  (light3 PP 40)
  (medium1 PP 30)
  (medium2 PP 40)
  (medium3 PP 50)
  (heavy1 PP 40)
  (heavy2 PP 50)
  (heavy3 PP 60)
  (infantry-types MP 16)
  (artillery-types MP 1)
  (ship-types MP 1)
)

(table supply-on-creation
  (irregular-types TP 2)
  (smooth-types TP 4)
  (rifled-types TP 6)
  (repeater-types TP 8)
  (boltaction-types TP 10)
  ((light1 medium1 heavy1) TP 5)
  ((light2 medium2 heavy2) TP 8)
  ((light3 medium3 heavy3) TP 12)
  (Iron1 TP 10)
  (Iron2 TP 25)
  (Iron3 TP 20)
  (Iron4 TP 40)
  (Iron5 TP 55)
  (AC1 TP 75)
  (AC2 TP 90)

  (infantry-types fuel 50)
  (infantry-types food 50)
  (infantry-types ammo 50)
  (infantry-types parts 50)
  (infantry-types gear 50)

  (ship-types fuel 50)
  (ship-types food 50)
  (ship-types ammo 50)
  (ship-types parts 50)
  (ship-types gear 50)

  (artillery-types fuel 50)
  (artillery-types food 50)
  (artillery-types ammo 50)
  (artillery-types parts 50)
  (artillery-types gear 50)
)

;;; Repair.

;; (add infantry-types hp-recovery 1)

(table auto-repair
;;  (place-types infantry-types 1.00)
  )

(table auto-repair-range
  ;; Replacements can easily get to nearby units.
;;  (u* infantry-types 1)
  )

;;; Production.

;; (table depot-production
;;  (place-types fuel 5)
;; Supply depots only.
;;  (depot fuel 0)
;;   ((city capital) planes 10)
;;  )

;; (table depot-consumption
;;  (infantry-types fuel 1)
;;  (ship-types fuel 5)
;;  (air-types fuel (15 40 15))
;;  )


(table base-consumption
;;  (infantry-types food 5)
;;  (infantry-types gear 5)
;;  (ship-types food 5)
;;  (ship-types gear 5)
;;  (air-types fuel 1)
  )



(table hp-per-starve
;;  (infantry-types food 1.00)
;;  (infantry-types gear 1.00)
;;  (ship-types food 1.00)
;;  (ship-types gear 1.00)
;;  (air-types fuel 1.00)
  )

(table consumption-as-occupant
;; (infantry-types food 5)
;;  (infantry-types gear 5)
;;  (ship-types food 5)
;;  (ship-types gear 5)
;;  (air-types fuel 1)
  )

;;; Combat.


(table acp-to-attack
  (u* u* 1)
  ;; Ships can always foil attacks by staying out to sea.
  (infantry-types ship-types 99)
  ;; Airplanes don't engage in hand-to-hand.
  (air-types u* 99)
  ;; Places can't attack anything by themselves.
  (place-types u* 99)
  ;; Heavy artillery fires indirectly, not directly.
  (heavy-types u* 99)
)

;; Heavy artillery can bombard from long range
(table fire-hit-chance
  (heavy1 u* 55)
  (heavy2 u* 60)
  (heavy3 u* 65)
  )

(table fire-damage
  (heavy1 u* 2d3)
  (heavy2 u* 3d3)
  (heavy3 u* 4d3)
  )


(table withdraw-chance-per-attack
  (infantry-types    infantry-types 0)
  )

(table acp-for-retreat
  ;; Ground units can always retreat.
  (infantry-types infantry-types 0)
  )

(table control-range
  (u* t* -1)
  (Army land-t* 0)
  (place-types land-t* 0)
  )

(table zoc-range
  (infantry-types infantry-types 1)
  (place-types infantry-types 1)
  )

;; Can only enter/leave ZOC, not move around in.

(table mp-to-traverse-zoc
  (infantry-types infantry-types -1)
  (infantry-types place-types -1)
  )

(table mp-to-enter-zoc
  (infantry-types infantry-types 0)
  (infantry-types place-types 0)
  )

(set combat-model 0)

(table hit-chance
  ;; By default, don't allow combat.
  (u* u* 0)
  ((ri-div1 ri-div2 ri-div3 ri-div4) infantry-types 75)
  ((ri-div1 ri-div2 ri-div3 ri-div4) (Army) 75)
  ((marine-div1 marine-div2 marine-div3 marine-div4) infantry-types 80)
  ((marine-div1 marine-div2 marine-div3 marine-div4) (Army) 80)
  ((militia-div1 militia-div2 militia-div3 militia-div4) infantry-types 70)
  ((militia-div1 militia-div2 militia-div3 militia-div4) (Army) 70)
  (irregular-types infantry-types 50)
  (irregular-types (Army) 50)
  ((cav-div1 cav-div2 cav-div3 cav-div4) infantry-types 75)
  ((cav-div1 cav-div2 cav-div3 cav-div4) (Army) 75)
  (infantry-types ship-types 0)
  (infantry-types (Fleet) 0)
  (infantry-types (cav-div0 cav-div1 cav-div2 cav-div3 cav-div4) 60)
  (infantry-types artillery-types 80)
  (artillery-types artillery-types 75)
  (light1 infantry-types 75)
  (light1 (Army) 75)
  (light2 infantry-types 80)
  (light2 (Army) 80)
  (light3 infantry-types 85)
  (light3 (Army) 85)
  (medium1 infantry-types 75)
  (medium1 (Army) 75)
  (medium2 infantry-types 80)
  (medium2 (Army) 80)
  (medium3 infantry-types 85)
  (medium3 (Army) 85)
  (medium-types ship-types 75)
  (medium-types (Fleet) 75)
  (ship-types u* 50)
  (transport u* 0)
  ((Wooden) (Wooden transport) 65)
  ((Wooden) (Iron1 Iron2) 15)
  ((Wooden) (Iron3 Iron4) 10)
  ((Wooden) (Iron5 AC1 AC2) 5)
  ((Iron1 Iron2 Iron3 Iron4 Iron5 AC1 AC2) (Wooden transport) 75)
  ((Iron1 Iron2) (Iron1 Iron2) 35)
  ((Iron1 Iron2) (Iron3 Iron4) 25)
  ((Iron1 Iron2) (Iron5 AC1 AC2) 15)
  ((Iron3) (Iron1 Iron2) 50)
  ((Iron3) (Iron3 Iron4) 40)
  ((Iron3) (Iron5 AC1 AC2) 25)
  ((Iron4) (Iron1 Iron2) 60)
  ((Iron4) (Iron3 Iron4) 50)
  ((Iron4) (Iron5)  40)
  ((Iron4) (AC1 AC2) 30)
  ((Iron5 AC1 AC2) (Iron1 Iron2 Iron3 Iron4) 75)
  ((Iron5) (Iron5) 50)
  ((Iron5) (AC1) 40)
  ((Iron5) (AC2) 35)
  ((AC1) (Iron5) 60)
  ((AC1) (AC1) 50)
  ((AC1) (AC2) 40)
  ((AC2) (Iron5) 75)
  ((AC2) (AC1) 60)
  ((AC2) (AC2) 50)
  (infantry-types place-types 80)
  (artillery-types place-types 80)
  )

;; Still need to seperate damage between shore bombardment and naval combat
(table damage
	(u* u* 0)			
	(irregular-types u* 1d2+1)
	(smooth-types u* 2d2)
	(rifled-types u* 3d2)
	(repeater-types u* 3d2+1)
	(boltaction-types u* 4d2)
	(light1 u* 2d2)
	(light2 u* 3d2)
	(light3 u* 4d2)
	(medium1 u* 2d2+1)
	(medium2 u* 3d2+1)
	(medium3 u* 4d2+1)
	(Wooden u* 3d2)
	(Iron1 u* 3d2)
	(Iron2 u* 2d3+1)
	(Iron3 u* 4d2+1)
	(Iron4 u* 2d8)
	(Iron5 u* 2d10)
	(AC1 u* 6d4+2)
	(AC2 u* 6d6+2)
	(u* place-types 0)		;	Places are not damaged. (But they can be captured!)
)


;;; Transports will get you to the edge of the cell, but the
;;; passengers have to cross any borders on their own.




(table ferry-on-entry
	(u* u* 0)
	(Army infantry-types 3)
	(Army artillery-types 3)
	(Fleet ship-types 3)
	(place-types infantry-types 3)
	(place-types artillery-types 3)
	(place-types ship-types 3)

)

(table ferry-on-departure
	(u* u* 0)
	(Army infantry-types 3)
	(Army artillery-types 3)
	(Fleet ship-types 3)
)


(table hp-min
  ;; Places can never be entirely destroyed.
  (u* place-types 1)
  ;; Naval bombardment can hurt, but not kill ground units.
  (ship-types infantry-types 3)
  (heavy-types infantry-types 2)
  )

(table capture-chance
  ;; (Ground units are not going to catch planes in the air
  ;; or ships at sea, so can only capture them if in cities.)
  ;; Cities offer basically zippo resistance to armies.
  (infantry-types place-types 90)
  (Army place-types 100)
  ;; Battle Fleets can capture cargo ships and such.
  ;; ((Fleet cv-Fleet asw-Fleet) convoy 90)
  )

(table protection
  ;; Ground units protect cities.
  (infantry-types place-types 0)
;;  ((balloon) place-types 80)
  (place-types infantry-types 100)
  (infantry-types Army 0)
  (ship-types Fleet 0)
  (artillery-types Army 0)
  (Army infantry-types 100)
  (Army artillery-types 100)
  (infantry-types infantry-types 75)
  (artillery-types infantry-types 75)
  (ship-types ship-types 50)
  (Fleet ship-types 100)
  )


(table occupant-combat
  ;; Air units cannot fight while being transported on convoys.
  (u* transport 0)
  (infantry-types Army 1)
  (artillery-types Army 1)
  (ship-types Fleet 1)
  )



(table material-to-attack
;;  (infantry-types ammo 5)
;;  (ship-types ammo 5)
;;  (artillery-types ammo 5)
)

(table material-to-fire
;;  (heavy-types ammo 10)
  )

(table unit-consumption-per-size
  (city food 10)
  (capital food 15)
  (town food 5)
  )

(table unit-consumption-to-grow
  (city food 9999)
  (capital food 9999)
  (town food 9999)
  )


;; (table hit-by
;; This reflect plane losses due to AA.
;;  (infantry-types planes 1)
;;  (ship-types planes (1 3 4 0 2))
;;  (place-types planes (1 2 5 10))
;;  )

(add city ai-war-garrison 0)
(add city ai-peace-garrison 0)
(add capital ai-war-garrison 2)
(add capital ai-peace-garrison 1)
(add town ai-war-garrison 0)
(add town ai-peace-garrison 0)
(add Army ai-war-garrison 6)
(add Army ai-peace-garrison 3)
(add Fleet ai-war-garrison 6)
(add Fleet ai-peace-garrison 3)



;;; Backdrop.

;; (table out-length
  ;; Net consumers of supply should never give any up automatically.
;;  (infantry-types m* -1)
  ;; Cities and towns can share things around.
;;  (place-types m* 100)
;;  )

;; (table in-length
  ;; Supply to ground units can go several hexes away.
;;  (infantry-types m* 100)
  ;; Cities and depots can get their supplies from some distance away.
;;  (place-types m* 100)
;;  (depot m* 5)
;;  )

;;; Temperature characteristics of terrain.

(add t* temperature-min -20)
(add (sea shallows) temperature-min 4)
(add desert temperature-min 0)

(add t* temperature-max 30)
(add desert temperature-max 40)
(add mountains temperature-max 20)
(add ice temperature-max 0)

(add t* temperature-average 20)
(add mountains temperature-average 10)
(add ice temperature-average -10)

(add land temperature-variability 5)

(table coating-depth-max
  ((mud snow) t* 1)
  ((mud snow) (sea shallows neutral) 0)
  ;; Mountains are rocky, don't really have a "mud season".
  (mud mountains 0)
  )

;; If a side loses, its combat units vanish, but not its cities.

(add place-types lost-vanish-chance 0)

;;; The world.

(world 360 (year-length 12))


(set calendar '(usual month))

(set season-names
  ;; 0 is January, 3 is April, 6 is July, 9 is October
  ((0 2 "winter") (3 5 "spring") (6 8 "summer") (9 11 "autumn")))

(set initial-date "Jan 1860")

;;; Random setup parameters (for testing).

(add t* alt-percentile-min   0)
(add t* alt-percentile-max   0)
(add (sea land) alt-percentile-min ( 0  70))
(add (sea land) alt-percentile-max (70 100))
(add t* wet-percentile-min   0)
(add t* wet-percentile-max 100)

;;; River generation.

(add (land forest mountains) river-chance (10.00 25.00 25.00))

(set river-sink-terrain shallows)

;;; Road generation.

(table road-into-chance
  (t* land 100)
  (land (desert forest mountains) (50 40 20))
  )

(set edge-terrain ice)


(table favored-terrain
  (u* t* 0)
  (infantry-types land 100)
  (air-types land 100)
  (ship-types sea 100)
  (place-types land 100)
  )

(add land country-people-chance 100)

(table unit-initial-supply
  (irregular-types TP 2)
  (smooth-types TP 4)
  (rifled-types TP 6)
  (repeater-types TP 8)
  (boltaction-types TP 10)
  ((light1 medium1 heavy1) TP 5)
  ((light2 medium2 heavy2) TP 8)
  ((light3 medium3 heavy3) TP 12)
  (Iron1 TP 10)
  (Iron2 TP 25)
  (Iron3 TP 20)
  (Iron4 TP 40)
  (Iron5 TP 55)
  (AC1 TP 75)
  (AC2 TP 90)
  (infantry-types fuel 50)
  (infantry-types food 50)
  (infantry-types ammo 50)
  (infantry-types parts 50)
  (infantry-types gear 50)

  (ship-types fuel 50)
  (ship-types food 50)
  (ship-types ammo 50)
  (ship-types parts 50)
  (ship-types gear 50)

  (artillery-types fuel 50)
  (artillery-types food 50)
  (artillery-types ammo 50)
  (artillery-types parts 50)
  (artillery-types gear 50)

;;  (u* ammo 9999)
;;  (u* parts 9999)
;;  (u* gear 9999)
;;  (air-types planes 9999)
  )


(scorekeeper (do last-side-wins))

(game-module (design-notes
  "It is ambitious"
  ))
