(game-module "cobra"
  (title "Operation Cobra")
  (version "1.0")
  (blurb "Breakout from the bocage!")
  (base-module "ww2-bn")
  (variants
   (world-seen)
   (see-all false)
   (sequential true)
   )
  (instructions (
   "Punch through the German lines and get to Avranches."
   "You have seven days. (21 turns)"
   ""
   "For the Americans, St Lo is the most desirable location for the"
   "breakthrough, since its roads connect to Avranches.  Cross-country"
   "is not a good option, it will take too long.  Unfortunately, the"
   "Germans know this, and can defend junctions quite effectively!"
   ""
   "Note that you can't cheat by just sending a couple units; they"
   "will run out of supply before reaching their goal."
   ))
  )

(scorekeeper (do last-side-wins))

(add u* point-value 1)

(set initial-date "8:00 25 Jul 1944")

(set initial-day-part 1.50)

;; The game lasts one week.

(set last-turn 21)

(add u* start-with 0)

(side 1 (name "Allies") (adjective "Allied") (class "allied")
   (color "blue") (emblem-name "white-star"))

(side 2 (name "Germany") (adjective "German") (class "german")
   (color "black") (emblem-name "german-cross"))

(set sides-min 2)
(set sides-max 2)

(area 70 70 (restrict 186 159 20 35))

(include "t-normandy") ; has to go here so towns get on German side

(set synthesis-methods nil)

;; Towns that have been liberated already.

(unit-defaults (s 1))

(unit "Tilly-sur-Seulles")
(unit "Caumont")
(unit "Balleroy")
(unit "Bernieres")
(unit "Arromanches")
(unit "Bayeux")
(unit "St Jean-de-Daye")
(unit "Carentan")
(unit "Port-en-Bessin")
(unit "Isigny")
(unit "Valognes")
(unit "Tourlaville")
(unit "St Lo")
(unit "St Vaast-de-la-Hougue")
(unit "St Sauveur")
(unit "St Pierre-Eglise")
(unit "St Mere-Eglise")
(unit "St Jores")
(unit "Quineville")
(unit "Quettehou")
(unit "Les Pieux")
(unit "La Haye-du-Puits")
(unit "Grandcamp")
(unit "Carteret")
(unit "Bricquebec")
(unit "Beaumont")
(unit "Barneville")
(unit "Barfleur")
(unit "St Come-du-Mont")
(unit "Montebourg")

;; Now let the succeeding units keep whatever side they already have.

(unit-defaults (s -1))

(unit "Avranches" (point-value 1000))

; location conflict, need to fix
; (inf-mot 53 60 1 (n "2/134"))

;(hq-inf-corps 28 108 2 (n "XLVII"))
;(arty-towed 34 81 1 (n "28"))


(inf-mot 79 69 1 (n "1/10"))
(inf-mot 81 66 1 (n "1/11"))
(inf-mot 68 86 1 (n "1/12,4"))
(inf-mot 63 80 1 (n "1/120,30"))
(inf-mot 44 97 1 (n "1/121"))
(inf-mot 42 98 1 (n "1/13"))
(inf-mot 65 76 1 (n "1/134"))
(inf-mot 69 74 1 (n "1/137"))
(inf-mot 60 89 1 (n "1/16,1"))
(inf-mot 61 89 1 (n "1/18,1"))
(inf-mot 77 71 1 (n "1/2,5"))
(inf-mot 66 89 1 (n "1/22,4"))
(inf-mot 74 74 1 (n "1/23,2"))
(inf-mot 62 87 1 (n "1/26,1"))
(inf-mot 43 97 1 (n "1/28,8"))
(inf-mot 39 100 1 (n "1/313,79"))
(inf-mot 40 99 1 (n "1/314,79"))
(inf-mot 39 102 1 (n "1/315,79"))
(inf-mot 65 78 1 (n "1/320"))
(inf-mot 54 92 1 (n "1/329,83"))
(inf-mot 57 87 1 (n "1/330,83"))
(inf-mot 56 88 1 (n "1/331,83"))
(inf-mot 45 96 1 (n "1/357,90"))
(inf-mot 47 95 1 (n "1/358,90"))
(inf-mot 48 95 1 (n "1/359,90"))
(inf-mot 76 72 1 (n "1/38,2"))
(inf-mot 59 85 1 (n "1/39,9"))
(inf-mot 59 84 1 (n "1/47,9"))
(inf-mot 60 86 1 (n "1/60,9"))
(inf-mot 69 85 1 (n "1/8,4"))
(inf-mot 73 74 1 (n "1/9,2"))
(inf-mot 84 69 1 (n "10 HLI"))
(inf-mot 82 65 1 (n "10 HLI,15"))
(inf-mot 87 63 1 (n "2 ASH,15"))
(inf-mot 85 64 1 (n "2 GH,15"))
(inf-mot 80 68 1 (n "2/10,5"))
(inf-mot 81 65 1 (n "2/11,5"))
(inf-mot 61 81 1 (n "2/117,30"))
(inf-mot 69 84 1 (n "2/12,4"))
(inf-mot 64 79 1 (n "2/120,30"))
(inf-mot 44 97 1 (n "2/121"))
(inf-mot 41 99 1 (n "2/13"))
(inf-mot 65 76 1 (n "2/130"))
(inf-mot 70 74 1 (n "2/137"))
(inf-mot 60 89 1 (n "2/16,1"))
(inf-mot 61 90 1 (n "2/18,1"))
(inf-mot 79 71 1 (n "2/2,5"))
(inf-mot 66 87 1 (n "2/22,4"))
(inf-mot 75 74 1 (n "2/23,2"))
(inf-mot 63 87 1 (n "2/26,1"))
(inf-mot 43 97 1 (n "2/28,8"))
(inf-mot 39 100 1 (n "2/313,79"))
(inf-mot 40 99 1 (n "2/314,79"))
(inf-mot 40 101 1 (n "2/315,79"))
(inf-mot 55 91 1 (n "2/329,83"))
(inf-mot 56 89 1 (n "2/330,83"))
(inf-mot 58 86 1 (n "2/331,83"))
(inf-mot 46 95 1 (n "2/357,90"))
(inf-mot 48 96 1 (n "2/358,90"))
(inf-mot 49 95 1 (n "2/359,90"))
(inf-mot 77 72 1 (n "2/38,2"))
(inf-mot 59 85 1 (n "2/39,9"))
(inf-mot 60 84 1 (n "2/47,9"))
(inf-mot 58 87 1 (n "2/60,9"))
(inf-mot 69 84 1 (n "2/8,4"))
(inf-mot 72 74 1 (n "2/9,2"))
(inf-mot 80 69 1 (n "3/10,5"))
(inf-mot 80 67 1 (n "3/11,5"))
(inf-mot 59 83 1 (n "3/117,30"))
(inf-mot 62 81 1 (n "3/119,30"))
(inf-mot 63 81 1 (n "3/119,30"))
(inf-mot 69 83 1 (n "3/12,4"))
(inf-mot 64 80 1 (n "3/120,30"))
(inf-mot 44 99 1 (n "3/121"))
(inf-mot 41 100 1 (n "3/13"))
(inf-mot 67 75 1 (n "3/134"))
(inf-mot 71 74 1 (n "3/137"))
(inf-mot 61 89 1 (n "3/16,1"))
(inf-mot 61 90 1 (n "3/18,1"))
(inf-mot 79 70 1 (n "3/2,5"))
(inf-mot 67 86 1 (n "3/22,4"))
(inf-mot 75 73 1 (n "3/23,2"))
(inf-mot 63 86 1 (n "3/26,1"))
(inf-mot 43 99 1 (n "3/28,8"))
(inf-mot 39 101 1 (n "3/313,79"))
(inf-mot 40 100 1 (n "3/314,79"))
(inf-mot 38 102 1 (n "3/315,79"))
(inf-mot 65 77 1 (n "3/320"))
(inf-mot 56 90 1 (n "3/329,83"))
(inf-mot 57 89 1 (n "3/330,83"))
(inf-mot 56 87 1 (n "3/331,83"))
(inf-mot 46 96 1 (n "3/357,90"))
(inf-mot 47 96 1 (n "3/358,90"))
(inf-mot 50 95 1 (n "3/359,90"))
(inf-mot 78 71 1 (n "3/38,2"))
(inf-mot 60 85 1 (n "3/39,9"))
(inf-mot 60 82 1 (n "3/47,9"))
(inf-mot 60 87 1 (n "3/60,9"))
(inf-mot 68 83 1 (n "3/8,4"))
(inf-mot 74 74 1 (n "3/9,2"))
(inf-mot 84 64 1 (n "6 RSF,15"))
(inf-mot 85 63 1 (n "7 KOSB,15"))
(inf-mot 86 62 1 (n "7 SH,15"))
(inf-mot 83 64 1 (n "8 RSF,15"))
(inf-mot 86 63 1 (n "9 C,15"))
(inf-mot 61 81 1)
(inf-mot 62 80 1)
(inf-recon 69 87 1 (n "82,2"))
(inf-recon 64 87 1 (n "83"))
(inf-armored 63 91 1 (n "1/36"))
(inf-armored 69 86 1 (n "1/41,2"))
(inf-armored 52 93 1 (n "10"))
(inf-armored 63 91 1 (n "2/36"))
(inf-armored 69 87 1 (n "2/41,2"))
(inf-armored 64 90 1 (n "3/36"))
(inf-armored 69 86 1 (n "3/41,2"))
(inf-armored 53 92 1 (n "51"))
(inf-armored 50 94 1 (n "53"))
(cav-mech 72 75 1 (n ",2"))
(cav-mech 78 70 1 (n ",5"))
(cav-mech 39 104 1 (n ",79"))
(cav-mech 56 91 1 (n ",83"))
(cav-mech 60 85 1 (n ",9"))
(cav-mech 45 97 1 (n ",90"))
(arty-group 61 87 1 (n ",1"))
(arty-group 74 75 1 (n ",2"))
(arty-group 62 82 1 (n ",30"))
(arty-group 67 85 1 (n ",4"))
(arty-group 80 70 1 (n ",5"))
(arty-group 38 104 1 (n ",79"))
(arty-group 58 89 1 (n ",83"))
(arty-group 59 86 1 (n ",9"))
(arty-group 45 98 1 (n ",90"))
(arty-hq 67 76 1 (n ",35"))
(arty-hq 43 100 1 (n ",8"))
(arty-towed 61 84 1 (n "113,30"))
(arty-towed 76 73 1 (n "12,2"))
(arty-towed 84 64 1 (n "131,15"))
(arty-towed 85 64 1 (n "181,15"))
(arty-towed 81 69 1 (n "19,5"))
(arty-towed 86 64 1 (n "190,15"))
(arty-towed 67 87 1 (n "20,4"))
(arty-towed 60 86 1 (n "26,9"))
(arty-towed 38 101 1 (n "310,79"))
(arty-towed 56 90 1 (n "322,83"))
(arty-towed 46 98 1 (n "345,90"))
(arty-towed 61 87 1 (n "5,1"))
(arty-towed 68 75 1)
(arty-armored 67 89 1 (n "14,2"))
(arty-armored 51 95 1 (n "22"))
(arty-armored 53 93 1 (n "60"))
(arty-armored 67 89 1 (n "78,2"))
(arty-armored 67 89 1 (n "92,2"))
(arty-armored 53 95 1 (n "94"))
(arty-sp-at 64 89 1 (n "391"))
(arty-sp-at 63 89 1 (n "54"))
(arty-sp-at 64 88 1 (n "67"))
(tank 61 92 1 (n "1/32"))
(tank 63 90 1 (n "1/33"))
(tank 70 84 1 (n "1/66,2"))
(tank 70 85 1 (n "1/67,2"))
(tank 61 92 1 (n "2/32"))
(tank 62 90 1 (n "2/33"))
(tank 70 84 1 (n "2/66,2"))
(tank 70 85 1 (n "2/67,2"))
(tank 61 92 1 (n "3/32"))
(tank 63 90 1 (n "3/33"))
(tank 70 84 1 (n "3/66,2"))
(tank 70 85 1 (n "3/67,2"))
(tank 52 94 1 (n "35"))
(tank 53 94 1 (n "37"))
(tank 51 94 1 (n "8"))
(hq-inf-div 61 88 1 (n "1"))
(hq-mot-div 74 75 1 (n "2"))
(hq-mot-div 64 82 1 (n "30"))
(hq-mot-div 66 79 1 (n "35"))
(hq-mot-div 67 86 1 (n "4"))
(hq-mot-div 80 71 1 (n "5"))
(hq-mot-div 38 101 1 (n "79"))
(hq-mot-div 41 101 1 (n "8"))
(hq-mot-div 58 90 1 (n "83"))
(hq-mot-div 61 85 1 (n "9"))
(hq-mot-div 46 100 1 (n "90"))
(hq-armor-div 70 86 1 (n "2"))
(hq-armor-div 61 91 1 (n "3"))
(hq-armor-div 51 96 1 (n "4"))
(hq-inf-corps 82 70 1 (n "30"))
(hq-inf-corps 72 80 1 (n "V"))
(hq-inf-corps 61 86 1 (n "VII"))
(hq-inf-corps 50 96 1 (n "VIII"))
(hq-inf-corps 66 80 1 (n "XIX"))

(inf 41 98 2 (n "I/1057,91"))
(inf 79 67 2 (n "I/751,326"))
(inf 81 64 2 (n "I/752,326"))
(inf 84 63 2 (n "I/753,326"))
(inf 64 78 2 (n "I/914,352"))
(inf 64 76 2 (n "I/915,352"))
(inf 66 74 2 (n "I/916,352"))
(inf 38 99 2 (n "I/920,243"))
(inf 38 99 2 (n "I/921,243"))
(inf 40 98 2 (n "I/922,243"))
(inf 50 86 2 (n "I/941,353"))
(inf 51 85 2 (n "I/942,353"))
(inf 58 78 2 (n "I/983,275"))
(inf 60 75 2 (n "I/984,275"))
(inf 59 75 2 (n "I/985,275"))
(inf 40 97 2 (n "II/1057,91"))
(inf 42 97 2 (n "II/1058,91"))
(inf 83 63 2 (n "II/751,326"))
(inf 80 66 2 (n "II/751,326"))
(inf 85 62 2 (n "II/753,326"))
(inf 64 77 2 (n "II/914,352"))
(inf 65 75 2 (n "II/915,352"))
(inf 67 74 2 (n "II/916,352"))
(inf 39 98 2 (n "II/920,243"))
(inf 50 86 2 (n "II/941,353"))
(inf 51 85 2 (n "II/942,353"))
(inf 59 76 2 (n "II/983,275"))
(inf 61 74 2 (n "II/984,275"))
(inf 60 74 2 (n "II/985,275"))
(inf 41 97 2)
(inf-bicycle 64 75 2 (n "352"))
(inf-bicycle 50 85 2 (n "I/943,353"))
(inf-bicycle 50 85 2 (n "II/943,353"))
(inf-bicycle 53 91 2 (n "III/37,17ss"))
(inf-bicycle 54 91 2 (n "III/38,17ss"))
(inf-fusil 58 76 2 (n ",275"))
(inf-fusil 50 84 2 (n ",353"))
(inf-fusil 86 61 2 (n "326"))
(inf-pion 58 76 2 (n ",275"))
(inf-pion 51 84 2 (n ",353"))
(inf-pion 79 68 2 (n "3 FS"))
(inf-pion 82 64 2 (n "326"))
(inf-pion 68 74 2 (n "352"))
(inf-mot 85 38 2 (n "II/156,116"))
(inf-mot 48 94 2 (n "II/3,2ss"))
(inf-mot 46 94 2 (n "III/3,2ss"))
(inf-fsj 55 88 2 (n "I/13,5 FS"))
(inf-fsj 57 86 2 (n "I/14,5 FS"))
(inf-fsj 58 85 2 (n "I/15,5 FS"))
(inf-fsj 69 73 2 (n "I/5,3 FS"))
(inf-fsj 45 95 2 (n "I/6 FS,91"))
(inf-fsj 72 73 2 (n "I/8,3 FS"))
(inf-fsj 75 72 2 (n "I/9,3 FS"))
(inf-fsj 56 86 2 (n "II/13,5 FS"))
(inf-fsj 57 85 2 (n "II/14,5 FS"))
(inf-fsj 58 83 2 (n "II/15,5 FS"))
(inf-fsj 70 73 2 (n "II/5,3 FS"))
(inf-fsj 44 96 2 (n "II/6 FS,91"))
(inf-fsj 73 73 2 (n "II/8,3 FS"))
(inf-fsj 76 71 2 (n "II/9,3 FS"))
(inf-fsj 56 85 2 (n "III/13,5 FS"))
(inf-fsj 58 84 2 (n "III/14,5 FS"))
(inf-fsj 59 82 2 (n "III/15,5 FS"))
(inf-fsj 71 73 2 (n "III/5,3 FS"))
(inf-fsj 74 73 2 (n "III/8,3 FS"))
(inf-fsj 77 70 2 (n "III/9,3 FS"))
(inf-mot-pion 55 89 2 (n ",17ss"))
(inf-mot-pion 58 84 2 (n ",5 FS"))
(inf-armored 49 94 2 (n "I/3,2ss"))
(inf-armored 47 94 2 (n "I/4,2ss"))
(inf-armored 84 39 2 (n "I/60,116"))
(inf-armored 84 39 2 (n "II/60,116"))
(inf-armored 63 79 2 (n "II/901,130"))
(inf-armored 61 80 2 (n "II/902,130"))
(inf-armored 85 38 2 (n "III/60,116"))
(inf-pz-pion 60 81 2 (n ",130"))
(inf-pz-pion 81 41 2 (n "675,116"))
(inf-armored-recon 81 41 2 (n ",116"))
(inf-armored-recon 55 87 2 (n ",17ss"))
(arty-horse 55 87 2 (n "I,17ss"))
(arty-horse 56 78 2 (n "I,275"))
(arty-horse 51 86 2 (n "I,353"))
(arty-horse 68 73 2 (n "I/352"))
(arty-horse 55 90 2 (n "II,17ss"))
(arty-horse 56 78 2 (n "II,275"))
(arty-horse 51 86 2 (n "II,353"))
(arty-horse 66 74 2 (n "II/352"))
(arty-horse 56 78 2 (n "III,275"))
(arty-horse 51 86 2 (n "III,353"))
(arty-horse 87 38 2 (n "III/146,116"))
(arty-horse 51 86 2 (n "IV,353"))
(arty-towed 70 71 2 (n ",3 FS"))
(arty-towed 56 84 2 (n ",5 FS"))
(arty-towed 62 79 2 (n "I,130"))
(arty-towed 37 99 2 (n "I,243"))
(arty-towed 79 66 2 (n "I,326"))
(arty-towed 43 96 2 (n "I/191,91"))
(arty-towed 38 98 2 (n "II,243"))
(arty-towed 82 63 2 (n "II,326"))
(arty-towed 87 38 2 (n "II/146,116"))
(arty-towed 39 97 2 (n "III,243"))
(arty-towed 85 61 2 (n "III,326"))
(arty-towed 56 78 2 (n "IV,275"))
(arty-flak 55 89 2 (n ",17ss"))
(arty-flak 75 71 2 (n ",3 FS"))
(arty-flak 58 82 2 (n ",5 FS"))
(arty-flak 86 38 2 (n "281,116"))
(arty-flak 63 79 2 (n "311,130"))
(arty-flak-bty 55 79 2 (n "1,275"))
(arty-flak-bty 55 79 2 (n "2,275"))
(arty-flak-bty 55 79 2 (n "3.275"))
(arty-at 86 38 2 (n ",116"))
(arty-at 78 69 2 (n ",3 FS"))
(arty-at 80 65 2 (n ",326"))
(arty-at 56 85 2 (n ",5 FS"))
(arty-armored 87 38 2 (n "I/146,116"))
(arty-sp-at 52 92 2 (n "PzJg,17ss"))
(arty-sp-at 49 85 2 (n "PzJg,353"))
(tank 82 40 2 (n "I/16,116"))
(tank 51 93 2 (n "I/2,2ss"))
(tank 82 40 2 (n "II/16,116"))
(tank 50 93 2 (n "II/2,2ss"))
(assault-gun 39 96 2 (n "1243,243"))
(assault-gun 86 38 2 (n "288,116"))
(assault-gun 55 90 2 (n "StuG,17ss"))
(tank-co 63 78 2 (n "I/1,130"))
(assault-gun-co 64 76 2 (n ",130"))
(assault-gun-co 60 81 2 (n ",130"))
(assault-gun-co 49 85 2 (n "1353,353"))
(assault-gun-co 64 78 2 (n "8/2,130"))
(hq-inf-div 61 78 2 (n "130"))
(hq-inf-div 38 97 2 (n "243"))
(hq-inf-div 56 79 2 (n "275"))
(hq-inf-div 75 70 2 (n "3 FS"))
(hq-inf-div 85 60 2 (n "326"))
(hq-inf-div 65 74 2 (n "352"))
(hq-inf-div 49 86 2 (n "353"))
(hq-inf-div 55 85 2 (n "5 FS"))
(hq-inf-div 43 95 2 (n "91"))
(hq-gren-div 54 90 2 (n "17ss"))
(hq-armor-div 89 37 2 (n "116"))
(hq-inf-corps 71 65 2 (n "II FS"))
(hq-inf-corps 44 86 2 (n "LXXXIV"))
