(game-module "midway"
  (title "Midway")
  (version "1.0")
  (blurb "Battle of Midway in June 1942.")
  (base-module "ww2-div-pac")
  (variants
   (world-seen true)
   (see-all false)
   (sequential false)
  )
)

(set synthesis-methods nil)

(set initial-date "30 May 1942")

(scorekeeper (do last-side-wins))

(set sides-min 3)
(set sides-max 3)

(side 3 (active false))

;;; Terrain.

(area 172 100 (restrict 300 184 66 84))

(include "t-pacific")

;; Adjust the lat/lon set by the terrain file.

(area (latitude 74) (longitude 390))

(unit-defaults (@ 66 84))

(a-inf-reg 87 98 1 (nb 7))
(a-inf-reg 81 97 1)
(a-marine-bn 110 39 1 (nb 6))
(a-marine-bn 110 39 1 (n "6a"))
(dd 89 97 1)
(dd 89 97 1)
(dd 89 97 1)
(dd 89 97 1)
(dd 88 97 1)
(dd 88 97 1)
(dd 153 27 1)
(dd 153 28 1)
(dd 152 29 1)
(dd 152 30 1)
(dd 154 26 1)
(dd 156 27 1)
(dd 155 27 1)
(dd 155 26 1)
(dd 156 25 1)
(dd 157 24 1)
(dd 157 27 1)
(ss 85 95 1)
(ss 87 95 1)
(ss 89 95 1)
(ss 91 95 1)
(ss 92 96 1)
(ss 83 95 1)
(ss 150 33 1)
(ss 150 31 1)
(ss 150 29 1)
(ss 151 27 1)
(ss 153 25 1)
(ss 154 23 1)
(ss 156 21 1)
(ss 155 22 1)
(ss 153 24 1)
(ss 152 26 1)
(ss 150 28 1)
(ss 150 30 1)
(ss 150 32 1)
(cl 90 97 1 (n "Honolulu"))
(cl 90 97 1 (n "Nashville"))
(cl 90 97 1 (n "St Louis"))
(ca 153 29 1 (n "Astoria") (plan passive 1 (formation 1 1 keep-formation 300 -2 2 1 0)))
(ca 157 26 1 (n "Atlanta"))
(ca 90 98 1 (n "Indianopolis"))
(ca 90 98 1 (n "Louisville"))
(ca 157 26 1 (n "Minneapolis"))
(ca 156 25 1 (n "New Orleans"))
(ca 157 26 1 (n "Northhampton"))
(ca 156 25 1 (n "Pensacola"))
(ca 154 27 1 (n "Portland"))
(ca 156 25 1 (n "Vincennes"))
(cv 156 26 1 (n "Enterprise") (# 300))
(cv 157 25 1 (n "Hornet"))
(cv 154 28 1 (n "Yorktown"))
(airfield 110 39 1 (n "Midway"))
(airfield 80 96 1 (n "Umiak"))
(airfield 88 98 1)
(airfield 84 97 1)
(port 82 97 1 (n "Dutch Harbor"))
(port 89 98 1 (n "Kodiak"))
(town 159 24 1 (n "Honolulu"))

(j-inf-bn 20 68 2)
(j-inf-bn 20 71 2)
(j-inf-reg 46 10 2 (nb 144))
(j-marine-bn 46 10 2)
(apd 20 70 2)
(apd 21 68 2)
(aa 46 11 2)
(dd 18 69 2)
(dd 18 69 2)
(dd 19 68 2)
(dd 19 68 2)
(dd 19 69 2)
(dd 19 69 2)
(dd 20 69 2)
(dd 20 69 2)
(dd 20 70 2)
(dd 20 70 2)
(dd 15 46 2)
(dd 15 46 2)
(dd 16 46 2)
(dd 16 46 2)
(dd 16 47 2)
(dd 16 47 2)
(dd 16 48 2)
(dd 16 48 2)
(dd 18 43 2)
(dd 18 43 2)
(dd 18 48 2)
(dd 18 45 2)
(dd 19 44 2)
(dd 19 44 2)
(dd 18 45 2)
(dd 18 48 2)
(dd 19 51 2)
(dd 20 50 2)
(dd 20 49 2)
(dd 20 48 2)
(dd 19 47 2)
(dd 19 47 2)
(dd 19 46 2)
(dd 19 46 2)
(dd 46 5 2)
(dd 47 5 2)
(dd 48 5 2)
(cl 20 69 2 (n "Kiso"))
(cl 20 69 2 (n "Tama"))
(ca 18 50 2 (n "Atago"))
(ca 14 47 2 (n "Chikuma"))
(ca 18 50 2 (n "Chokai"))
(ca 19 49 2 (n "Haguro"))
(ca 19 69 2 (n "Maya"))
(ca 19 49 2 (n "Myoko"))
(ca 18 69 2 (n "Nachi"))
(ca 19 69 2 (n "Takao"))
(ca 14 47 2 (n "Tone"))
(ca 46 7 2)
(ca 46 7 2)
(cvl 19 68 2 (n "Junyo"))
(cvl 19 68 2 (n "Ryujo"))
(cvs 47 6 2 (n "Chitose"))
(cvs 19 43 2 (n "Chiyoda"))
(cvs 19 43 2 (n "Nisshin"))
(cv 15 48 2 (n "Akagi"))
(cv 15 47 2 (n "Hiryu"))
(cv 15 48 2 (n "Kaga"))
(cv 15 47 2 (n "Soryu"))
(bb 18 47 2 (n "Fuso"))
(bb 14 48 2 (n "Haruna"))
(bb 19 50 2 (n "Hiei"))
(bb 18 46 2 (n "Hyuga"))
(bb 18 46 2 (n "Ise"))
(bb 14 48 2 (n "Kirishima"))
(bb 19 50 2 (n "Kongo"))
(bb 17 44 2 (n "Mutsu"))
(bb 18 44 2 (n "Nagato"))
(bb 18 47 2 (n "Yamashiro"))
(bb 18 44 2 (n "Yamato"))
(airfield 89 19 2 (n "Wake"))
(airfield 46 6 2)
(airfield 46 10 2)
(port 46 6 2 (n "Guam"))
(port 46 10 2)
(town 7 51 2 (n "Kure"))

(game-module (design-notes (
  "The map extends from 10 to 55 deg N, 130 E to 140 W."
  )))
