(game-module "normandy"
  (title "D-Day")
  (blurb "The entire invasion of Normandy on 6 June 1944. A gigantic battalion level game.")
  (version "1.0")
  (base-module "ww2-bn")
  (variants
   (world-seen true)
   (see-all true)  ; false is expensive here, though more realistic
   (sequential false)
   )
  )

(game-module (notes (
  "This is an extremely detailed game about the D-Day invasion of Normandy "
  "and the months of slugfest that followed."
  )))

(game-module (design-notes (
  "The following sources were among those consulted for information:"
  "Atomic Games.  V for Victory - Gold-Juno-Sword. (computer game)  A close-in look at the British side"
  "of the beachhead."
  "Atomic Games.  V for Victory - Utah Beach. (computer game)"
  "Avalon Hill. The Longest Day. (game)  A tour-de-force of design - everyone interested"
  "in recreating the Normandy campaign should own a copy - but with some faults"
  "and misjudgements in its factual material."
  "Man, John.  The D-Day Atlas.  Useful perspective views, inconsistent maps."
  "Weigley, Russell.  Eisenhower's Lieutenants."
  )))

;; The action starts at midnight on D-Day, with the jumping of the
;; paratroops.

(scorekeeper (do last-side-wins))

(set initial-date "0:00 6 Jun 1944")

(set initial-day-part 1)

(side 1 (name "Allies") (adjective "Allied") (class "allied")
   (color "blue") (emblem-name "white-star"))
(side 2 (name "Germany") (adjective "German") (class "german")
   (color "black") (emblem-name "german-cross"))

(include "t-normandy")

(add u* start-with 0)

(unit-defaults (s 1))

(hq-para-div (sym u08200000) (@ -52 -106) (cp -1) (appear 1))
(inf-para (sym u08205051) (@ -52 -106) (cp -1) (appear 1))
(inf-para (sym u08205052) (@ -51 -106) (cp -1) (appear 1))
(inf-para (sym u08205053) (@ -52 -107) (cp -1) (appear 1))
(inf-para (sym u08205071) (@ -50 -108) (cp -1) (appear 1))
(inf-para (sym u08205072) (@ -49 -109) (cp -1) (appear 1))
(inf-para (sym u08205073) (@ -48 -109) (cp -1) (appear 1))
(inf-para (sym u08205081) (@ -47 -106) (cp -1) (appear 1))
(inf-para (sym u08205082) (@ -47 -107) (cp -1) (appear 1))
(inf-para (sym u08205083) (@ -48 -106) (cp -1) (appear 1))
(arty-towed (sym u08204560) (@ -52 -106) (cp -1) (appear 1))

(hq-para-div (sym u10100000) (@ -58 -102) (cp -1) (appear 1))
(inf-para (sym u10105011) (@ -59 -99) (cp -1) (appear 1))
(inf-para (sym u10105012) (@ -59 -100) (cp -1) (appear 1))
(inf-para (sym u10105013) (@ -58 -102) (cp -1) (appear 1))
(inf-para (sym u10105021) (@ -57 -106) (cp -1) (appear 1))
(inf-para (sym u10105022) (@ -58 -106) (cp -1) (appear 1))
(inf-para (sym u10105023) (@ -57 -104) (cp -1) (appear 1))
(inf-para (sym u10105061) (@ -57 -103) (cp -1) (appear 1))
(inf-para (sym u10105062) (@ -58 -101) (cp -1) (appear 1))
(inf-para (sym u10105063) (@ -58 -100) (cp -1) (appear 1))
(arty-towed (sym u10103770) (@ -57 -105) (cp -1) (appear 1))

(inf-para 122 58 1 (n "12"))
(inf-para 120 58 1 (n "13"))
(inf-para 125 55 1 (n "1CAN"))
(inf-para 120 60 1 (n "7"))
(inf-para 118 53 1 (n "8"))
(inf-glider 89 154 1 (n "1/327"))
(inf-glider 89 154 1 (n "2/327"))
(inf-glider 88 156 1 (n "3/327"))
(inf-glider 121 58 1 (n "1RUR"))
(inf-glider 118 60 1 (n "2OB"))
(inf-ranger 93 150 1 (n "2"))
(inf-ranger 93 150 1 (n "5"))
(inf-mot 109 141 1 (n "1 HR"))
(inf-mot 90 153 1 (n "1/22"))
(inf-mot 93 152 1 (n "1/357"))
(inf-mot 86 157 1 (n "1/358"))
(inf-mot 93 154 1 (n "1/359"))
(inf-mot 87 157 1 (n "1/8"))
(inf-mot 106 149 1 (n "2 DR"))
(inf-mot 117 138 1 (n "2 EYR"))
(inf-mot 90 154 1 (n "2/12"))
(inf-mot 93 151 1 (n "2/357"))
(inf-mot 87 156 1 (n "2/358"))
(inf-mot 93 154 1 (n "2/359"))
(inf-mot 92 151 1 (n "2/8"))
(inf-mot 88 155 1 (n "3/22"))
(inf-mot 93 152 1 (n "3/357"))
(inf-mot 86 157 1 (n "3/358"))
(inf-mot 93 155 1 (n "3/359"))
(inf-mot 92 152 1 (n "3/8"))
(inf-mot 111 141 1 (n "5 EYR"))
(inf-mot 112 141 1 (n "RWR"))
(inf-mot 88 156 1)
(inf-mot 91 153 1)
(inf-mot 91 152 1)
(inf-mot 99 151 1)
(inf-mot 99 151 1)
(inf-mot 101 150 1)
(inf-mot 105 150 1)
(inf-mot 105 150 1)
(inf-mot 106 150 1)
(inf-mot 106 150 1)
(inf-mot 101 149 1)
(inf-mot 105 149 1)
(inf-mot 105 149 1)
(inf-mot 106 149 1)
(inf-mot 109 149 1)
(inf-mot 109 149 1)
(inf-mot 110 149 1)
(inf-mot 110 149 1)
(inf-mot 96 148 1)
(inf-mot 97 148 1)
(inf-mot 98 148 1)
(inf-mot 97 147 1)
(inf-mot 97 147 1)
(inf-mot 98 147 1)
(inf-mot 99 147 1)
(inf-mot 109 147 1)
(inf-mot 109 147 1)
(inf-mot 110 147 1)
(inf-mot 110 147 1)
(inf-mot 115 147 1)
(inf-mot 115 147 1)
(inf-mot 116 146 1)
(inf-mot 116 146 1)
(inf-mot 101 145 1)
(inf-mot 102 145 1)
(inf-mot 102 145 1)
(inf-mot 103 145 1)
(inf-mot 103 145 1)
(inf-mot 116 145 1)
(inf-mot 103 144 1)
(inf-mot 104 144 1)
(inf-mot 105 143 1)
(inf-mot 108 142 1)
(inf-mot 109 142 1)
(inf-mot 109 142 1)
(inf-mot 109 141 1)
(inf-mot 110 141 1)
(inf-mot 110 141 1)
(inf-mot 111 140 1)
(inf-mot 111 140 1)
(inf-mot 112 140 1)
(inf-mot 112 140 1)
(inf-mot 113 139 1)
(inf-mot 114 139 1)
(inf-mot 116 139 1)
(inf-mot 115 138 1)
(inf-mot 115 138 1)
(inf-mot 116 138 1)
(inf-mot 117 137 1)
(inf-mot 117 137 1)
(inf-mg-co 116 59 1 (n "para co"))
(inf-recon 119 61 1 (n "6"))
(arty-glider 118 59 1)
(arty-at 118 61 1 (n "210"))
(arty-at 118 58 1 (n "212"))
(arty-at 121 57 1 (n "3"))
(arty-at 120 57 1 (n "flak bty"))
(tank 89 155 1 (n "70"))
(tank 92 153 1 (n "746"))
(hq-mot-div 88 155 1 (n "4"))
(hq-para-div 119 60 1 (n "6"))
(hq-inf-corps 100 154 1 (n "12 GB"))
(hq-inf-corps 107 155 1 (n "2 Can"))
(hq-inf-corps 102 154 1 (n "8 GB"))
(hq-inf-corps 95 154 1 (n "V"))
(hq-inf-corps 97 154 1 (n "VII"))
(hq-inf-corps 107 154 1 (n "VIII"))
(hq-inf-corps 96 156 1 (n "XII"))
(hq-inf-corps 104 154 1 (n "XV"))
(hq-inf-corps 106 155 1 (n "XX"))
(landing-ship 86 156 1)
(landing-ship 87 155 1)
(landing-ship 88 154 1)
(landing-ship 89 153 1)
(landing-ship 90 152 1)
(landing-ship 97 146 1)
(landing-ship 98 146 1)
(landing-ship 102 144 1)
(landing-ship 103 143 1)
(landing-ship 104 143 1)
(landing-ship 105 142 1)
(landing-ship 109 140 1)
(landing-ship 110 140 1)
(landing-ship 111 139 1)
(landing-ship 112 139 1)
(landing-ship 115 137 1)
(landing-ship 116 137 1)
(landing-ship 117 136 1)
(destroyer 91 85 1 (n "Baldwin"))
(destroyer 82 92 1 (n "Carmick"))
(destroyer 64 107 1 (n "Corry"))
(destroyer 87 86 1 (n "Doyle"))
(destroyer 85 88 1 (n "Emmons"))
(destroyer 63 110 1 (n "Fitch"))
(destroyer 83 90 1 (n "Frankford"))
(destroyer 73 98 1 (n "Herndon"))
(destroyer 65 104 1 (n "Hobson"))
(destroyer 80 94 1 (n "McCook"))
(destroyer 68 101 1 (n "Shubrick"))
(cruiser 74 100 1 (n "HMS Enterprise"))
(cruiser 83 93 1 (n "HMS Glasgow"))
(cruiser 69 106 1 (n "Quincy"))
(cruiser 68 108 1 (n "Tuscaloosa"))
(battleship 88 89 1 (n "Arkansas"))
(battleship 70 104 1 (n "Nevada"))
(battleship 83 94 1 (n "Texas"))

(inf 39 106 2 (n "I/1057,91"))
(inf -1 -1 2 (n "I/1058"))
(inf 84 81 2 (n "I/726"))
(inf 115 60 2 (n "I/736"))
(inf 132 55 2 (n "I/744"))
(inf 146 49 2 (n "I/752,346"))
(inf 147 48 2 (n "I/857,346"))
(inf 148 48 2 (n "I/858,346"))
(inf 68 93 2 (n "I/914,352"))
(inf 89 70 2 (n "I/915"))
(inf 93 75 2 (n "I/916"))
(inf 50 113 2 (n "I/919"))
(inf 22 139 2 (n "I/920"))
(inf 28 118 2 (n "I/921"))
(inf 36 120 2 (n "II/1057"))
(inf 40 122 2 (n "II/1058"))
(inf 99 70 2 (n "II/726"))
(inf 106 67 2 (n "II/736"))
(inf 126 58 2 (n "II/744"))
(inf 146 49 2 (n "II/752,346"))
(inf 147 48 2 (n "II/857,346"))
(inf 148 48 2 (n "II/858,346"))
(inf 60 93 2 (n "II/914,352"))
(inf 93 73 2 (n "II/915"))
(inf 80 86 2 (n "II/916"))
(inf 50 116 2 (n "II/919"))
(inf 22 137 2 (n "II/921"))
(inf 23 126 2 (n "II/922"))
(inf 35 110 2 (n "III/1057,91"))
(inf 55 99 2 (n "III/1058,91"))
(inf 79 87 2 (n "III/726"))
(inf 49 129 2 (n "III/729"))
(inf 110 63 2 (n "III/736"))
(inf 127 54 2 (n "III/744"))
(inf 49 119 2 (n "III/919"))
(inf 27 117 2 (n "III/921"))
(inf 23 123 2 (n "III/922"))
(inf-bicycle 143 52 2 (n "505,346"))
(inf-bicycle 143 52 2 (n "506,346"))
(inf-bicycle 145 50 2 (n "507,346"))
(inf-bicycle 50 129 2 (n "II/729"))
(inf-bicycle 153 43 2)
(inf-fusil 150 47 2 (n ",346"))
(inf-ost 48 126 2 (n "649"))
(inf-ost 59 104 2 (n "795"))
(inf-pion 145 50 2 (n ",346"))
(inf-pion 66 85 2 (n ",352"))
(inf-mot 54 124 2 (n "AOK 7"))
(inf-mot 110 54 2 (n "HW/193"))
(inf-mot 114 55 2 (n "II/125"))
(inf-mot 142 55 2 (n "II/25,12ss"))
(inf-mot 146 54 2 (n "II/26,12ss"))
(inf-mot 142 55 2 (n "III/25,12ss"))
(inf-mot 146 54 2 (n "III/26,12ss"))
(inf-fsj 44 103 2 (n ",91"))
(inf-fsj 39 100 2 (n "II/6 FS,91"))
(inf-fsj 57 93 2 (n "III/6 FS,91"))
(inf-armored 122 43 2 (n "I/125"))
(inf-armored 102 59 2 (n "I/192"))
(inf-armored 141 55 2 (n "I/25,12ss"))
(inf-armored 145 54 2 (n "I/26,12ss"))
(inf-pz-pion 141 55 2 (n ",12ss"))
(inf-armored-recon 140 55 2 (n ",12ss"))
(arty-cd-cased 59 105 2 (n "1/1261"))
(arty-cd-cased 53 121 2 (n "10/1261"))
(arty-cd-cased 54 128 2 (n "10/1261"))
(arty-cd-cased 120 61 2 (n "2/1255"))
(arty-cd-cased 53 111 2 (n "2/1261"))
(arty-cd-cased 19 135 2 (n "2/1262"))
(arty-cd-cased 17 148 2 (n "2/1262"))
(arty-cd-cased 55 115 2 (n "3/1261"))
(arty-cd-cased 24 120 2 (n "4/1262"))
(arty-cd-cased 51 120 2 (n "5/1261"))
(arty-cd-cased 53 119 2 (n "8/1261"))
(arty-cd-cased 41 133 2 (n "MKB BROM"))
(arty-cd-cased 44 133 2 (n "MKB HAMB"))
(arty-cd-cased 90 80 2 (n "MKB LONG"))
(arty-cd-cased 23 146 2 (n "MKB YORK"))
(arty-cd-cased 28 139 2)
(arty-cd-cased 33 137 2)
(arty-cd-cased 34 137 2)
(arty-cd-cased 36 132 2)
(arty-cd-cased 54 111 2)
(arty-cd-cased 99 76 2)
(arty-cd-cased 39 67 2)
(arty-cd-open 115 62 2 (n "1/1260"))
(arty-cd-open 18 149 2 (n "1/1262"))
(arty-cd-open 111 63 2 (n "1/1716"))
(arty-cd-open 76 91 2 (n "2/1260"))
(arty-cd-open 114 60 2 (n "2/1716"))
(arty-cd-open 111 62 2 (n "3/1716"))
(arty-cd-open 133 57 2 (n "4/1255"))
(arty-cd-open 52 118 2 (n "4/1261"))
(arty-cd-open 109 63 2 (n "4/1716"))
(arty-cd-open 52 119 2 (n "6/1261"))
(arty-cd-open 99 72 2 (n "7/1716"))
(arty-cd-open 69 94 2 (n "8/1716"))
(arty-cd-open 52 122 2 (n "9/1261"))
(arty-cd-open 70 91 2 (n "9/1716"))
(arty-cd-open 52 129 2 (n "MKB BLANK"))
(arty-cd-open 39 65 2 (n "MKB PAIR"))
(arty-cd-open 96 73 2)
(arty-cd-open 97 73 2)
(arty-rr 20 145 2)
(arty-horse 161 43 2 (n "1/Iss"))
(arty-horse 161 43 2 (n "2/Iss"))
(arty-horse 102 68 2 (n "989"))
(arty-horse 161 43 2 (n "992,Iss"))
(arty-horse 152 47 2 (n "I/346,346"))
(arty-horse 83 81 2 (n "I/352"))
(arty-horse 150 52 2 (n "II/12,12ss"))
(arty-horse 152 47 2 (n "II/346,346"))
(arty-horse 69 91 2 (n "II/352"))
(arty-horse 128 58 2 (n "II/711"))
(arty-horse 150 52 2 (n "III/12,12ss"))
(arty-horse 40 104 2 (n "III/191,91"))
(arty-horse 152 47 2 (n "III/346,346"))
(arty-horse 84 80 2 (n "III/352"))
(arty-horse 57 100 2 (n "IV/1709"))
(arty-horse 75 90 2 (n "IV/352"))
(arty-flak 148 53 2 (n ",12ss"))
(arty-flak 108 66 2)
(arty-flak-bty 72 94 2 (n "32/1"))
(arty-flak-bty 66 91 2 (n "32/2"))
(arty-flak-bty 67 95 2 (n "32/3"))
(arty-flak-bty 67 94 2 (n "32/4"))
(arty-flak-bty 64 91 2 (n "32/5"))
(arty-flak-bty 76 81 2 (n "I/1"))
(arty-flak-bty 71 83 2 (n "I/2"))
(arty-flak-bty 68 85 2 (n "I/3"))
(arty-flak-bty 71 85 2 (n "I/4"))
(arty-flak-bty 74 83 2 (n "I/5"))
(arty-flak-bty 74 89 2 (n "II/1"))
(arty-flak-bty 71 90 2 (n "II/2"))
(arty-flak-bty 76 87 2 (n "II/3"))
(arty-flak-bty 71 88 2 (n "II/5"))
(arty-flak-bty 80 84 2 (n "III/2"))
(arty-flak-bty 81 81 2 (n "III/5"))
(arty-flak-bty 62 85 2 (n "KG 955"))
(arty-flak-bty 72 91 2)
(arty-flak-bty 81 82 2)
(arty-flak-bty 82 81 2)
(arty-flak-bty 82 80 2)
(arty-at 148 53 2 (n ",12ss"))
(arty-at 150 47 2 (n ",346"))
(arty-at 42 110 2 (n ",91"))
(arty-at 102 62 2 (n "1/200"))
(arty-at 104 63 2 (n "2/200"))
(arty-at 106 62 2 (n "3/200"))
(arty-at 105 67 2)
(arty-nebel 126 40 2 (n ",21"))
(arty-nebel 162 42 2 (n ",Iss"))
(arty-nebel 115 52 2 (n "10/125"))
(arty-nebel 111 52 2 (n "10/155"))
(arty-nebel 105 64 2 (n "10/192"))
(arty-nebel 150 52 2 (n "IV/12,12ss"))
(arty-mortar 44 91 2 (n "13/6 FS,91"))
(arty-armored 111 50 2 (n ",21"))
(arty-armored 151 47 2 (n ",346"))
(arty-armored 105 63 2 (n "1/155"))
(arty-armored 150 52 2 (n "I/12,12ss"))
(arty-sp-at-co 110 62 2 (n "1716"))
(arty-sp-at-co 69 86 2 (n "PzJg,352"))
(tank 44 104 2 (n "100"))
(tank 151 47 2 (n "205,346"))
(tank 18 147 2 (n "206"))
(tank 128 35 2 (n "I/100"))
(tank 143 54 2 (n "I/12,12ss"))
(tank 121 29 2 (n "II/100"))
(tank 143 54 2 (n "II/12,12ss"))
(assault-gun 145 54 2 (n "PzJg,12ss"))
(assault-gun 147 53 2 (n "StuG,12ss"))
(tank-co 163 40 2 (n "1/101"))
(tank-co 163 40 2 (n "2/101"))
(tank-co 163 40 2 (n "3/101"))
(assault-gun-co 164 39 2 (n "1/654"))
(assault-gun-co 69 85 2 (n "1352,352"))
(assault-gun-co 164 39 2 (n "2/654"))
(assault-gun-co 164 39 2 (n "3/654"))
(hq-flak-reg 79 82 2 (n "1"))
(hq-inf-div 142 52 2 (n "346"))
(hq-inf-div 40 110 2 (n "91"))
(hq-armor-div 147 53 2 (n "12ss"))
(hq-armor-div 129 35 2 (n "21"))
(hq-pz-korps 159 44 2 (n "Iss"))
(hq-inf-corps 63 77 2 (n "LXXXIV"))
(coast-strongpoint 60 94 2)
(coast-strongpoint 76 92 2)
(coast-strongpoint 78 91 2)
(coast-strongpoint 79 90 2)
(coast-strongpoint 80 89 2)
(coast-strongpoint 81 88 2)
(coast-strongpoint 82 87 2)
(coast-strongpoint 83 86 2)
(coast-strongpoint 84 85 2)
(coast-strongpoint 94 79 2)
(coast-strongpoint 96 78 2)
(coast-strongpoint 99 77 2)
(coast-strongpoint 97 76 2)
(coast-strongpoint 101 76 2)
(coast-strongpoint 105 73 2)
(coast-strongpoint 103 73 2)
(coast-strongpoint 110 69 2)
(coast-strongpoint 113 66 2)
(coast-strongpoint 115 64 2)
(coast-strongpoint 117 62 2)
(coast-strongpoint 120 62 2)
(coast-strongpoint 122 60 2)
