(game-module "ww2s-eur-42"
  (title "WWII Europe 1942")
  (version "1.0")
  (blurb "Europe in January 1942. Based on the standard game.")
  (base-module "standard")
  (variants (world-seen true) (see-all true) (sequential false))
  )

(game-module (instructions (
  "The lines are drawn: Axis on one side and Allies on the other, with only unconditional surrender to end the game."
  "The units and terrain types are exactly those from the standard game, so don't expect great historical accuracy!"
  "Instead focus on using your resources to win by whatever means that work."
  )))

;; Preset the sides, which restricts this to post-Dec 1941, when the
;; sides were clearly lined up.

(side 1 (name "Allies") (adjective "Allied") (emblem-name "allies"))

(side 2 (name "Axis") (adjective "Axis") (emblem-name "axis"))

(set sides-min 2)
(set sides-max 2)

;; The terrain of the world will always be known.

(set terrain-seen true)

;; Bases predate the war, no secrets there.

(add base already-seen 100)

;;; Initial setup.

(add u* start-with 0)
(add u* independent-near-start 0)

(set synthesis-methods '(name-units-randomly))

;;; Scoring.

(scorekeeper (do last-side-wins))

;;; Terrain.

;; Although there is some advantage in using a subarea of the world map,
;; the Europe-only map is a little less distorted by latitude.

(include "eur-100km")

;;; Units.

(base 76 19 0 (n "Adana"))
(base 79 18 0 (n "Aleppo"))
(base 35 25 0 (n "Bilbao"))
(base 35 20 0 (n "Cordoba"))
(base 80 16 0 (n "Damascus"))
(base 26 35 0 (n "Dublin"))
(base 37 15 0 (n "Fez"))
(base 30 8 0 (n "Las Palmas"))
(base 36 13 0 (n "Marrakech"))
(base 31 23 0 (n "Porto"))
(town 72 21 0 (n "Ankara"))
(town 41 23 0 (n "Barcelona"))
(town 81 21 0 (n "Erzurum"))
(town 68 20 0 (n "Izmir"))
(town 32 20 0 (n "Lisbon"))
(town 87 20 0 (n "Tabriz"))
(town 39 21 0 (n "Valencia"))
(town 38 23 0 (n "Zaragoza"))
(city 67 23 0 (n "Istanbul"))
(city 36 22 0 (n "Madrid"))

(infantry 59 41 1)
(infantry 61 40 1)
(infantry 63 38 1)
(infantry 64 38 1)
(infantry 65 37 1)
(infantry 66 36 1)
(infantry 67 34 1)
(infantry 68 33 1)
(infantry 69 33 1)
(infantry 70 32 1)
(infantry 71 30 1)
(infantry 71 29 1)
(infantry 71 27 1)
(infantry 75 12 1)
(infantry 33 35 1)
(infantry 33 33 1)
(infantry 32 33 1)
(infantry 29 37 1)
(infantry 4 22 1)
(infantry 6 20 1)
(infantry 32 36 1)
(armor 32 34 1)
(armor 60 40 1)
(armor 62 39 1)
(armor 66 35 1)
(armor 71 31 1)
(armor 69 32 1)
(armor 70 29 1)
(armor 5 22 1)
(destroyer 33 36 1)
(destroyer 28 35 1)
(destroyer 34 35 1)
(destroyer 6 23 1)
(destroyer 59 15 1)
(|troop transport| 30 38 1)
(|troop transport| 28 36 1)
(|troop transport| 27 37 1)
(|troop transport| 29 33 1)
(|troop transport| 7 20 1)
(|troop transport| 76 13 1)
(battleship 28 39 1)
(battleship 31 37 1)
(battleship 30 33 1)
(battleship 30 39 1)
(battleship 34 37 1)
(battleship 73 13 1)
(battleship 36 18 1)
(base 30 34 1 (n "Cardiff"))
(base 34 33 1 (n "Dover"))
(base 35 18 1 (n "Gibraltar"))
(base 79 14 1 (n "Jerusalem"))
(base 58 15 1 (n "Malta"))
(base 88 3 1 (n "Medina"))
(base 77 12 1 (n "Port Said"))
(base 26 43 1 (n "Scapa Flow"))
(base 71 26 1 (n "Sevastopol"))
(base 34 34 1 (n "Southend"))
(base 78 11 1 (n "Suez"))
(town 81 28 1 (n "Astrakhan"))
(town 80 6 1 (n "Aswan"))
(town 78 8 1 (n "Asyut"))
(town 86 23 1 (n "Baku"))
(town 25 37 1 (n "Belfast"))
(town 67 35 1 (n "Br'ansk"))
(town 31 34 1 (n "Bristol"))
(town 3 26 1 (n "Buffalo"))
(town 4 20 1 (n "Dallas"))
(town 28 38 1 (n "Edinburgh"))
(town 73 37 1 (n "Gorky"))
(town 4 19 1 (n "Houston"))
(town 31 36 1 (n "Hull"))
(town 70 39 1 (n "Jaroslavi"))
(town 84 21 1 (n "Jerevan"))
(town 71 32 1 (n "Kharkov"))
(town 5 19 1 (n "New Orleans"))
(town 30 37 1 (n "Newcastle"))
(town 3 24 1 (n "Pittsburgh"))
(town 2 22 1 (n "St. Louis"))
(town 77 31 1 (n "Stalingrad"))
(town 83 23 1 (n "Tbilisi"))
(city 74 13 1 (n "Alexandria"))
(city 30 35 1 (n "Birmingham"))
(city 4 26 1 (n "Boston"))
(city 76 10 1 (n "Cairo"))
(city 1 24 1 (n "Chicago"))
(city 2 24 1 (n "Detroit"))
(city 27 38 1 (n "Glasgow"))
(city 58 42 1 (n "Leningrad"))
(city 33 34 1 (n "London"))
(city 29 36 1 (n "Manchester"))
(city 69 37 1 (n "Moscow"))
(city 4 25 1 (n "New York"))
(city 4 24 1 (n "Philadelphia"))
(city 73 30 1 (n "Rostov"))
(city 4 23 1 (n "Washington"))

(infantry 58 41 2)
(infantry 59 40 2)
(infantry 62 38 2)
(infantry 63 37 2)
(infantry 65 36 2)
(infantry 65 35 2)
(infantry 67 33 2)
(infantry 67 32 2)
(infantry 70 30 2)
(infantry 69 30 2)
(infantry 68 31 2)
(infantry 66 33 2)
(infantry 70 28 2)
(infantry 36 31 2)
(infantry 37 33 2)
(infantry 34 30 2)
(infantry 51 24 2)
(infantry 53 23 2)
(infantry 64 12 2)
(infantry 59 12 2)
(infantry 42 25 2)
(infantry 35 28 2)
(infantry 60 25 2)
(infantry 62 22 2)
(infantry 64 28 2)
(infantry 54 38 2)
(infantry 41 35 2)
(infantry 45 35 2)
(infantry 41 41 2)
(infantry 42 37 2)
(infantry 38 29 2)
(infantry 39 34 2)
(infantry 50 28 2)
(infantry 45 26 2)
(infantry 57 18 2)
(infantry 59 37 2)
(infantry 57 39 2)
(infantry 62 33 2)
(infantry 63 31 2)
(infantry 58 34 2)
(infantry 55 36 2)
(infantry 54 33 2)
(armor 68 13 2)
(armor 61 39 2)
(armor 64 37 2)
(armor 66 34 2)
(armor 68 32 2)
(armor 70 31 2)
(armor 69 29 2)
(armor 62 37 2)
(armor 65 33 2)
(armor 67 30 2)
(armor 57 42 2)
(armor 36 32 2)
(armor 41 25 2)
(armor 53 34 2)
(destroyer 51 36 2)
(destroyer 68 24 2)
(submarine 34 28 2)
(submarine 38 35 2)
(submarine 41 36 2)
(submarine 43 38 2)
(submarine 46 25 2)
(battleship 57 21 2)
(base 64 13 2 (n "Benghazi"))
(base 37 43 2 (n "Bergen"))
(town 45 18 2 (n "Algiers") (os 1))
(town 64 20 2 (n "Athens") (os 0))
(town 58 26 2 (n "Belgrade") (os 0))
(town 37 26 2 (n "Bordeaux") (os 1))
(town 38 32 2 (n "Brussels") (os 0))
(town 64 26 2 (n "Bucharest"))
(town 55 29 2 (n "Budapest"))
(town 35 15 2 (n "Casablanca") (os 1))
(town 44 37 2 (n "Copenhagen") (os 1))
(town 51 35 2 (n "Danzig"))
(town 69 31 2 (n "Dnepropetrovsk") (os 1))
(town 41 33 2 (n "Dortmund"))
(town 42 33 2 (n "Essen"))
(town 44 32 2 (n "Frankfurt"))
(town 46 26 2 (n "Genoa"))
(town 53 36 2 (n "Konigsberg"))
(town 35 31 2 (n "Le Havre") (os 1))
(town 58 32 2 (n "Lvov") (os 1))
(town 41 27 2 (n "Lyon") (os 1))
(town 43 25 2 (n "Marseilles") (os 1))
(town 60 35 2 (n "Minsk") (os 1))
(town 47 30 2 (n "Munich"))
(town 34 29 2 (n "Nantes") (os 1))
(town 54 22 2 (n "Naples"))
(town 45 25 2 (n "Nice") (os 1))
(town 46 32 2 (n "Nuremburg"))
(town 67 28 2 (n "Odessa") (os 1))
(town 42 17 2 (n "Oran") (os 1))
(town 40 42 2 (n "Oslo") (os 1))
(town 55 18 2 (n "Palermo"))
(town 49 32 2 (n "Prague") (os 1))
(town 55 39 2 (n "Riga") (os 0))
(town 52 23 2 (n "Rome"))
(town 64 36 2 (n "Smolensk") (os 1))
(town 62 24 2 (n "Sofia"))
(town 48 35 2 (n "Stettin"))
(town 45 30 2 (n "Stuttgart"))
(town 63 22 2 (n "Thessaloniki") (os 0))
(town 44 27 2 (n "Torino"))
(town 39 25 2 (n "Toulouse") (os 1))
(town 60 12 2 (n "Tripoli"))
(town 52 18 2 (n "Tunis"))
(town 52 30 2 (n "Vienna"))
(town 58 36 2 (n "Vilnius") (os 0))
(town 55 34 2 (n "Warsaw") (os 0))
(town 53 27 2 (n "Zagreb") (os 0))
(city 47 34 2 (n "Berlin"))
(city 42 35 2 (n "Hamburg"))
(city 65 32 2 (n "Kiev") (os 1))
(city 47 27 2 (n "Milan"))
(city 37 30 2 (n "Paris") (os 1))
(city 38 34 2 (n "Rotterdam") (os 1))
